GNU bug report logs - #33005
27.0.50; Data loss with Gnus registry

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; Done: Eric Abrahamsen <eric@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 33005 <at> debbugs.gnu.org and Michael Heerdegen <michael_heerdegen@HIDDEN> Request was from Eric Abrahamsen <eric@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 8 Dec 2019 20:52:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 15:52:18 2019
Received: from localhost ([127.0.0.1]:52283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ie3XN-0001E0-To
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 15:52:18 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:60278
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1ie3XL-0001Dk-G9
 for 33005 <at> debbugs.gnu.org; Sun, 08 Dec 2019 15:52:16 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id B1DDFFA087;
 Sun,  8 Dec 2019 20:52:08 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87pnhev5n4.fsf@HIDDEN>
 <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
 <877e3bn7rw.fsf@HIDDEN>
 <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN>
 <8736dzn6sn.fsf@HIDDEN> <87blsnu6yu.fsf@HIDDEN>
 <87y2vrlpya.fsf@HIDDEN> <87v9qvsigm.fsf@HIDDEN>
 <877e3624zd.fsf@HIDDEN>
Date: Sun, 08 Dec 2019 12:52:07 -0800
Message-ID: <87zhg25ymg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> You made me nervous with this comment, but I'm going to assume
>> everything works the way it's supposed to :)
>
> Yes, I'm assuming that, too.  Didn't want to scare you.
>
> So, are you going to install your patch?

I'll do it now. The first time I applied it on my own setup it told me
it was reindexing the registry, which made me nervous again, but it only
did that once, and didn't lose any data. What I think actually happened
is that the fixup-registry routines ran and updated the :tracked slot
and saved it properly, which might not have been happening before.

Thanks for your continued patience with these problems. Don't
give up on the registry!

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 8 Dec 2019 15:48:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 10:48:42 2019
Received: from localhost ([127.0.0.1]:52095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idyna-0001ah-Cw
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 10:48:42 -0500
Received: from mout.web.de ([212.227.15.4]:60623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1idynY-0001aT-Bp
 for 33005 <at> debbugs.gnu.org; Sun, 08 Dec 2019 10:48:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575820105;
 bh=kZmPXQEi5W7eZIL2fsqALrZFw/X5kxikjpICQvQGHZE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=QK75Cg07GjRCdl/7aesMtJNK9YVsweEcn0bck2NiYq4m0dTs5nw/8mRvuFAI6hV57
 HyPaD8JuXNNTH/t4fd71WY0Jz5ymd/tAXmwX991KUIwTyn4UoFlXSyic7LNQXFOPa2
 N5EDM4HPlr42vstkgYKgID1J9hIio7TVgYzX5qmI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lir9R-1i1L7d2oqz-00d2WO; Sun, 08
 Dec 2019 16:48:24 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
 <877e3bn7rw.fsf@HIDDEN>
 <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN>
 <8736dzn6sn.fsf@HIDDEN> <87blsnu6yu.fsf@HIDDEN>
 <87y2vrlpya.fsf@HIDDEN> <87v9qvsigm.fsf@HIDDEN>
Date: Sun, 08 Dec 2019 16:48:22 +0100
In-Reply-To: <87v9qvsigm.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 04 Dec 2019 16:51:21 -0800")
Message-ID: <877e3624zd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:WiCHbqsUJ4boRgvTuSkvo0bGF4xSzsncVBzDtj661IsDjSDDTgI
 8YJIxAouI1+m6kVwHfrhHVTnKHOTxWMRJONaOpGBWVPShGKTL+dubtkvMytavG81rv51Jll
 Iq9nJL+I6yWT0v+7ebsJX1XQ7Z+A98xou/GpfdmIEX1QzsEoj3kxwZUeyiHilm8yzkDAWWS
 QcHp2f79AdnoYcX9sIJbA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Nu1mEzAcdLc=:kkuw+O3+i9wvvzizPCk9sC
 YyrnpS8t0hQXZP4jNPrQgbKRh89kRxC9QVzpjAjo/NSVCPOsQIVFOr/W3uJYcmXKZjrth6aKS
 W6MNILMGtMYSZQXmlzKHeoRCBGPe1kZryivR3JqoMgw5lVQhJlAclICf3JjS+b05onXtaiJSQ
 AI3xRm3/T6Tzlxs+nqDc2ih7/moNj/YzOgW2o7p9miSe7lyGcMY8q9o/N846zNfeZIG4inDr0
 wvaMhyFpM/tmY/KKnOWJ8twmBwpLwg3hzn5eNoF+BF6GuHGAiWWOoXXVlVR4wpKiDdXfk5Ct2
 gJ2oQoQDLt6lidGvD37xdjGQ8RzV1tFUj5+doiDYN/nz6dmvE5x+ssynnJ63k1xT2VfyidQzE
 +BYHxQchDOsK4NKmk+ZZng6+Fh73yzyYlQUhlddCDmxQMTEAtCa1tHN+lvm0g67uA1+P3s1zE
 nvd60VrhdduvHIC/v+uFcc3hGD5CahnVwX7lu9ehjeozIV7Syy4bZ822X4sWWqrq7L6p0F0U9
 8HAX58r0xExvsgr+cct4zpzIl/64ecNcBKTqKrIlxJNlbycrBdZzu7+GrU8QHd6Xsy1MyRZ/Y
 qE+ZEjJ6IvsBem2aazlX0i8UPxZ0siokKltfPLL1jc3Q0dV02TOVzTR4ltaEovolrZ4Kykz6C
 IagGHBBpA6rdmeW5tjdO0n9uMRPD778GSc9s7+GsrQIupxy2nUm7rmzmK9g7Lc1krXOS/aXYL
 2MOWEzNr0vEYajApSkvM7efCYjgtwJUyDWv8h9bCqu/ceq0NI29Mq+lAfNoc5OKuTsJWQqCj0
 IMtt/3cOMCBZhiDlB4yW4HijlqTOFRh+2n70pgAbKV6tXowE7qAv0UxLcsXoK5VRKjiaRxCJn
 HpZ8acB8+m+tey6r1tcCnOW+020WXfsYK+STFlnsfPQzBJwsXUig00vsfBsNRmJbLLHWpv3nq
 SlY7iIFeFRvojuksZ10XO3zlQujNeSIOl7VJKg2W0slNUVzRBgT7JRj3L68BVBlIGAtiiE/ga
 PEqPCyUrebxQAMqfpPIDOpilgSiATSVnnaN/P92rtgJaJRq+TsCexKLzXhUb3XHrWuBX/mC2R
 ydUsoRcylDfGg0hKf0C1AJ68WlJExEV42FM+4NRclhcHkG4kiRR061X+8JNy+HZB67cLw4db/
 q+10BZnPiWs1fhHPOyRVmIiTElp/IjFzC7FpHN43wlZ7Q00gzBsPCJY4wSB7GRHUwOlzs+Um9
 k2GfzHOyPhMrnsN2sC+T4wbecpN9YcFbI4+w/kKaOpPgonAeXy7h+P0FHMDM=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> You made me nervous with this comment, but I'm going to assume
> everything works the way it's supposed to :)

Yes, I'm assuming that, too.  Didn't want to scare you.

So, are you going to install your patch?

Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 5 Dec 2019 00:51:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 19:51:30 2019
Received: from localhost ([127.0.0.1]:42823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icfMg-0004He-Gw
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 19:51:30 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:45982
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1icfMf-0004HS-8i
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 19:51:29 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 6D77DFA0E4;
 Thu,  5 Dec 2019 00:51:22 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <8736ebxxwa.fsf@HIDDEN>
 <87k17m1tv0.fsf@HIDDEN> <87pnhev5n4.fsf@HIDDEN>
 <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
 <877e3bn7rw.fsf@HIDDEN>
 <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN>
 <8736dzn6sn.fsf@HIDDEN> <87blsnu6yu.fsf@HIDDEN>
 <87y2vrlpya.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 16:51:21 -0800
In-Reply-To: <87y2vrlpya.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 04
 Dec 2019 22:51:25 +0100")
Message-ID: <87v9qvsigm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 12/04/19 22:51 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> The only integration that's lacking is auto save (which doesn't work
>> well with eieio-persistent). If you quit Gnus without saving, your
>> intermediate state goes into the dribble file, and you can choose to
>> load that again later. But the registry doesn't work with the dribble
>> file (it would be a medium amount of work to make that happen) so you'd
>> lose any edits to the registry made since the last save.
>
> Another difference is that when you quit the summary with -Q, registry
> marks are saved anyway.  But I like that :-)

Yes, the registry actions are immediate, while most of the other summary
operations are "apply on exit". I don't think that matters, though --
the "apply on exit" actions are only related to manipulating marks,
which the registry doesn't care about. The immediate actions -- delete,
move, expire, spool, etc -- the registry already watches.

You made me nervous with this comment, but I'm going to assume
everything works the way it's supposed to :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 4 Dec 2019 21:51:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 16:51:45 2019
Received: from localhost ([127.0.0.1]:42759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iccYi-00076B-HF
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 16:51:44 -0500
Received: from mout.web.de ([212.227.15.14]:58119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iccYg-00075x-MN
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 16:51:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575496286;
 bh=MGlojYx4JBNOVJKflpw93QOiQu8URIK4qjgD1rJOHpg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=iDSVJLEkYuOo+4dhL2dAxQW4Ya2Tfzw+UjllWWVSXqkMKGyfVRIDt12BsqC+rhvac
 MraVHjmHw9dfUXJ9aBjtNZSwL+oYTXB3EWTM/eKE6BrdpCLrH5rRnK8+bEt3PdrQ+p
 K8wOndbv4MFhLNrw4n7VyGgm1S0IALmbOHlnk0x8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Ma2V5-1iKoHh1ZaJ-00Lp6Q; Wed, 04
 Dec 2019 22:51:26 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
 <877e3bn7rw.fsf@HIDDEN>
 <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN>
 <8736dzn6sn.fsf@HIDDEN> <87blsnu6yu.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 22:51:25 +0100
In-Reply-To: <87blsnu6yu.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 04 Dec 2019 13:16:41 -0800")
Message-ID: <87y2vrlpya.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:FZ2cicINtiK7ATa6J4H7bMSl8kR9da+DfybqC6cHJXmDJzwO1C4
 kQH7ihdsMo0WKhNdrXXFnvaVHcTQZCMk/ig9YQzUNvgo1xdtChzw95dzYku/B2S5TK+mHvF
 bdWZQOOjtT5dT+UJ0ojHm+J29mB1VZKC8Ka6XWewAqGqLSB4Mso3dVW8wROpsWBA5wa6fWD
 JiJOBb+RmsTjv8QCAfZ2w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:K/Tm0Q8Ux2U=:maOV/ussWE0aVBBBVyKyC7
 gU3nOTc0kfzsKzJQ3Rxh9xrUWoUmeRQt1nWxpxUW6EBw5yjDcY7+Xjf+oMOj+8RSLpuXeIDnx
 4k8fplFX0EGEtPCNo66bjCJOk6F5hMHVsdR5a938FcEhpm2Y44uz3ylIgSYE3wjs1HfcRwmVl
 2BjYtY4VN7UyNW5HhV8vFAYxw8MXEF58vVMXEKJ3IHXWKrrM2js3iRu71Whh2LiIYhibU+26x
 b9bjSNUO0LX2cSU7EutrrGFjSiQEdEjdpMzjVoEqVj/+4enPrjHJolzgiAM3vpP+gBU6RDlG/
 v51oCo+wTOdhUniBtawALHhInFZZeupb+ByXFFehPWf+EbN2Xu7gHQ61m09rDTIq/3mROlPuO
 BAIVLeXMh2/KVjYu871V9PLY5QQPn2aAex/7DiudT2+nEQVpCvzgE7GgiesWuxjxBvRj74Uoc
 VMGQVSzCBNNrZmc00W/5hwT1lBm5N6s6lrnAsTS5n/4XV57aeqeRQXY4E6bXbJ51lWdYBIqeS
 w1m+BXD1ga137jEMK/MpPW4GNGsHanKVyHHgKNrF4Hl18MU6Mxsk5ZspyL56q6YXaLbKIfmes
 clFwisxA08ojHQHkyzDYYKIDA1cPEJxwTbpcY9vR0LcaMh76ZPLOxT19z2ywHQ2bqxCXG7xuJ
 dcj4grZgovG+iaqtZSiiqnaZGabeccHHdjewiHU32T5F7jXgJvfs8wk+yEcb3R9NkBkulpJaJ
 Bzgv6dwqnTMWJAtSh/YF7BRYwtwXu6qTXpLHRWjNsH7V9ITaYqSMecNy8fjp4byaJ6DR2nxil
 G77hrnUnJJ8a5wCNE8qNWHl57lR/1DMtCftmRm/4sHCjLL4ivHV0j9strQS7235/phOB9QhVK
 maWS+xQKZ6I7k5HPt3+BGpqD+tnl/ySmxLn38eVvpBwqCha2k8U/yqId8WXdejW/XShDpOz2G
 SJz3zEXEF7BP42DGdNHQcRVW7gXNkWEaRN0rtz8OMNmABxbIvNeauTh//pmXGyRXoP/pn78w2
 k+DxRy2/WnXelMBitDXnkr14Tr3mCSY04PdxWhRb5PkQsdK7lwxxZaEViBMgjLdXjwBiii2BN
 BSau4eIqwRXSvKTosYux0jF8/eTO9RIiRysvvByEj5vwOq2zD262tW7YzH6LfCOB3Ep+4wUAG
 iOQmSNUCbYacbKq24E75N4yDc0uCmRg6ECXJwHdzJc0NxHQ5gYPsXD7KIBlzk8Zs1L7SxAzJz
 EP1VaqOn4dKGbHMjqoiaE7DTapwVOpjS1bhVkWuI54IJv20OkVXasYapHj2Q=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> The only integration that's lacking is auto save (which doesn't work
> well with eieio-persistent). If you quit Gnus without saving, your
> intermediate state goes into the dribble file, and you can choose to
> load that again later. But the registry doesn't work with the dribble
> file (it would be a medium amount of work to make that happen) so you'd
> lose any edits to the registry made since the last save.

Another difference is that when you quit the summary with -Q, registry
marks are saved anyway.  But I like that :-)

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 4 Dec 2019 21:16:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 16:16:55 2019
Received: from localhost ([127.0.0.1]:42753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icc10-0005dT-PW
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 16:16:54 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:40786
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1icc0y-0005d3-LC
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 16:16:54 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 56A65FA0E4;
 Wed,  4 Dec 2019 21:16:42 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
 <877e3bn7rw.fsf@HIDDEN>
 <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN>
 <8736dzn6sn.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 13:16:41 -0800
In-Reply-To: <8736dzn6sn.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 04
 Dec 2019 22:02:16 +0100")
Message-ID: <87blsnu6yu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 12/04/19 22:02 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Yes, that's what I meant. Every invocation of `gnus' first unloads
>> everything and then reloads it, and the registry is likewise unloaded
>> and reloaded. That seemed like TRT to me.
>
> Ok by me - I only wanted to be sure that what I see is intended.

It is! Pace bugs I may have introduced, I feel like this is the right
approach.

The only integration that's lacking is auto save (which doesn't work
well with eieio-persistent). If you quit Gnus without saving, your
intermediate state goes into the dribble file, and you can choose to
load that again later. But the registry doesn't work with the dribble
file (it would be a medium amount of work to make that happen) so you'd
lose any edits to the registry made since the last save.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 4 Dec 2019 21:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 16:02:36 2019
Received: from localhost ([127.0.0.1]:42744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icbnA-00052M-8j
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 16:02:36 -0500
Received: from mout.web.de ([212.227.15.3]:54217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1icbn6-00051z-SB
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 16:02:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575493337;
 bh=8MXKay+9woyqOIz7kRpQ5a7PbAw7+vois30AeI9wj6g=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=AEQvTAYrH4vzTrXNs0YbC/MtQoC/Jsn8xx2hq8XMDWb6y7acSJkOlj+qEu0BRKkpA
 toY6oJYFkvBlga67nNlq+NrD+BFAR8Eors7eAqvxXzfKkm6fJvlQSShVQwLl+kcWha
 CV35E4yefjDIwfjdcIHIqeXlZwjxcdSp3cY1M6ws=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Mef0K-1iNFgn0Wr2-00OFLc; Wed, 04
 Dec 2019 22:02:17 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
 <877e3bn7rw.fsf@HIDDEN>
 <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN>
Date: Wed, 04 Dec 2019 22:02:16 +0100
In-Reply-To: <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN> (Eric
 Abrahamsen's message of "Wed, 04 Dec 2019 12:53:16 -0800")
Message-ID: <8736dzn6sn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:h1qnJXvawDFg7gOJT0uSV10Y0BVF6UqC8oXAx4ik2yWb0g9OPUq
 wW6OLD9Rol9My7SclQhJKH/qWSRVFWH4UHD9TElLvVHuyEut//Z0AB98ErXN4/8kyrmsX2X
 1zu9aeoUsk34h6ILrBaYunJAXp78yBrr4q86Z94HAZCGSksFU37suw4m7wSqOZPHB698u7T
 F7epeLpiKakJ49zOyvCug==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5buekFrjUoE=:IKcUjymZIx+q9GE9Y4qkbW
 yNLb/tUHDfLiZ6U8iuCQEFIQu7+tfaPzrgCG5tI0NBHaaY+4WRqcxa3t3sndY041UnlyZBUt/
 7KsL/QfXnZnOGvWYmkCgFP+cCcU/7gQ34X6IHKgr3oImX2mlXbXH6yAQv3Em6PBYSpao2mA52
 TWstp4mBtkEwjm/mOmJDAE610zcld/AxInGhQKqubqKA0hN0owjDPb0xRKLpUzAujfUJUZkhZ
 qK9h1HZHb1BnL4ODAJK+9vXHXL/sQ2zJ90Atq+0kH/BueLL2K/rxlNSyCWk0RQsVfhQ8hvmLq
 yReQfb/uc7phhytX5GiVlKuE+fdq/130M2jhLWcnx7uXqUGKsB/gLpufffDj8qOslE8xwNUvE
 cNx5yVSMiUcohWdFQ9HrFUK85BGLxT9Sz4gLMoiQLsHaQqgtYHZ7y5H5BADKD+aKTqeQJ0rGz
 520qrgK/O9by2QiTy4ON5uK4j4qPRNw7pJJ8Q9miXrfkEF/TMFM+TPjsUhBKCc+sndK/EfbL9
 hlur0J2smJjyHhwFYJDezxQ99Xo28Ld1eFvAHuEwtj1+/NHzBL+D5Nbz+VaIODl4LtxhfHx2P
 mRIGiD8+zQILbuc9/mJMhD5wIan/VMhZ9YaX9ukx6eVfmba8YQGU/5zI8JrGnmV/h57Ojjnre
 xTf+QoeYNqBJLEDf1jzKGn4Y8PAy5rbQviUXgNP1HrdFd32uhdmNgKQjU7Je7ZBYi+n99LQTq
 p00wbWKz9KRlO9a5TZmR1x9npgWCIN3NNX1w0RAKxmfQUvaX961HqitmLV0JTQMLo8LDUrO1E
 V8WrFpDZbRf6YS/eleyR5Zw4l1SJUBD74AoAaDYQ/nqR+MTWLvbhcxAazWu/QAAzx65v+W+/v
 s2X2yogEfQtW62kzqLehR4c1NMqOzFxRn6T22lq/0hfrJ6Fm1eyGiE8yUHaeLlbm1NiJXhUsw
 gCd6FV0y0WTaMFe+oSMnwDVv6wY56Q/V1vdyALkro5IeibLZLE2qttNcj3eYcul5aPwPsMYwp
 du8qeCyhE3rqjlLNZ0OSlEHJoDvj0xnZIxY0CdubL8eY3N5lVBfPIgXPQIzN+v8KTCyEhLxoK
 kRge4tzaNTy8iRgIi2i53nHB9gjQ8+ZsOvgEbig3JddLh/TmGmGo3emLFnhRVHQwkV554Wt/h
 Uq4ClCF0UUebAiTBt0AcCDyIDCooqkVT2pvnVyDYihTDUbNQH2ysQFD9X+KXDcAY30MjXzeq9
 JdX4vWO3YEsvRCGqrEhnFOMFDt9ugXHRN9u+GKMjfNR8YSJOVf7bF5tj2JcQ=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Yes, that's what I meant. Every invocation of `gnus' first unloads
> everything and then reloads it, and the registry is likewise unloaded
> and reloaded. That seemed like TRT to me.

Ok by me - I only wanted to be sure that what I see is intended.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 4 Dec 2019 20:53:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 15:53:30 2019
Received: from localhost ([127.0.0.1]:42727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icbeM-0004dD-KI
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 15:53:30 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:40226
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1icbeJ-0004co-Gj
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 15:53:28 -0500
Received: from [IPv6:2607:fb90:f330:7:a8ef:2fad:fd3c:619a] (unknown
 [172.58.45.111]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id F21DEFA0E4;
 Wed,  4 Dec 2019 20:53:19 +0000 (UTC)
Date: Wed, 04 Dec 2019 12:53:16 -0800
User-Agent: K-9 Mail for Android
In-Reply-To: <877e3bn7rw.fsf@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
 <877e3bn7rw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
From: Eric Abrahamsen <eric@HIDDEN>
Message-ID: <9B6350E4-ED1B-4E95-974E-7531C9987655@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)



On December 4, 2019 12:41:07 PM PST, Michael Heerdegen <michael_heerdegen@=
web=2Ede> wrote:
>Eric Abrahamsen <eric@ericabrahamsen=2Enet> writes:
>
>
>> > So you now (re-)load the db repeatedly and unconditionally?
>>
>> No: unconditionally but only once=2E
>
>For me it's reloaded for every M-x gnus (but only once per gnus
>invocation)=2E  I'm not sure if that's what you meant=2E

Yes, that's what I meant=2E Every invocation of `gnus' first unloads every=
thing and then reloads it, and the registry is likewise unloaded and reload=
ed=2E That seemed like TRT to me=2E

>  gnus-registry-load()
>  run-hooks(gnus-read-newsrc-el-hook)
>  apply(run-hooks gnus-read-newsrc-el-hook)
>  gnus-run-hooks(gnus-read-newsrc-el-hook)
>  gnus-read-newsrc-el-file("/home/micha/gnu-emacs/=2Enewsrc=2Eel")
>  gnus-read-newsrc-file(nil)
>  gnus-setup-news(nil nil nil)
>  #f(compiled-function () #<bytecode 0x158c0b97bf39>)()
>  gnus-1(nil nil nil)
>  gnus(nil)
>  funcall-interactively(gnus nil)
>  call-interactively(gnus nil nil)
>  command-execute(gnus)
>
>
>Michael=2E

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 4 Dec 2019 20:41:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 15:41:43 2019
Received: from localhost ([127.0.0.1]:42717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icbSl-0004Bq-6n
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 15:41:43 -0500
Received: from mout.web.de ([217.72.192.78]:38473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1icbSf-0004BR-2Q
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 15:41:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575492069;
 bh=EF0vnOmqEpcFdqrjNaINM2kLbuGybVU54LCANY2GdI4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=owGGF4PTgMN6bGho0pcTahsyNf17mfEaC48MipQImEMTup4Z0xbizeMf0R515ptnb
 rToA7dMPKOzWCtw1d3pFZJB9hQ2rfwSfjzmVI7dk7kQXd1g3oGcMg32lcvxQR5JT9a
 UMTnzLY2hqV8nNzJIQkhzvhiKC6BQGya3Q7BOjKA=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MKa2F-1ieX8E0V2F-0022Cs; Wed, 04
 Dec 2019 21:41:09 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN> <87r21kuhmm.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 21:41:07 +0100
In-Reply-To: <87r21kuhmm.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 04 Dec 2019 09:26:25 -0800")
Message-ID: <877e3bn7rw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:B3Y6cjZMaZJYJ4Gyxn4oTkfFl3IM+e/MKgODiLAckBiOw8F/3e/
 qsVVnWzUa7sTHtU3MEifP9Hm8XoWBhQWJ+rntqPYvfe3TbgOa4VpMvGw7MdV1tAdebJ2kUz
 rbI5CJU9ObWGpOxm+gFbh5JCkM5qYbaOaMIjq9c1i3Ws7oVtRxxgxSL2A+CK5kNILdfLM0N
 nc0foQqPMtz/sHNOLdNmw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:EjdOddrvO1s=:5JUWk23HFiH9c6Nfqo8Trm
 upptIhRDFosy+aWd0AjQ7xkIgj36SOORid58c2j/obtGWAtlO2BwG8TtlxE/xFyNj8l3c4XFh
 nVUcl0bflTBjcmHhRyPCpUzOpOcPxwyEudjd3dIKolhBVWwbqsZv62XtZpsgbBpv1FL+tCN0W
 npiqMhi0xbkdFAqhczN1S1gj+yXho4+WrZmptSpgT2ixVAffZ7QY9FgHHLl7vhUvBK/eaU3Yz
 GB4BMjQbLpXIUT03TgD2+XI4FogusDT8LpeC9aPFTObeDlkT39DbgArfM6f/te2jpURNxzaA8
 7hI1tZMJGcxYv5BdwIkZmxgBen5eJ60bLQ3B8of/FSId5Ww+rojhUGyN8W9JgBhadUQzlGNE+
 yCpaAJWqG2jHUtUyDYr7QQ2INr8Z0QgC2AC1WlSS9TAv9FT3d9T+p3hZ/bgdtkZblEyJyVGb/
 iH37mmWmcl7QVmHEMkqVjltrm7oilIcgyodZi4c7z1Pwhzc2Vy92HZgu3he4SIi5ENhOaRLGN
 2rwuEHE71LLaoDgUeWmCTG7UI3Z2QRix13LWfQ8xxZlNA+ICv5RWN795HnKV2rk5lTxCRW2Cy
 hisSB3P3xU/+wale30zOmxqrAFiHStbiHvfe3L5QkzCJ/h9SeppPBGsmi1iLXwr6b5r14nA9U
 VYOkK5VIlN10k5dOX2YoOJGRZ7TjGsFBk/rcfEb2yZ9oWvCnx5xou8vckZ0wUqjpEa2XRKOXb
 LcwCMJgrXhSZiUZcw/3W4wY1mZ2xKkzG8wbUa38WIwSs2vKtpTWnS1fD3jr1p55+te48tc8Wd
 rPu7ZCdZPSLwxl9tesGsBLw6X8tt40iapZjtlADupefedyneoyjRz28Y2aWHgF5lekKbZHCg0
 dRJAbsDxWWg9VTgBClKjAf+XBiFi8bnELUQUUP17ZUQZ7fZ/AZBx+G9mhm1JUQGSewmXlptnQ
 inB+vz9Z9EgOwJSibgdQMCtgp8VCxF7GygKcOAMeMdmweRIpqk+QhjTMNRwkHOMcT2YnF2VcT
 DKm/8v37YR8BAhIOsgZMyO0Iy+WNsan09voFhfwzykhmEK5CZ3sUVG3jnOSjA5QCJmHKgLFWo
 Q5TFguJwUHcg7k36EmoLci9l1BcjqZZe8uIBMctxvBR/YAadwFVFGH80wnQY7VU/NvTVVrj0i
 kvHOJsO29HlEAdI7SE4UBKENv0yxLRiErwqHLCR6GNezmHFlFDVsBh7NWBB0PldwPMoS8NQ/p
 /Y6He60u7oxGinr1OBl9KVpNC0TX50DB5koaIqyvDk/bPD1L8BABPZh3myM8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:


> > So you now (re-)load the db repeatedly and unconditionally?
>
> No: unconditionally but only once.

For me it's reloaded for every M-x gnus (but only once per gnus
invocation).  I'm not sure if that's what you meant.

  gnus-registry-load()
  run-hooks(gnus-read-newsrc-el-hook)
  apply(run-hooks gnus-read-newsrc-el-hook)
  gnus-run-hooks(gnus-read-newsrc-el-hook)
  gnus-read-newsrc-el-file("/home/micha/gnu-emacs/.newsrc.el")
  gnus-read-newsrc-file(nil)
  gnus-setup-news(nil nil nil)
  #f(compiled-function () #<bytecode 0x158c0b97bf39>)()
  gnus-1(nil nil nil)
  gnus(nil)
  funcall-interactively(gnus nil)
  call-interactively(gnus nil nil)
  command-execute(gnus)


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 4 Dec 2019 17:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 12:26:36 2019
Received: from localhost ([127.0.0.1]:42639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icYQ8-0002Xb-A3
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 12:26:36 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:35092
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1icYQ5-0002XN-8i
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 12:26:34 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 216C2FA0E4;
 Wed,  4 Dec 2019 17:26:27 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
 <87immwm5po.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 09:26:25 -0800
In-Reply-To: <87immwm5po.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 04
 Dec 2019 17:10:59 +0100")
Message-ID: <87r21kuhmm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 12/04/19 17:10 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Would you try the attached patch? It leaves gnus-registry-db at nil to
>> start with, and also removes the root of the double-loading (which was a
>> problem only because it can potentially be very slow).
>
> Seems to work so far, tested for a while (also once quickly with
> debbugs-gnu ;-)

Oh good :)

> So you now (re-)load the db repeatedly and unconditionally?

No: unconditionally but only once. I fixed it (I hope) closer to the
root of the problem: calling `gnus-registry-initialize' used to load
once unconditionally, then add the load function to
`gnus-read-newsrc-hook', which would load a second time at startup. Now
`gnus-registry-initialize' checks whether Gnus has already been started
and does one or the other, not both.

I'll test a bit more and then push, this should go into 27.1.

Thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 4 Dec 2019 16:11:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 11:11:18 2019
Received: from localhost ([127.0.0.1]:42537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icXFG-0005AK-6q
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 11:11:18 -0500
Received: from mout.web.de ([217.72.192.78]:55507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1icXFE-0005A1-GT
 for 33005 <at> debbugs.gnu.org; Wed, 04 Dec 2019 11:11:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575475860;
 bh=Q1fww85SEiVp4wfAybzwYn6P/cWryjnRakv73i2Bf98=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=fruDP1oXYnu7A1l7Iz5IuB5CO2qLa12+2pWunZpnOo/C7olqh/nxQrRMdtgzLf1i6
 jcK/124uy574saIX2J9+KxZVZShcfuuTBkmuiMyufthu9FkWWKywzCi4OpihhAccRp
 iEp1OIGFeD+3baNJAF9PHb8vL/XqjI8v9I38n3eA=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Lqleo-1i71u545yM-00eKyu; Wed, 04
 Dec 2019 17:11:00 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN> <87lfrtwyu5.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 17:10:59 +0100
In-Reply-To: <87lfrtwyu5.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 03 Dec 2019 09:19:30 +0000")
Message-ID: <87immwm5po.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:p5iZspy4zH+7u84RCSKyzEb8AmSV/wzlfzWgibdsswg2YbcJA3c
 lR6CB4YQppb+HLLMJzTTzUYWkLsO7HaOZLFVVCqdgMG1X5+5ZBob3goK42tdrBr9/Uep+Ji
 4y+zq94+tBq4rTuOVT8jP/wGloovS6OCjTKo1gX5OmuxmIfeBuXXqMmIbu8x6uKxOOvdMsT
 CEtFg1L3tphhpkMHez+jg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:mRVj512V9NY=:kuRs4TEDse5uNeDKKnRclk
 gLUWtDrD0Uc3+u+TXZNHfkGcTtRyA/VtTNQ7Fnp5xACHJmPPu4u4sV4Od7kLymfLQS+gGw0ZT
 6Z9/9MD2CQ/yslXfHRczLB2Vj08GRLozzEYTQCdRGL/BB7FKoblWsSWI6CKSi5/D8HIfo5BAK
 gx3jaQBGGJlUn1pXhG0FhrNXRbz7TRFI/oWO0RJSOXnksUSuQRgRJuBHAR1Xdk2mreuIYyhH6
 Q8xE0wU/L9FkW0U9N3Ol6vSO8M5xRRwC5iZ5h9bDf/3njW3Cqg4vt47xhSlVDiFVuG2IXAcYA
 q7fm/bhnpuTLKOB6KTAyuTWjMd+GDOolEBnLQGzTfV/GKqtiWEZtXWfU/h5kUEFQEdPfvnkGp
 3XYb4g1vwXEgB3o39MX1Pu1uu3ge5lBeMRO6CIsxZbP65zrGs6oT0UVjpl+OrDXcbmCHcuzkb
 2Z5Tc7dFYAb5YdnubJiOpju5LbHkZkpmiVfo/B3IUZZZCzZGcxp5ZLjOrfdXHV/4LAb/ERBzW
 FV2/u73TpAeu18okTjlX5hxbjr1/V1BiHbELaBa4J7c4NJjyrO+zMZbpGoo/nAMqU/fyHg2Rl
 P+I+NMBFsvd6UFn3q6LH1Opp05mb8PadtttyqoFysq3omuht7dVpHKP1ESHNOOdUfRSCwwgiu
 9KEKx8N3/XXE7TTASL4PZQAQfyedJJAknIklhc/bphHuSBGrMxFENrv2WSIL8AX4tIjzkh515
 l35ZpVhjhRRYWck8GtIZjGN4YjAtrN9lHnw7RvPMOVEwhmFXcsVJ+QO+3rPLePvq8okpHBDEQ
 WxFIwtaL8nNVJAbMOz/YePfSjCOrmRiBghwej+sughQAq2K/jGxswXsgvDCOqAYMvVZaNU7Kk
 jc1M6Y0qxB5JlD63fg5jpkXYzahH1ABj5SqOzYMv7G+0oHvAmiiPj1DT3KuRIWp6gnK7Kc+Bn
 tQCFcURpt9opmR/JJTSd9QfneB1WqdbPpnQYm5EBldwuK54ZtuGitptfXwe4Y7C0qEZSOeIkn
 O7fzt8yDeu6bwxRrsaZaaDMD+OB3bETFkQJ+yYALEz2YXKJ4fe+NwRbgCnwRxQmvpbYyzx25K
 41x9t6GZGj/uCLWGBiGFdTPYwmukbPfDiyGBGNSPVHAwIRTxONO4YxMEJYtU4Od6J2PzJ2pbD
 wIXC7ezi+8yjl4MudGCzpl4ABzTviGt71xoTsmRnMdIvs+mYoaMLVxrhGzCYh0eb4ntWOIbCz
 Nae7ssU5ZdlyXhKhAz/9IS6l0Wpo6aFMl13K5J0RsC4ksGpdID+vqSMOXL4A=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Would you try the attached patch? It leaves gnus-registry-db at nil to
> start with, and also removes the root of the double-loading (which was a
> problem only because it can potentially be very slow).

Seems to work so far, tested for a while (also once quickly with
debbugs-gnu ;-)

So you now (re-)load the db repeatedly and unconditionally?


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 3 Dec 2019 09:19:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 04:19:39 2019
Received: from localhost ([127.0.0.1]:39276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ic4LL-00041m-4m
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:19:39 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:49266
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1ic4LK-00041V-1B
 for 33005 <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:19:38 -0500
Received: from localhost (unknown [94.11.255.11])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id E21E0FA08E;
 Tue,  3 Dec 2019 09:19:31 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
 <87imn2luz8.fsf@HIDDEN>
Date: Tue, 03 Dec 2019 09:19:30 +0000
In-Reply-To: <87imn2luz8.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 29
 Nov 2019 13:36:59 +0100")
Message-ID: <87lfrtwyu5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> I'd be awfully surprised if it only worked for me -- I'd think we
>> would have seen bug reports by now.
>
> My impressions is: some people may have tried using the registry, but
> most of them gave up, and nearly nobody is using it.
>
>> I still blame your usage of debbugs-gnu :)
>
> I don't.  AFAICT the issue happens with (featurep 'debbugs-gnu) ==> nil
> all the time.

No, I didn't really mean that...

Would you try the attached patch? It leaves gnus-registry-db at nil to
start with, and also removes the root of the double-loading (which was a
problem only because it can potentially be very slow).

Thanks,
Eric

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Continued-fixes-to-gnus-registry-loading.patch

From ea39e2a7a1969e669c32ef4f883cda357ad144a8 Mon Sep 17 00:00:00 2001
From: Eric Abrahamsen <eric@HIDDEN>
Date: Tue, 3 Dec 2019 09:12:44 +0000
Subject: [PATCH] Continued fixes to gnus registry loading

* lisp/gnus/gnus-registry.el (gnus-registry-db): Do not initialize
this variable to an empty database, that should only be done for new
databases.
(gnus-registry-load): Remove "force" argument, don't check if the
database is already loaded, as we're only going to load it once.
(gnus-registry-initialize): Either load the db directly, or set up a
hook to do it later.
(gnus-registry-install-hooks): Don't load on
gnus-read-newsrc-el-hook.
---
 lisp/gnus/gnus-registry.el | 70 ++++++++++++++++----------------------
 1 file changed, 30 insertions(+), 40 deletions(-)

diff --git a/lisp/gnus/gnus-registry.el b/lisp/gnus/gnus-registry.el
index e6fb382c2f..ff4c640c82 100644
--- a/lisp/gnus/gnus-registry.el
+++ b/lisp/gnus/gnus-registry.el
@@ -340,7 +340,7 @@ gnus-registry-make-db
                   :precious nil
                   :tracked nil)))
 
-(defvar gnus-registry-db (gnus-registry-make-db)
+(defvar gnus-registry-db nil
   "The article registry by Message ID.  See `registry-db'.")
 
 ;; top-level registry data management
@@ -352,40 +352,33 @@ gnus-registry-remake-db
     (gnus-message 4 "Remaking the Gnus registry")
     (setq gnus-registry-db (gnus-registry-make-db))))
 
-(defun gnus-registry-load (&optional force)
-  "Load the registry from the cache file.
-If the registry is already loaded, don't reload unless FORCE is
-non-nil."
+(defun gnus-registry-load ()
+  "Load the registry from the cache file."
   (interactive)
-  (when (or force
-	    ;; The registry is loaded by both
-	    ;; `gnus-registry-initialize' and the read-newsrc hook.
-	    ;; Don't load twice.
-	    (null (eieio-object-p gnus-registry-db)))
-    (let ((file gnus-registry-cache-file))
-      (condition-case nil
-          (gnus-registry-read file)
-	(file-error
-	 ;; Fix previous mis-naming of the registry file.
-	 (let ((old-file-name
-		(concat (file-name-sans-extension
-			 gnus-registry-cache-file)
-			".eioio")))
-	   (if (and (file-exists-p old-file-name)
-		    (yes-or-no-p
-		     (format "Rename registry file from %s to %s? "
-			     old-file-name file)))
-	       (progn
-		 (gnus-registry-read old-file-name)
-		 (setf (oref gnus-registry-db file) file)
-		 (gnus-message 1 "Registry filename changed to %s" file))
-	     (gnus-registry-remake-db t))))
-	(error
-	 (gnus-message
-          1
-          "The Gnus registry could not be loaded from %s, creating a new one"
-          file)
-	 (gnus-registry-remake-db t))))))
+  (let ((file gnus-registry-cache-file))
+    (condition-case nil
+        (gnus-registry-read file)
+      (file-error
+       ;; Fix previous mis-naming of the registry file.
+       (let ((old-file-name
+	      (concat (file-name-sans-extension
+		       gnus-registry-cache-file)
+		      ".eioio")))
+	 (if (and (file-exists-p old-file-name)
+		  (yes-or-no-p
+		   (format "Rename registry file from %s to %s? "
+			   old-file-name file)))
+	     (progn
+	       (gnus-registry-read old-file-name)
+	       (setf (oref gnus-registry-db file) file)
+	       (gnus-message 1 "Registry filename changed to %s" file))
+	   (gnus-registry-remake-db t))))
+      (error
+       (gnus-message
+        1
+        "The Gnus registry could not be loaded from %s, creating a new one"
+        file)
+       (gnus-registry-remake-db t)))))
 
 (defun gnus-registry-read (file)
   "Do the actual reading of the registry persistence file."
@@ -1178,13 +1171,12 @@ gnus-registry-initialize
   (gnus-message 5 "Initializing the registry")
   (gnus-registry-install-hooks)
   (gnus-registry-install-shortcuts)
-  (gnus-registry-load))
+  (if (gnus-alive-p)
+      (gnus-registry-load)
+    (add-hook 'gnus-read-newsrc-el-hook 'gnus-registry-load)))
 
-;; FIXME: Why autoload this function?
-;;;###autoload
 (defun gnus-registry-install-hooks ()
   "Install the registry hooks."
-  (interactive)
   (setq gnus-registry-enabled t)
   (add-hook 'gnus-summary-article-move-hook 'gnus-registry-action)
   (add-hook 'gnus-summary-article-delete-hook 'gnus-registry-action)
@@ -1192,13 +1184,11 @@ gnus-registry-install-hooks
   (add-hook 'nnmail-spool-hook 'gnus-registry-spool-action)
 
   (add-hook 'gnus-save-newsrc-hook 'gnus-registry-save)
-  (add-hook 'gnus-read-newsrc-el-hook 'gnus-registry-load)
 
   (add-hook 'gnus-summary-prepare-hook 'gnus-registry-register-message-ids))
 
 (defun gnus-registry-unload-hook ()
   "Uninstall the registry hooks."
-  (interactive)
   (remove-hook 'gnus-summary-article-move-hook 'gnus-registry-action)
   (remove-hook 'gnus-summary-article-delete-hook 'gnus-registry-action)
   (remove-hook 'gnus-summary-article-expire-hook 'gnus-registry-action)
-- 
2.24.0


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 29 Nov 2019 12:37:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 29 07:37:22 2019
Received: from localhost ([127.0.0.1]:59680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iafWU-0001Jd-K5
	for submit <at> debbugs.gnu.org; Fri, 29 Nov 2019 07:37:22 -0500
Received: from mout.web.de ([212.227.15.3]:36741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iafWT-0001JQ-1p
 for 33005 <at> debbugs.gnu.org; Fri, 29 Nov 2019 07:37:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575031024;
 bh=dLth3912ZxzCFTNFggnNXukKxRw+qpv00R1Hgge/SAs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=l0xG974FQJrKZ8sGMkkak2cQ8eCvnpip95AynjnvuAgVhA18hHe0liC3sn1w5w/UH
 Q4x8FC+ATA1m7XYiJYhndM7c1yyUk3Vtx6Ex0B71J6ipfFJLp9pX//REvRJZ/cR0I7
 vA3qwbwH79Ak+yYvgKMymbCmaMKZeJdBStoIP5d8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MdLcJ-1iJPsp1WFf-00IS61; Fri, 29
 Nov 2019 13:37:04 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN> <87imn3tv1s.fsf@HIDDEN>
Date: Fri, 29 Nov 2019 13:36:59 +0100
In-Reply-To: <87imn3tv1s.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 28 Nov 2019 23:55:59 +0000")
Message-ID: <87imn2luz8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:9qryx4ezjQE/h8fBWu87LXdmAjxVNKK68nwp9XoQudtMjbQSEIg
 9EHxczECasbLqZS39dOxF1cTK2OydmkfTPaDRuSWXuT4xiTydkv9v+H0R5CDdCovwBwqWch
 xkIQ/qSnOIrczwrV3z2y9YPk9FGX+AgxCktLynzw7DX8+9hwXIagJRZpIK1LFEcbSd5SJVh
 iQQ9hckZYfhh8TU3LEqgw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Twybl7ShspA=:+qhV2dEtaHPBi7/mk2N7sY
 7GpClHogVwrbmWmV3zcpUUSlIrsj24aWkGfFfrnDyJQp+z6noduaeYZd9JPd6sp4vdSdZHbwq
 OyeiYkxxBWnTsJeh8kdlqeiIKOBIgOBqE0DfkYtDtuwQdoGyE1YC6IEUMW3Wu9337p/e/FgPC
 JwA5r0jFv15P8utWBuCn/2pIBym7M/lVlm5by8qQIKBHzlhWtKv6cpLczW1FY2F3fKhkTz5GB
 pacXijwHNikdcuSSxkDCcjVwMnk2nfTsmPKLhm8QZ0AqYPOpYA0XnzbKIZ8I0BxxOeyiVTXDT
 ri9rXxXLdURhOAAmxRJ2w6KVO7uGUMvnsvyHaAQ9dMdyN/4ELEOELuIGZFQF9KYxFXLMCajgg
 nucZJG49a+uUpOf0G3sqIs00EOPT5hj9j/UjVQ3IXX/7wSkVZc4d9DmNZhvZz/oxKydcOaAa3
 kTv6LjqqgoPlQ6dt1pLHiy2XLlCv/qt5fdjUgV3FRs2A5Y6+J1HF9YsG9wetQlCc6AYhFn6wa
 wAiI2QfwvBtigBwPglcHgFL05vIB2hHUjlLZVgFhGIYffBYvWOURJtKm7dFEtvD2CAuvscFDD
 7i8yd/Fy1JDdtrAw/6+/tJcoRmW85EsEqZQAn0mdeBZWVEJ6AHVA847ndFcX1+ci8qL+Srtft
 TDDxefeCUHBkMEFFTTCfktBZMm76jxj54xL4l45sZY717mRGl+/NEbEgLza2EJEmb5Am6BpkJ
 RdLTZMpq7Y9ey/Vx+MkdzWyTEPst2asL6GN1wdYEtJogxKbKVWrkevbWsR7Cm2BbJQY42oXAp
 8+QUOtSEFDiXw98Slt8BUW5MSkJ3QGuGhMN0BjWjRkUbSD/L8+gozdFQ1s1in4Awg31DU/UaI
 gUEWdGB08nqEywhbqgY4RJHa6k+/1aqbiw1xcy2vn3Mo0IJTRNCodBRF9pBdp/kNw8zxVESa6
 vGiA8odbgBrbLl1BJUQTHbuED0PoJRoTlMdky6LsTV9asL2YdMrbPdvuOCjQlO+Udmcm53zNS
 SjCWuuRguPb1G06OPVwKg6gaUQCYHJ3QRahEPxmOYCU7flvn9XQQ8i5p0e504EEVschp/4CO1
 aaXj1AOj2IRTjCM1GFbsl+Qv+mC2c3WKD+WnqEKN6kbE9buBM2GXTe3lteYtWrVvERQGwFhAN
 IgttwN8g6kGA4AJJjWYNklV0I7BN1WP2H9II1wGWaMJLNOyqX+hzcKEGVYuZ2t3d8/ODVfJYk
 ntNpr9X5oUZSDpBqQ5p0P00UE3U26esSlLljh6Hy1RTP5ikdyUbrEicL1QuI=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> I'd be awfully surprised if it only worked for me -- I'd think we
> would have seen bug reports by now.

My impressions is: some people may have tried using the registry, but
most of them gave up, and nearly nobody is using it.

> I still blame your usage of debbugs-gnu :)

I don't.  AFAICT the issue happens with (featurep 'debbugs-gnu) ==> nil
all the time.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 28 Nov 2019 23:56:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 18:56:12 2019
Received: from localhost ([127.0.0.1]:59269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaTds-0005sI-Ge
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 18:56:12 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:40140
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iaTdq-0005s2-Sb
 for 33005 <at> debbugs.gnu.org; Thu, 28 Nov 2019 18:56:11 -0500
Received: from localhost (unknown [94.11.255.11])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id E069CFA086;
 Thu, 28 Nov 2019 23:56:01 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
 <87wobk0xza.fsf@HIDDEN>
Date: Thu, 28 Nov 2019 23:55:59 +0000
In-Reply-To: <87wobk0xza.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 28
 Nov 2019 17:25:29 +0100")
Message-ID: <87imn3tv1s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> But that still doesn't completely explain why this works. Say a user
>> starts Gnus cold, and only loads gnus-registry.el via an autoloaded call
>> to `gnus-registry-initialize' in the init file. The shutdowns run before
>> the init file is loaded, meaning gnus-registry.el hasn't been loaded,
>> meaning it hasn't had a chance to add its registry-related shutdown yet.
>> So we should still be loading the registry with an already-initialized
>> `gnus-registry-db', and overwriting the user's existing data.
>
> But that shouldn't be hard to find out with the help of edebug, variable
> watchers, etc. - right?

No, I just didn't have time between waking up and landing. I'm on a
business trip so I haven't had much hacking time. This weekend I should
have time.

> BTW, are you sure that the behavior you see is seen by anyone else?
> Could it be that it works just for you because of your setup?

I'd be awfully surprised if it only worked for me -- I'd think we would
have seen bug reports by now. I still blame your usage of debbugs-gnu :)

>> Obviously the code as it stands should be changed: either I should find
>> another way of preventing double loading, or the defvar shouldn't
>> initialize the database to anything (I prefer this latter).
>
> Initializing with an empty database cries for this sort of problem.
> This should only be done when loading fails because the save file
> doesn't exist.  Then the user should be informed that a new empty
> database is created.

Yes, I agree that initializing to an empty database is a bad idea. All
the mechanisms are already in place for detecting when no database has
been created, and making a new one -- there's no reason to hang an empty
database on there. I'd still like to know exactly what's going on,
though.

> BTW, what's so problematic with avoiding repeated loading?  Can't you
> just use a bool var to remember?

I thought that the `eieio-object-p' check WAS the equivalent of the
"bool var". I hadn't actually seen that the defvar was initialized like
that.

Anyway, I don't want to make another sloppy mistake. But I do think just
leaving the defvar at nil and getting rid of `gnus-registry-make-db'
will end up being the solution.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 28 Nov 2019 16:25:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 11:25:53 2019
Received: from localhost ([127.0.0.1]:59030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaMc5-0005aN-Mb
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 11:25:53 -0500
Received: from mout.web.de ([212.227.15.14]:35527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iaMc3-0005a7-Bv
 for 33005 <at> debbugs.gnu.org; Thu, 28 Nov 2019 11:25:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574958331;
 bh=ic1bdJvr/T30dgFp4Tk4cyTC2O5I7n6F8+6CcKOgKlU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Lh6b+q5waWeLTQNz1sWlPuHQZhXWdjBbyQvh3vuW/RksD5oZUTzOae/gPPcjWUtPg
 DD4rchfmxC5PDuigsOp+BiJtAllhX2HP/jv+VXu+pWcY8rmLxKFzW+/CN0G2z6V797
 cEunjNCQSb3bWjxoLQgtqvQESkCFhNdw1m/1VeXY=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LkhUq-1hzvKR0ZOe-00aROA; Thu, 28
 Nov 2019 17:25:31 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN> <87sgm8tmq6.fsf@HIDDEN>
Date: Thu, 28 Nov 2019 17:25:29 +0100
In-Reply-To: <87sgm8tmq6.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 28 Nov 2019 08:43:29 +0000")
Message-ID: <87wobk0xza.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:+8s8kCSpqb5AAeVG7KbmmQ1sVVq7CAQJfdlThaFsVyzxAmRM7Z0
 IKFCm6wy+VSH7BamauURugBxsChD9kj6D2Jux4pxMQo+daxVmR+loiYEZfwyo5GbzRQntcR
 6zWDfTFH2uquSttGPxMEebB7WJAPetEajlOgcvErIhxGQ4COsfqe/pWVaZygc3HGMzcxBqR
 qw4rL/j+ThWPk166EfOnw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5V17XGuFmvw=:VqjZHshA/KDopbMzZPiazR
 94n1Stw7AWk1Kz6AZu6WuBb1QRJkIjPPTYQEktypgDwGn5ALYTmCJRA8xULi7QkPvRmjhaoSj
 Ypt8CpnDenAsOZGI3/NCp8IskD4efCU5nJgxaL3KVpVBxyXH1HkeRmAWsgrIf6mEB0Ol3H4eb
 ARuxmvguOI5AdfFU3d9x7mkevIfuO0ptH+jLsuxalwoBECQX7agyK93jEGVRY5cT4n4ODKgqH
 D/RqK7i0c9yVRI5UpHOftFmrppuoP7+Lk9iTEG6iGC+N3FQIV2JermNUZdyDh2M0oF1w4zq5G
 9H6uKyUQz5Aax+OAv96meztMWICf6yQnROe6Dae9Pmi6tm7uRQBbxCZPzOElgWFsD9y20/day
 x/Se/a+pXgygQieBUUNZvAG37I2pcunyhSb8JSQgo1F6xJMK/hBDbm5OCRo0kIlALzpZsEHjb
 pibPrn6R3RZbrGe69V9YwuBATAHrgS61tv51EVv/XqnevjjoW8NjcG/xugHtUVFfptt5pvac/
 ZImIEM8vCxYIRudrlqd8krhDqi1Hq91SefCaw4s3z+WLoEQZzpRaVrKJTey/4F+PGXL6ZUYPH
 XjMBq3/mha5ak7QZxEbLnpHBL2EqRIthxC+tlBLI8rzTfW0YBWiXJ6UtHvRmAvoVMKf8UMBHg
 hb3TYL0J+SGaUQelWn8zALFiTXiadkCMCSFboOLf+OxCGjMF7FTYxWJTec7f8FlDo66BpaPpE
 oQV6mjV7EOcITkYD2VwHnqgH/vJQJOy+PgsCsBkU0VkySYk14dZKZF8yxfJ6iXBM8E5g+YYf6
 QLC2aucwpTGQ7u+8CiwqwOB1ZztKnk3a+SBjFBZFvTCe9AI2YcPjoUilGwd/jl9EPxkQ5KTrH
 JrhLPVPwuzXXsP6+YAZwAyi9JWZsjjmlW45nwUFSjOoAhQvpZWUArVp1CAX9pGaCofpRTvc0W
 okSG99j7IpqC+VtfNfNxMzvCGheSQWLGiOX9/rNo9ruOSxUhUqUIcZpATEhFmRRXjMShzVSq5
 TINUXKykShoVPJot0ejtpyp2ODJim2mizGYr3DGN6+8SksLShXvWn+PPtK5K5l1A53V3fBVYJ
 UKdlU44r9IMhjfOyuPw/MUGfx47j4xB+B0QalXuvpMe/DgK1vXE83xXi5lp/18hpcM6GXQmNU
 Fe8Rn9Gj7hBNCr+G2AF7LESdllI0rkbUAGwbRpbldmMTXpUIWwAwp9NmVmeiv+ErglCNGmJb1
 Nka4r0ar5/S6SxOYWZAQ1DsrfT4mXIVXcsaOljg/ErwcCjYZCAmnjwEEQ4jk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> But that still doesn't completely explain why this works. Say a user
> starts Gnus cold, and only loads gnus-registry.el via an autoloaded call
> to `gnus-registry-initialize' in the init file. The shutdowns run before
> the init file is loaded, meaning gnus-registry.el hasn't been loaded,
> meaning it hasn't had a chance to add its registry-related shutdown yet.
> So we should still be loading the registry with an already-initialized
> `gnus-registry-db', and overwriting the user's existing data.

But that shouldn't be hard to find out with the help of edebug, variable
watchers, etc. - right?

BTW, are you sure that the behavior you see is seen by anyone else?
Could it be that it works just for you because of your setup?

> Obviously the code as it stands should be changed: either I should find
> another way of preventing double loading, or the defvar shouldn't
> initialize the database to anything (I prefer this latter).

Initializing with an empty database cries for this sort of problem.
This should only be done when loading fails because the save file
doesn't exist.  Then the user should be informed that a new empty
database is created.

BTW, what's so problematic with avoiding repeated loading?  Can't you
just use a bool var to remember?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 28 Nov 2019 08:43:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 03:43:38 2019
Received: from localhost ([127.0.0.1]:56601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaFOk-00034y-3n
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 03:43:38 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:48364
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iaFOi-00034l-IW
 for 33005 <at> debbugs.gnu.org; Thu, 28 Nov 2019 03:43:37 -0500
Received: from localhost (unknown [94.11.255.11])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 75906FA086;
 Thu, 28 Nov 2019 08:43:30 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
 <87eexuuznq.fsf@HIDDEN>
Date: Thu, 28 Nov 2019 08:43:29 +0000
In-Reply-To: <87eexuuznq.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 26
 Nov 2019 21:54:17 +0100")
Message-ID: <87sgm8tmq6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 11/26/19 21:54 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> I wonder, too, now that I look at the code. I will let you know in 15
>> hours, when I arrive in London :)

Okay, I mostly slept on the plane. But...

One missing piece of the puzzle: the Gnus startup process runs
`gnus-clear-system', which runs `gnus-shutdown', and the registry has a
shutdown routine that sets `gnus-registry-db' to nil. Starting up Gnus
essentially first shuts it down.

But that still doesn't completely explain why this works. Say a user
starts Gnus cold, and only loads gnus-registry.el via an autoloaded call
to `gnus-registry-initialize' in the init file. The shutdowns run before
the init file is loaded, meaning gnus-registry.el hasn't been loaded,
meaning it hasn't had a chance to add its registry-related shutdown yet.
So we should still be loading the registry with an already-initialized
`gnus-registry-db', and overwriting the user's existing data.

Obviously the code as it stands should be changed: either I should find
another way of preventing double loading, or the defvar shouldn't
initialize the database to anything (I prefer this latter). But it's
still a mystery to me...

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 20:54:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 15:54:34 2019
Received: from localhost ([127.0.0.1]:53077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZhr0-0004TQ-5m
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:54:34 -0500
Received: from mout.web.de ([212.227.15.3]:34595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iZhqy-0004T2-Jg
 for 33005 <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:54:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574801658;
 bh=GI0HN+NlY+h8to2lKrPKVJNd8zRTPHiTRWDRrteeoAE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gaA7KuRXhu856QKbFkC0ShytUyMpdlxdR820LRYi66NcZXmU2IW17WNV6y924FpI3
 ewNWHInJdtG+kuBrTZveFDwNXV9MgO+QedKnd8FZ4UMZPiPXnyaOFdJaIMCrvYf/fw
 CPiXfW2sZ56ZC8ooshmQEpygvZQ/p9FqwXRw7Od8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MX0lw-1iLUs947EK-00Vwdr; Tue, 26
 Nov 2019 21:54:18 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
 <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
Date: Tue, 26 Nov 2019 21:54:17 +0100
In-Reply-To: <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN> (Eric
 Abrahamsen's message of "Tue, 26 Nov 2019 12:48:10 -0800")
Message-ID: <87eexuuznq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:7eIhPzPmBuIKFnQpovG7cIRYnf8hZuPnDZ7HsK/P2x1gCYBEml9
 KzmXYc3tfhMQC2r7prBbG7KQETIb+enuFCzXnF5yZ8FRb/qp82WC/i91jZeTnkLIJ2dwgvY
 OyWNV+mHZaMkj4kiN52gHvOsl8tsGZLKohHbKqj2jYbmRQsmK8CLiDJxlm1k67wjit30J4k
 kwpVykJPNpNsjPclklMog==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ycUY1ReD/HY=:Cb9sqp+uQKNe9t4+IS2KBk
 Wl3+n6d0sFBDAhOifPlF1nzOPT6dYJrvIhSGlmSZqOf1QGXfk9olXQIIhRQFw8W+RrakEChKk
 1TnCaEdm1SQTDD2ZGcIAA2Bv92uD8JGnvGOzs6lMO/7HMuyPTwJV+D2JJMdoXS8/kcxal1ITv
 3fVAdmhoZ/YNr1UFZRk4xOldwXPirxvf3oklDH5YkG7w6pB+0J/RHOSKQZ21tiwXAxYCiqAj5
 B1CU3yoE8hpFf2nNVEjDXWaOO3ThQOh+Ym5as8+knURUDEO1NByTteKVltmlttlyEL36lSU+U
 8MrLmXOVYKlFFlhXN0VrULwY137myxjL02WjHL1U5dDV9XoGvxEkQtIJJRY0nuNppaFKHkUi/
 gYoh+ENfQ6H2tDQdW4/hy8hrugv2bc3oPmuReKdE/GTwkYwsED3sWnTTaj/w0qTKP9hsaQMS1
 sJcSXXm2jv5zaRvNGN17vm9Hx2lV6D+FaFhPs2eWKbUgwAu9/NVDcKbomBNcSVecXmhzlo48n
 Xi6Y8C+ZxfzY8bjkq4QiUXdBo17IEC+/tmtTqFfvIgfxAwFfIFOSSwWP3+bqsHid5fsIVW51O
 V7jo6+jKMBe+VbdcPYUKl2nqb6pwW2SnSwiIyrHRKU7OvleT4FyYO30VpTdtTthZZXABXTwGp
 htL6vXhc8v3ONuqBxKLOZSWP3upg/WYBynQkT0hVdiYLO7MZFfqY8COJLCfdDBQ8wnwmNHsyK
 xnVPqAmFurJZGtrBjqGv194C4xV8QLLZ92+uvuee5+sIL/voLd1dSZc0pnKmf5Auh45xAMlAJ
 2+JhMJoP09bVLitFy6NMdI2N7JG7l6Eefh92VxD9ILOx9/yIdyEYV+SJ2dap8BUVAgN8Y5sFh
 hlZRnVIvVoV2jgHGleXDY9rNy+od0c7GoySyscFOqVwtqYSVrDBkRXJfiStlcZb6vj9A9B4n8
 bN6mx1zk+QKGYJME9onklwUPhQlt5wzDgyTLFllnstfyMcSS34wF0/eBzuUfGw1PWrhNoi7nj
 +2UVE8DNnzlb5+cOQRz2J0ybTXv/APLOT33BvM9jHAGAPwqCv0GpVlYiaibcCjVKrQctkww04
 jNEMk3IRi1LFkT5MUP0j0YwGX+b5/1ce4zt5MR47cHmhWqsRt5dOay7b2L45W2WAzc9I6BNcx
 qbyuaECDDyt9OqeBbHAw94Snz+gpKOjJYigUjPuW070kOBmlCe7AtUogOJTRZJRp7b1aW+pqB
 96MFK5TZbmMjj5JsawByMM0I6kGC1u0tNx7SirHeUmzuv2S0172UKhqDxh1c=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> I wonder, too, now that I look at the code. I will let you know in 15
> hours, when I arrive in London :)

Great - good flight!

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 20:48:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 15:48:23 2019
Received: from localhost ([127.0.0.1]:53073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZhl1-0004FC-GG
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:48:23 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:57740
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iZhl0-0004Ev-9y
 for 33005 <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:48:22 -0500
Received: from [IPv6:2607:fb90:b28d:5600:8502:3b06:b045:f121] (unknown
 [172.58.45.112]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 595C6FA086;
 Tue, 26 Nov 2019 20:48:15 +0000 (UTC)
Date: Tue, 26 Nov 2019 12:48:10 -0800
User-Agent: K-9 Mail for Android
In-Reply-To: <87imn6v01s.fsf@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
 <87imn6v01s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----5YK6EN1JSVUQWGVBXF55I1E6VXRKDV"
Content-Transfer-Encoding: 7bit
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
From: Eric Abrahamsen <eric@HIDDEN>
Message-ID: <DACC8FD2-D868-4694-9D67-F8D86A88938E@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

------5YK6EN1JSVUQWGVBXF55I1E6VXRKDV
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

I wonder, too, now that I look at the code=2E I will let you know in 15 hou=
rs, when I arrive in London :)

On November 26, 2019 12:45:51 PM PST, Michael Heerdegen <michael_heerdegen=
@web=2Ede> wrote:
>Eric Abrahamsen <eric@ericabrahamsen=2Enet> writes:
>
>> Does it fail for you every time?
>
>Hard to tell, but I think so=2E  Whenever I tried today it failed=2E
>
>I really wonder why it works for you=2E
>
>Michael=2E

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E
------5YK6EN1JSVUQWGVBXF55I1E6VXRKDV
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>I wonder, too, now that I look at the code=2E I wi=
ll let you know in 15 hours, when I arrive in London :)<br><br><div class=
=3D"gmail_quote">On November 26, 2019 12:45:51 PM PST, Michael Heerdegen &l=
t;michael_heerdegen@web=2Ede&gt; wrote:<blockquote class=3D"gmail_quote" st=
yle=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 20=
4); padding-left: 1ex;">
<pre class=3D"k9mail">Eric Abrahamsen &lt;eric@ericabrahamsen=2Enet&gt; wr=
ites:<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex=
 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;">Does it fail =
for you every time?<br></blockquote><br>Hard to tell, but I think so=2E  Wh=
enever I tried today it failed=2E<br><br>I really wonder why it works for y=
ou=2E<br><br>Michael=2E<br></pre></blockquote></div><br>-- <br>Sent from my=
 Android device with K-9 Mail=2E Please excuse my brevity=2E</body></html>
------5YK6EN1JSVUQWGVBXF55I1E6VXRKDV--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 20:46:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 15:46:10 2019
Received: from localhost ([127.0.0.1]:53069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZhir-0004BN-MC
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:46:10 -0500
Received: from mout.web.de ([217.72.192.78]:38257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iZhio-0004Aa-Vd
 for 33005 <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:46:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574801152;
 bh=k0CGvaNBhqOEdZFjks4/LH2mUAEPzNOx9VasXL2Zjco=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=fiA6A6cIo9Ya4WTenoxXnd4xUtU9TgQ60QpUEvZsqyy50e4Q9DeIsW4Mxe/xunP0u
 mxgUM8q3pSXIoN66RDJgJ6ETqgcOk3Y4YtsB7ZBLSYtSt/oHX3hBVpQSmNp3aUkLkT
 yEr1pZ8csL8kiZmQIz25CX/fjCdILbISaU6auTVs=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LlFDW-1hzoOv4B1y-00b1QU; Tue, 26
 Nov 2019 21:45:52 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
 <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
Date: Tue, 26 Nov 2019 21:45:51 +0100
In-Reply-To: <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN> (Eric
 Abrahamsen's message of "Tue, 26 Nov 2019 12:41:21 -0800")
Message-ID: <87imn6v01s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Dj1d1HWLAldu5lnFlvimRBEuqmM2y8h03J9skVbz/3Phki6fIPx
 bwHlOQzNIf7wTtPwADkNlDk75OxAtuTAo9jc+wKuhu0qXST2oYn9HAxqlEF0AZocjcpuUB4
 mdRFyAY+ZlTRzJ0njyUdWyJDdGymo+5AxqoOtLUafzR+hwHsXAVVKrDZEFip/PCYmRr8nhW
 moszisDyMD8yxpQsfeigQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ny2Rnop8Wgs=:R7ulUOMXezJkZ4OrvTvDrk
 w2bCZ8/UmB7RSw3Uu/6qr/XA61O+ShWIo/q99xcgmLIzlUqPXKCdp5K7lqFMISnHT/QRc670k
 88PgRXqu59dPlULGnV/ZTHHonw6IvyF1yqJE5/Lha3drkdjJl83z5giUd0Oql8uCc9jDwOR3t
 h3r4NUXlWbY3Fe+mnB5Mw0iz6EdrgfDK/mqeLP4+uMOOVFox0ApwaInYlshZ1qN3x48suAQ7X
 Sx5Jo3fl5jr1e8lpenSA2/8qD9PKvl0rFF6NgtUpc7TVq0tipEQIdz5jnZ8Z8Dtga3Fbjw2DU
 ronEwQMkWoDDPpiSpThlziCvx0f8+JisYAVwn3CEIkrpcprBSf1VF0jiz89vI0qXBB0Ryw0Oq
 FxSbli4W6pqOnv0oYJCDcwiKIW10RXbDeRDxLYXb8FTO3x4vfL7y4eIVYAXhetEPxh9FgRrfK
 /Jc0RYaZqbbl7MD9HywPTqPwOQQ8Z3d/YAaYb6OcqX3VA/cG1NrPyM+EAyx8CSuuP/rkTmXSx
 9roSjIEx/teJxdVVoNQiRE9U+7l5I0Q4dlWnmmorxRCtu2XQH4QBSPF1S5sTwDY9h1jr9vHHo
 e/0n6fIHKC9lOplad59oEU+B9MKio3eSb5PB6h1HKsSsgwyOKDhoTJbuMZlvgkGL23p3Zl6ki
 Iyprk3a1PRXlYY4wJn1B2amM9lHocmA95YUpirJKFfRd7G300Cb8xixYqzjkeqKpwBVPbO/jq
 W+aqLMUQFl/hyvnovvDdkeOSv2c3CnH3Zf5ZWXLmJO0cvTX+XjnRHWq1uQM2klFjoGQZR2zfq
 TOdiYAwUN5VOBkIH35NE4vos/5vNxvFBp0kUi3YglFIj3WIFzE1J7/yn7eaDpQkV9WteFqph2
 hnzdffV6F52/1xajGE3NVs5SGpnxNsq3n218VHXK4yOjH9FNb3YrCSIm9SFDCgrrJN6CdFwts
 bWh06WKrNuHxeQ0jJoSD1gyPt+1bm1ZtKCpUXxrZ0L4zGJnHY/EGxTGmJ1bnFT4UdFC6nSOzo
 yykMlMTH2MPkhVU9OXciQXQaDD0fSF1FgRYNpdwAYofOA8GhquCh6is5qcvEluK9wfttHFvI9
 7vrTRvgl3BzIPxGzYly8QSweHIrBSbpp+3wH18+XSZHXPf8Pvg9JvGTS8aP4J+Rlcub6oHS9w
 J1XYXcwKwnqtf1hZN05WgIfaUQMir1hqBbvD6RQP38z/4oSdAXqhSv5VKeUbQXiTyttfZ9hef
 HEyPyFndx6eKwHId7Xm2hZ/dzLtzijX7n8FbpQETWCuqwaJWIRRrj7QdDwYs=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Does it fail for you every time?

Hard to tell, but I think so.  Whenever I tried today it failed.

I really wonder why it works for you.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 20:41:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 15:41:34 2019
Received: from localhost ([127.0.0.1]:53056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZheQ-00043B-GG
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:41:34 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:57568
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iZheO-00042s-7j
 for 33005 <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:41:32 -0500
Received: from [IPv6:2607:fb90:b28d:5600:8502:3b06:b045:f121] (unknown
 [172.58.45.112]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 36855FA086;
 Tue, 26 Nov 2019 20:41:26 +0000 (UTC)
Date: Tue, 26 Nov 2019 12:41:21 -0800
User-Agent: K-9 Mail for Android
In-Reply-To: <87sgma1ju2.fsf@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN> <87sgma1ju2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----NKV9UKMTBB84PX710FU54UAD712SDP"
Content-Transfer-Encoding: 7bit
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
From: Eric Abrahamsen <eric@HIDDEN>
Message-ID: <D8322D57-D9F5-48C4-831B-0659E05A1EA1@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

------NKV9UKMTBB84PX710FU54UAD712SDP
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Does it fail for you every time?

(I'm getting on a plane in a bit, and trying to father as much info as I c=
an before the long, dark cutoff)

On November 26, 2019 12:08:53 PM PST, Michael Heerdegen <michael_heerdegen=
@web=2Ede> wrote:
>Eric Abrahamsen <eric@ericabrahamsen=2Enet> writes:
>
>> Dunno why it works, though=2E=2E=2E
>
>Maybe you could (e)debug `gnus-registry-load' and check why the test
>succeeds for you?
>
>Michael=2E

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E
------NKV9UKMTBB84PX710FU54UAD712SDP
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>Does it fail for you every time?<br><br>(I'm getti=
ng on a plane in a bit, and trying to father as much info as I can before t=
he long, dark cutoff)<br><br><div class=3D"gmail_quote">On November 26, 201=
9 12:08:53 PM PST, Michael Heerdegen &lt;michael_heerdegen@web=2Ede&gt; wro=
te:<blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; =
border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail">Eric Abrahamsen &lt;eric@ericabrahamsen=2Enet&gt; wr=
ites:<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex=
 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;">Dunno why it =
works, though=2E=2E=2E<br></blockquote><br>Maybe you could (e)debug `gnus-r=
egistry-load' and check why the test<br>succeeds for you?<br><br>Michael=2E=
<br></pre></blockquote></div><br>-- <br>Sent from my Android device with K-=
9 Mail=2E Please excuse my brevity=2E</body></html>
------NKV9UKMTBB84PX710FU54UAD712SDP--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 20:09:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 15:09:12 2019
Received: from localhost ([127.0.0.1]:53023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZh96-0001Is-7J
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:09:12 -0500
Received: from mout.web.de ([212.227.15.14]:52031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iZh94-0001Ie-8S
 for 33005 <at> debbugs.gnu.org; Tue, 26 Nov 2019 15:09:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574798935;
 bh=/PSE7gIJW0Q3PCW6QX+HH4450IUlsAPX7SRxxOMMlfo=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=UWO98yydOlcQFHd+K6lTaSY4DLRpKYU0ZR/ZCc9BCi+WjMCV+WL2yE9S2UyMf39nC
 wkV5FV4Ae7K3woCGM7bjxk4mZJpdItQZkNGaz7ohItBgmoCTXOHhKiBhx0VlwmpNLS
 1PZqBcSnAe2FEtcSmQqO3bPl1yBsdS2fraFoK458=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lzrwh-1hnYTF3rwh-0154xC; Tue, 26
 Nov 2019 21:08:55 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
 <87pnhev5n4.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 21:08:53 +0100
In-Reply-To: <87pnhev5n4.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 26 Nov 2019 10:45:03 -0800")
Message-ID: <87sgma1ju2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Phls3eg8gy/4YO8g/MgCYCXEiP2IkrJoz6KOB6cKqbP6L8QtXr1
 BOY+aXUj4qgUt1HkJDxNtEFkN0uM7Uq7iI0Ge22xAktBFqut+cVZDJwRUDF7T0yC+HztJpa
 fNRFV/E4KkxfkkPOj7d98tf4oShw1UsdcMvjeB1Ixe1ZQ0x136SPIR3zvhzJnTblWHpkkJR
 Wye4YiHJTzPOD9qwxQuSQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:R+fW9xWiw/c=:HHFFqKIlDrslDOtLQqlC5/
 Pd0JoJSUZc0RuAevSIbOhwObdoFoNO2iNCtf4uGN5Mrns4hMAWWKmi/yEan+0ca2Bx/m6nkeM
 RMh37hRXYEh/iP9U6w3iKrZ5IkC4lq7uoKzCvlf6p5IXUh0mvIvA6ZuNeiqlPdomjy5u0SJuE
 BSqgMz8xq/AVzetmTLwjEjdfy3h4dj9xcYNTSuSpRY9f+wTfLjocPi4IwA/lWtlQ+GeRvrap3
 yKCQ7cxW4IyD3Ih6qAlJDn1GG5bc30+AFzf08Gbc7k0QZwDkyqA7RkGwU9ftNVI79+nAHBlHH
 wusfdxBNHiOsg1X7G1PjiyodZYjf1/b2XTjjplRlhYxWnTTwmZ2vWEKkMuKvggJAmsG+GKX7t
 HSrZMFZ7gboQL2eu+lOrJMxQvY/mjkmEna2K3SSDyDREhQvSKbjp3gLCA7vx4QaCSWyakfdGR
 Fv0akjUIw32Cg9cIQdu40Mtlg4M7AUi/u8bH8T2w/YFrasqjV26HQRbMd8xfC3aOahBoeztaW
 qlxgV5qNgcP63syANXcsS82U22DwogESmc2nzT3Hgxt8O/d0BbYBYiYLNwL8xUgGn22ulIqMa
 AIJkiF4M3FR//9b+pDjog9KsEc5n6B6M72FGHFsys+1NIKzpp3ysFABAgTxzAZw+mQr8DYVXq
 yBUBAWhzbXPRBPXf7MpFbkw0wAc8MyIa+WKpPK8PtXtpoZM3K+AjqqKtf2N6rKflwHM6EKEMv
 Rce8mWkJnYZPGA7Czc4qusQvWrjsTIqcjnoXQvislY9I3SQWvJ+lc/AL9xVlWh51U1X7dBxf2
 16DtZFdnh7HDfvOgr/pmEpJJgffba0F4sj17iYJ8oW7nRw8FA5vXuvSQhBQqUW7XIZLM/PLxf
 YQGhbTrKN/BzqWu4V07RhtaA8GdFxeQXyExdJ4rVXVTfN/QmMQdAFAukEBk2izgSU3Lg7C9Um
 6Rhie1A4HRrIAPGn1ZEgX/eDFrn5yo3WIh+Fhv0d14nALh3Q1LTgkQbRhKU1rt8Tf5M9exyvo
 9dvZerCdcYQKqm+IWZoUDwPhLE/s1A8pM088NBBfwo3PVeOSF7tZCMIPOCJmactC3pvSMfsUJ
 Pv6HOE0KJs9m0KR7EFeeDKeM+iYRAc3Wmv39iG/cUcoEXdLOCNgYBhbtpUlHsZ0n/7Ck5w2hr
 8md/nEs8APoUT1gFwc/O8aa8P+6BHMjjWQml8sEbQkbeE3eu1ZUfRLHcbdubKeGi831latfRK
 vNNX4E06uewOK1GzLuIZXIkeKyNhO1Jkg1J90+5x0/o8+mhmqLMwgUW6rLdc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Dunno why it works, though...

Maybe you could (e)debug `gnus-registry-load' and check why the test
succeeds for you?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 18:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 13:45:14 2019
Received: from localhost ([127.0.0.1]:52945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZfpp-0007bg-VL
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 13:45:14 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:54824
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iZfpo-0007bP-6G
 for 33005 <at> debbugs.gnu.org; Tue, 26 Nov 2019 13:45:12 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id BBBDBFA086;
 Tue, 26 Nov 2019 18:45:04 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN> <87k17m1tv0.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 10:45:03 -0800
In-Reply-To: <87k17m1tv0.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 26
 Nov 2019 17:32:19 +0100")
Message-ID: <87pnhev5n4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 11/26/19 17:32 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Well damn. And we're coming up on Emacs 27.1, too... I've never seen
>> this before -- would you mind sending all your registry-related config
>> (off-list, if necessary), and anything else you might think is relevant,
>> and I'll try to reproduce?
>
> Ok, I debugged it.  FWIW I recently learned that "I'll try to reproduce"
> has a meaning that I didn't expect: you need to say "I'll try to
> reproduce it" or else Stallman might show up and laugh at you (it
> happened to me).

Who knew such dangers lurked on this list?!

> Ok: I have only (gnus-registry-initialize) in my init file.  And this is
> already broken:
>
> "gnus-registry.el" initializes gnus-registry-db like this:
>
>   (defvar gnus-registry-db (gnus-registry-make-db)
>     "The article registry by Message ID.  See `registry-db'.")
>
> and in `gnus-registry-load' the
>
>   (null (eieio-object-p gnus-registry-db))
>
> always fails so unless you call `gnus-registry-load' with the force arg
> you always start with an empty db.

Oh I see, when the file is loaded the variable is already initialized to
an (unloaded) registry object, so it never actually loads/reads its
persistence file.

Except that it certainly seems to! I've never seen this cause a problem,
and no one calls `gnus-registry-load' with the FORCE argument, so if
this was an issue, it seems like it would fail for everyone
immediately...

In fact, I don't know the defvar is initialized to anything at all.
For eieio-persistent objects, you're not supposed to make-instance
yourself, you're supposed to use `eieio-persistent-read' (which is what
loading is supposed to do).

Dunno why it works, though...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 16:32:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 11:32:37 2019
Received: from localhost ([127.0.0.1]:52812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZdlV-0004QT-Dc
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 11:32:37 -0500
Received: from mout.web.de ([217.72.192.78]:45933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iZdlT-0004QH-Im
 for 33005 <at> debbugs.gnu.org; Tue, 26 Nov 2019 11:32:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574785940;
 bh=I3k9IzwkscaXmDmH5AYeiUgsTcESlAX8oP7jPRcs1nA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=NjpvrsWQtGHWy5qoGjICVd3aF7NU17QV7bswypxh0V+M4XNs8Sucdgo1FEYADPSxm
 Q+pzWUQdKto44MLSAeAq8uBlerifp47UKy1K1ELDZKfP9/Jg2mQaoq4hzeqc+ep4hV
 +n24nFBtMmORHPi3/Wg16n57F5or3WHd6FZ9pN6c=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LgHLE-1i3tui0f4O-00nivb; Tue, 26
 Nov 2019 17:32:20 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
 <8736ebxxwa.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 17:32:19 +0100
In-Reply-To: <8736ebxxwa.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 25 Nov 2019 16:51:49 -0800")
Message-ID: <87k17m1tv0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:t+gZ6qx0ODXZFtGeGdaLvV1ZLrdmT+/DAJVBFRmyj4S0cWSL6w2
 RA0KeAvZR1gpltjjUONcihA+zPKb/mRHVI9Ipf5OVFH2yThN/9XwTQhfPb3uO+2eZ2l9u1R
 vih+p2EqTVP1DBOyFgI9Z0gx6PWasYJ6vP/mtjioGlJ9GLCnWqZThWt+lTLffrBJdJ9YMUn
 QgfsPkxO7edu7uwg9ssfQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:GmY1R+RHwo0=:eP74qCO08iOIYdK2FUWtpG
 d/Gq+gtxkIK8kYQGgszA8jxYYF9ofrcH+6gz1lgrk/fA+A8ONNPrMGQ0nnZMD8qZaJuHFeBVm
 I0kmXE9krOasjbaSuodUp6HF4+CsaPz4RLD/W/zPPUVhvAeFFVoFfQNavNFpmKaynKBpaaKdT
 2nYXczXds5+TtBkod2A6IoKAJ7rmPKOy3MQfIoGaaR9MdxOrGJwjAfcBlhEjtP5EAnJm5UUV2
 /20PzeU8RYd+/C+v4dWSBrn91PKrHhJ50JoylmCJsioBHqDrzFHOpOz8t2xVzCBfbvgecdsrI
 fbPA3T/OJ9yZMBGxvNy+NwFbA8TPhVcu5RKbuzMzTftccfOw259TUJ4LxmArZYceqG0wKs5+g
 Bifo98jrutE08I+HeUZI9K2fcpU9AkVkJ2SSAkL3ZhhKYwuSVvtgih2S53/VXYNZtItMbId1E
 XfP4osKrxEsKLetPqHVjU4ikq87C+JOjVMiGI8PL4cRa4Et19tSRqS9yejx3WSNrpk2S7UXsd
 4LWGfs7t5L0IJo54HuqZJbXIKDt3H5BjNNsRLfcF5jCHryvfmNt2rIbXs1YoCymivpPbKWkEL
 N1/WlNYjsOLjz9PVNu6K5DDPp+s2WAYBV6s6hjLs8S/z57cXUahaWRN92WLYOeebmslNVkOB4
 OmLXPbrbxEW2dBdsRqdcF3ns7+5Xofe2O1LsN5S/XiZArVb7eeFx46bTzHAkz2bAy4V8tVe5C
 mJbYae5nGkLfD53wk5jhly4E+TqcGNFTrFOl+Zi2I3fb/sw7H0irZ47E0CubEDge6XowNpblY
 nQqQYcBoMBbEMzO6xO0tuAzvGf2TM2oww3ToPG7YjeNiSJttZAwERK0ybUYbdfoIHrXJpBata
 XvBByO2zeunSqQG7q2pN0ssSzMKDtRrZy90z74JbfqPu3ld+paBiRzQXey+Hsv0ryiJTmCr3J
 ab1gp0RrEuhOBuXKD9ONI+C3JJCiiohZpaGf+TOg6nM5hwPnbePy7mALvDZofQJuRdcZbO02Z
 WiV1PcgqpcUM/mWnlBHNxqq7hkVYW1kVp6SPotcF3h0bRIe/HfFRV6ZRC6Kx7FITMuhSLKlnD
 kCJSbosw40UuVRB85fVdTMUIEhxEm8bazccTVOBkU49PdYOx/CPBaebXWT+w8SlRR6pPEa7qU
 2qlQ426RxV2221zFlOKIZKkyWA9IHgaIZSDol6m6GB0zsFMp8B/oRCdCF9yH5MpzySiFHujVb
 ME9AznDeE3Xg75Hy3s51eKR2/GR8Wac4HnAKLZFjkQb8f1cEI3Ir+hVhOKr0=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Well damn. And we're coming up on Emacs 27.1, too... I've never seen
> this before -- would you mind sending all your registry-related config
> (off-list, if necessary), and anything else you might think is relevant,
> and I'll try to reproduce?

Ok, I debugged it.  FWIW I recently learned that "I'll try to reproduce"
has a meaning that I didn't expect: you need to say "I'll try to
reproduce it" or else Stallman might show up and laugh at you (it
happened to me).

Ok: I have only (gnus-registry-initialize) in my init file.  And this is
already broken:

"gnus-registry.el" initializes gnus-registry-db like this:

  (defvar gnus-registry-db (gnus-registry-make-db)
    "The article registry by Message ID.  See `registry-db'.")

and in `gnus-registry-load' the

  (null (eieio-object-p gnus-registry-db))

always fails so unless you call `gnus-registry-load' with the force arg
you always start with an empty db.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 00:51:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 25 19:51:58 2019
Received: from localhost ([127.0.0.1]:49993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZP5B-0000jk-Qp
	for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 19:51:58 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:59252
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iZP5A-0000jY-5O
 for 33005 <at> debbugs.gnu.org; Mon, 25 Nov 2019 19:51:56 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 8F7C6FA087;
 Tue, 26 Nov 2019 00:51:50 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87k17nwkxi.fsf@HIDDEN>
Date: Mon, 25 Nov 2019 16:51:49 -0800
In-Reply-To: <87k17nwkxi.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 26
 Nov 2019 01:17:13 +0100")
Message-ID: <8736ebxxwa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Hello,
>>
>> I want to use the Gnus registry to use registry marks and store data as
>> described in (info "(gnus) Store arbitrary data").  Very often, these
>> things vanish after restarting Emacs or Gnus.
>>
>> For example, I use M M i to mark some article "Important".  I have
>> configured `gnus-summary-line-format' to show registry marks.  Often,
>> after restarting, the mark is gone.  Likewise, data stored with
>> `gnus-registry-set-id-key' gets lost, even when the according article
>> has a registry mark attached.
>
> I'm back to here: I now get the same broken behavior as before.  All
> registry marks and data just gone.  This is bad: until this works
> reliably, this stuff should not be advertised in the manual IMHO.

Well damn. And we're coming up on Emacs 27.1, too... I've never seen
this before -- would you mind sending all your registry-related config
(off-list, if necessary), and anything else you might think is relevant,
and I'll try to reproduce?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Nov 2019 00:17:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 25 19:17:33 2019
Received: from localhost ([127.0.0.1]:49979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZOXs-0008OB-OT
	for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 19:17:32 -0500
Received: from mout.web.de ([212.227.15.3]:45385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iZOXr-0008O0-A6
 for 33005 <at> debbugs.gnu.org; Mon, 25 Nov 2019 19:17:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574727436;
 bh=CRLdOIAdfj56VGr8m2VZ+mFqkQ8apNjYdWOfK+pKTz4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=R/DZ+OQiRalZKoPkCh5pBbsdbkiZGlvmM65j7IMvYC/FmIXyiGfI4Oep3QOf0zDKF
 u8JGVOf/4lNYNGFxr/7z+i0CsHcFmNaVd8q1B5EPHmrZ2V/9Ferg1nnauL9ToQhcXr
 Q17dYy5ESKmOJuk8F6ALjaU1GQwI2OaCi0uAEa0k=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lhedd-1i4zYA3cTh-00mv9D; Tue, 26
 Nov 2019 01:17:15 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: 33005 <at> debbugs.gnu.org
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 01:17:13 +0100
In-Reply-To: <871s8yvsrq.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 10
 Oct 2018 15:24:41 +0200")
Message-ID: <87k17nwkxi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ytBvoopUJzMB7vcKzfqFOGaKq+ILLQms7lh8GsR4jE/4BUj0TVJ
 sRLBeSMQfK9wKfT591Ke+X93HHKKMLV48yeP2dvl5PzoovGoJ4cebV74w28k6fC4tMXei8h
 MT4hyvqfl5hlHM2TXUc0pEGrrfIHFDC9Z4PcBuUI5id14clfmrexsnVhMTfyH1fCgip1Lr0
 vd6WKD9WenXunHnlVA5ZA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:rQxuy5eJNqU=:rzglJFytNRn8YLwcz3QEuO
 wNDbmAaqrs6JrzcIvkffYglVHLEoGNkUS8wsNXeBvbOQibiY08OFed69ddupRwMVdskVvMiTm
 i6ScDioFA7OQo+y8s3KLR5V8opLyvi3AneiWf0ysBrFRPMVeIA3B0aUbgLFvV4kt8lxYxduTU
 IeMUbmVjCMsX6D1U6+siLfbiKllsHsWqqZr0SeN25yKb4ZGPT3X56P1rm8+9Ib/l0GwPaM8b2
 qSXUEbv8bpbEYS7e1b9nytCJOSLJaW3TJdr4RHDPJYtjQ2Ubia4jTo1hfXO0uVSsvxuQAp1HT
 NdvwIJHjgBKmoOrMI3bGfQ9udaNff4duactBFJkjJ8BWQSj9z3YTLn4zd3b3GqTQvIu9GpU/3
 9ZzW3VBjqx+cjikE7uiMxo+lBDtxK20D7gVxoIQKst45QsNW9Jh0OHa9V/0Fm3nYjCsn0REFm
 H7jiLrkUqMyhMVF7mfTL1fVoHy3DqwNaWP6hMqgUFiymqnerUVq1Zc5XRySEOcWbBoHP4XCS6
 kxwr1SywZvAiI7/SR1Flkd+S4gVana5GuIdOdOTF9fhJydaPKdbq0XPL2zKsZTGARhs5BpXkv
 wiYZ//lriiZ4WWqKNsvZJi/g6QBYxg1tHSQcn8z+WPOnNrClQVUpq8RhH/3Inf0bemALTtgzf
 OJ3e+WXJ81MdGPZCsTaTonhwAu65JDRbPeaEsyATv4M7RnAgfGDPh6SWtlaLuGVcjNfGBql8j
 g9v8JWa/o5G4w8IlHoMyhZNdc1mfs5TmcbzJldCJUcm3bU9XeS0DBosxeDv0De6WiEzMDDJ3r
 acZ+3iGVXpKOqEapem8XL4tZj9jatZz8Gvk032O6CVpagXwqu6fitgKC4TCNg/VOITd3oLSbw
 J9EHyyEp95CsZLHUBNY9M7/6r43x3ZZuHrKptRrwa6LChH9cscJA56jsoDQ8Y94iJ9ebShpB1
 ivcBnMIvmH0t0+m4rlb1LnVndCH4sfbLgYRQkEwdOffJoL8RE+n3OWkL0G4dbuTpVN/gtfutW
 DebDFqJonvwnxRmq8RCuGZSATLQAxHUr9OVA7o3m8VOXA0I/GvDCOq681X/HQc85VwR8l96bn
 Hsm+QQIeQDJRhoycAFGixLPtZ1qp+ehVCw/+6IM+fsUnBtXYS9lhIx6Y9ql/hYHRTWwG3zrjF
 geSZeR2fr67YP90cD4oH0b3vkUB58O7tyJZFGYHkiNPcfp7If3vepnMBmGjqHd+y+8xOLz5uz
 OogJihLSEp8k1Bk/MqVqhAUPE7PuHiOS96KrhulWA/TPDngNiHlCDvYVGgyc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: eric@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Hello,
>
> I want to use the Gnus registry to use registry marks and store data as
> described in (info "(gnus) Store arbitrary data").  Very often, these
> things vanish after restarting Emacs or Gnus.
>
> For example, I use M M i to mark some article "Important".  I have
> configured `gnus-summary-line-format' to show registry marks.  Often,
> after restarting, the mark is gone.  Likewise, data stored with
> `gnus-registry-set-id-key' gets lost, even when the according article
> has a registry mark attached.

I'm back to here: I now get the same broken behavior as before.  All
registry marks and data just gone.  This is bad: until this works
reliably, this stuff should not be advertised in the manual IMHO.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Nov 2019 09:17:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 04:17:33 2019
Received: from localhost ([127.0.0.1]:43149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWdA5-0004Bg-Gh
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 04:17:33 -0500
Received: from smtp-1.orcon.net.nz ([60.234.4.34]:45571)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1iWdA3-0004BX-DL
 for 33005 <at> debbugs.gnu.org; Mon, 18 Nov 2019 04:17:31 -0500
Received: from [116.251.203.175] (port=27310 helo=[192.168.20.103])
 by smtp-1.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1iWdA0-0003DC-JA; Mon, 18 Nov 2019 22:17:28 +1300
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
To: Eric Abrahamsen <eric@HIDDEN>,
 Michael Heerdegen <michael_heerdegen@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <874ldtlcks.fsf@HIDDEN>
 <87ftxdl7w1.fsf@HIDDEN> <878t33cjf2.fsf@HIDDEN>
 <87o8za4gbl.fsf@HIDDEN> <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87r23a5d0d.fsf@HIDDEN> <f30b0303-92d0-5194-fcdb-c7c9dbe47c16@HIDDEN>
 <87o8ycst78.fsf@HIDDEN> <c4e89761-f4f6-3422-58eb-c02bb55e8386@HIDDEN>
 <87pnikhr2r.fsf@HIDDEN> <87zhhn5xkz.fsf@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <60bab4b2-bced-acfc-992b-7763b592e44d@HIDDEN>
Date: Mon, 18 Nov 2019 22:17:28 +1300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <87zhhn5xkz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 27/10/19 4:35 AM, Eric Abrahamsen wrote:
> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>> [the so-long.el change] fixes the gnus-mock-start problem, as
>> expected :-)
>>
>> So, Eric, I think you don't have to care about this problem.
> 
> Okay cool -- thanks.

Just to note, this change to so-long.el has been merged to the
Emacs master branch.

regards,
-Phil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Oct 2019 15:35:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 26 11:35:35 2019
Received: from localhost ([127.0.0.1]:41345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOO6J-0000oI-Is
	for submit <at> debbugs.gnu.org; Sat, 26 Oct 2019 11:35:35 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:33016
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iOO6H-0000o1-4i
 for 33005 <at> debbugs.gnu.org; Sat, 26 Oct 2019 11:35:34 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 1F951FA07E;
 Sat, 26 Oct 2019 15:35:26 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <874ldtlcks.fsf@HIDDEN>
 <87ftxdl7w1.fsf@HIDDEN> <878t33cjf2.fsf@HIDDEN>
 <87o8za4gbl.fsf@HIDDEN> <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87r23a5d0d.fsf@HIDDEN>
 <f30b0303-92d0-5194-fcdb-c7c9dbe47c16@HIDDEN>
 <87o8ycst78.fsf@HIDDEN>
 <c4e89761-f4f6-3422-58eb-c02bb55e8386@HIDDEN>
 <87pnikhr2r.fsf@HIDDEN>
Date: Sat, 26 Oct 2019 08:35:24 -0700
In-Reply-To: <87pnikhr2r.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 26
 Oct 2019 10:02:52 +0200")
Message-ID: <87zhhn5xkz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: Phil Sainty <psainty@HIDDEN>, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Phil Sainty <psainty@HIDDEN> writes:
>
>> Or just fetch the .el file directly:
>>
>> https://git.savannah.nongnu.org/cgit/so-long.git/plain/so-long.el?h=wip
>
> Ok, I just did that and...it fixes the gnus-mock-start problem, as
> expected :-)
>
> So, Eric, I think you don't have to care about this problem.

Okay cool -- thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 26 Oct 2019 08:03:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 26 04:03:14 2019
Received: from localhost ([127.0.0.1]:39666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOH2X-0003uf-My
	for submit <at> debbugs.gnu.org; Sat, 26 Oct 2019 04:03:13 -0400
Received: from mout.web.de ([217.72.192.78]:33179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iOH2U-0003uO-J2
 for 33005 <at> debbugs.gnu.org; Sat, 26 Oct 2019 04:03:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1572076964;
 bh=LT1rH9VvAFs80quUKi1Aw9pVppst6OsLHADsM5R+cCs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=JxrU+DmZUyMFb7hFitmm+sMYg0yWCTGz2QooxH0/W4mW8o160ORCeptIRJkM/OJnk
 IyAhC4MZbuD0zkjEmYEZ+iF5zS5MDoRLejFFFO+GxoIMEz8tGTh3uXVduZOC7SFo2m
 Pl8aa5XtxEFLOvr0T/XzR43+eBs2Z/bBUK/EK0V4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MNtLj-1iLDyB3Bvv-007Uyj; Sat, 26
 Oct 2019 10:02:44 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87r23a5d0d.fsf@HIDDEN>
 <f30b0303-92d0-5194-fcdb-c7c9dbe47c16@HIDDEN>
 <87o8ycst78.fsf@HIDDEN>
 <c4e89761-f4f6-3422-58eb-c02bb55e8386@HIDDEN>
Date: Sat, 26 Oct 2019 10:02:52 +0200
In-Reply-To: <c4e89761-f4f6-3422-58eb-c02bb55e8386@HIDDEN> (Phil
 Sainty's message of "Sun, 20 Oct 2019 11:12:16 +1300")
Message-ID: <87pnikhr2r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:pZRZEA9qmXM6TGCM7NaRxwhKQwGa9Am6bqBkD8Cs779gm7iHcQN
 trVU1v/rSAOiquAYnofPRakXK46PZeodKdLmBn35Z6AR9fKbI7I31MuqSv25oTBUeoHQ9Cz
 xfe30PQ/6IGKDYkBFAN18XATDWdcCGnr5+ScOtAP0Y6YnJMcFU6v+3QOtH3iLx8M8f1ozbp
 JHtP1YyeyR+IjZvPTTyNg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:uChtlbMtwDU=:dKnmTxCaV3KJtxOWRC/Dc7
 I5f9Z7CVGoEH02iVYDHssun0uilN8EMJmMqCW9Umm6+Yo7I+f6v1cxrCUTzW7MlJMJw7RTj7v
 m/P1ZQReqBlQpkIcG40QWJumUGwY1eh0VBcOWrN0xIpn6Mw+lHvIRgUbbpby6fdymIm+z49ER
 2AKWm4GSoyjKo3/cRN988TGfptpeiYDJ/uYiH/PNsk/xy04EPAP5d4cvySEiLvbwzITgYZ8hU
 KnEUOYTpMEf0wjQmea1wzOAg67QxWWg+NvOvatS2DGTUgkbKxQPFA2uVzT2dLJtqMKN1PDxGS
 akCbn9CO5PXc1emTn/Nqpuq6o/YH6qyFmROe/v61y5neYSYr2Kb/IzXTwJelazHi5vU8SDCps
 pt7Ch9ciBnm2KCRMRAtm8VyXORPnj3PW2nqqqrgwLICV7289ufoHLk4NwPMwZ4Ty83wyZGMXA
 jWlOiCCvEcnseYoA7aflnmpIPnZ6V2lUOjwRSweFa794dpTqQObnuJXVHAU0bTjyTAqgVFhzK
 vqMEVpLq1YwqttXYMOjmAmdYW0Bhk83DLw/G2LUpdaQFGu8+UEV/xF0k7j4ydoXWaDb57f51J
 P0pu5pFUlLjhvXpW7VXUUREtR2QJjxZ8NqoMvV2i9JZzBemfHEnsua01Q4q+j8SjDR6jYkDp9
 lq++NB955XIgJ0gv4pQetuBZekNUtLrDAaLrrSkGM1W+Y5kcpi+R+3mn77VDYHqNYSMtR5R2J
 Pit+yXCkTvZZjHXHiRHL8AfgNHvvyHVvYGaQNcxeR9ChA1cK6mQs5ewx3RHEbnAPnYTsVeupg
 lrPDCkoW/q3LLeTgreNZlERIJo80CDXs/TUNz/2AM4aBaamtWsYyDLoH2oPAFFDheprhr0LGj
 xsUz6Fxz0IpoNlcU2/F0BwmkRgJM3S8+KcbGrLBCdrt/NV3pXgAzXYvcPOb5bU//Fl1QOYIVI
 HZDujeyWkgZJKDODOQnWB54Gxnt8/juV04pEn9YWCThSnjg1GSnDDxnBrZ8E+MSy08rdmymjB
 zs6tJutg0Hsp1a0RjdCnMDhoE2D1jEH/AL4pC2dWeywJO/OfVfQiigyY/Ew54KIKZyvkfVs4v
 DuRJ/eOu6DmP+Yc/ufqU0ZtUhoAZyIOZa/PEtFjUtZgaO8/CAn0NHoD4nUtAVWWyFaVx3YOen
 2ScCiJbZsMduU9ejtLsjdWPOpKFWJPiYhnm+qmZ+W4d9reSimdTp3OdOV7EXfQUAWLSaPx6IZ
 Vtf0sLORpiy7rAtk6xgmZmxheo8vSc91VnxKymu95+HFLROiZUElmJsmLBWA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: Eric Abrahamsen <eric@HIDDEN>, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Phil Sainty <psainty@HIDDEN> writes:

> Or just fetch the .el file directly:
>
> https://git.savannah.nongnu.org/cgit/so-long.git/plain/so-long.el?h=wip

Ok, I just did that and...it fixes the gnus-mock-start problem, as
expected :-)

So, Eric, I think you don't have to care about this problem.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 19 Oct 2019 22:12:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 19 18:12:23 2019
Received: from localhost ([127.0.0.1]:53631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLwxT-00050P-78
	for submit <at> debbugs.gnu.org; Sat, 19 Oct 2019 18:12:23 -0400
Received: from smtp-2.orcon.net.nz ([60.234.4.43]:47131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1iLwxQ-00050E-0i
 for 33005 <at> debbugs.gnu.org; Sat, 19 Oct 2019 18:12:21 -0400
Received: from [116.251.203.173] (port=19292 helo=[192.168.20.103])
 by smtp-2.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1iLwxN-00073d-3T; Sun, 20 Oct 2019 11:12:17 +1300
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN> <87d0fgnik0.fsf@HIDDEN>
 <87v9srzm9g.fsf@HIDDEN> <87ftjvz045.fsf@HIDDEN>
 <87tv8ajd6d.fsf@HIDDEN> <87lftlsr90.fsf@HIDDEN>
 <87h849xds3.fsf@HIDDEN> <87eezcpuac.fsf@HIDDEN>
 <87lftjkcj7.fsf@HIDDEN> <87sgnr74ig.fsf@HIDDEN>
 <87sgnq5s3l.fsf@HIDDEN> <87r23a5d0d.fsf@HIDDEN>
 <f30b0303-92d0-5194-fcdb-c7c9dbe47c16@HIDDEN> <87o8ycst78.fsf@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <c4e89761-f4f6-3422-58eb-c02bb55e8386@HIDDEN>
Date: Sun, 20 Oct 2019 11:12:16 +1300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <87o8ycst78.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: Eric Abrahamsen <eric@HIDDEN>, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Michael,

On 20/10/19 3:31 AM, Michael Heerdegen wrote:
> how can I clone your repo?

See the bottom of the "summary" tab of the cgit web UI for URLs
that you can clone from:

* git://git.savannah.gnu.org/so-long.git
* https://git.savannah.gnu.org/git/so-long.git
* ssh://git.savannah.gnu.org/srv/git/so-long.git

Or just fetch the .el file directly:

https://git.savannah.nongnu.org/cgit/so-long.git/plain/so-long.el?h=wip

FYI the main project pages also provides this:

* https://savannah.nongnu.org/git/?group=so-long

That page isn't linked to from the cgit URLs I'd given initially,
but in general projects on Savannah will have one of these.


-Phil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 19 Oct 2019 18:06:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 19 14:06:22 2019
Received: from localhost ([127.0.0.1]:53532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLt7L-0004l7-89
	for submit <at> debbugs.gnu.org; Sat, 19 Oct 2019 14:06:19 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:38454
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iLt7J-0004kt-B2
 for 33005 <at> debbugs.gnu.org; Sat, 19 Oct 2019 14:06:17 -0400
Received: from localhost (67-40-27-198.tukw.qwest.net [67.40.27.198])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id BD93AFA07E;
 Sat, 19 Oct 2019 18:06:10 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <874ldtlcks.fsf@HIDDEN>
 <87ftxdl7w1.fsf@HIDDEN> <878t33cjf2.fsf@HIDDEN>
 <87o8za4gbl.fsf@HIDDEN> <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87mudy5cxj.fsf@HIDDEN> <87lfth6fbv.fsf@HIDDEN>
 <87a79xg8no.fsf@HIDDEN> <87d0et6eme.fsf@HIDDEN>
 <87sgnosth6.fsf@HIDDEN>
Date: Sat, 19 Oct 2019 11:06:09 -0700
In-Reply-To: <87sgnosth6.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 19
 Oct 2019 16:25:09 +0200")
Message-ID: <87r2381uge.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> > I didn't think long about it but instead I had a look how other packages
>> > handle the case.
>>
>> Good enough for me! Thanks.
>
> Do you really want this to be nil when the file buffer is evaluated?
>
> (defconst gnus-mock-data-dir
>   (when load-file-name
>     (file-name-as-directory (expand-file-name
> 			     "data"
> 			     (file-name-directory load-file-name))))
>   "Source directory for Gnus mock data.")
>
> Then again I need additional work when loading the source to debug.  You
> could at least accept `default-directory' when it contains a "data"
> named directory, or query for a directory with a useful default instead
> of barfing when gnus-mock-start is called.  With other words: what I get
> now is just another kind of barfing, no real improvement.

Oops, I didn't realize that default-directory would be set to the
containing directory at load time -- I assumed its chances of finding
the "data" directory correctly were essentially nil. I'll use your
version now...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 19 Oct 2019 14:31:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 19 10:31:29 2019
Received: from localhost ([127.0.0.1]:53468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLplR-0007fU-3p
	for submit <at> debbugs.gnu.org; Sat, 19 Oct 2019 10:31:29 -0400
Received: from mout.web.de ([212.227.15.4]:33831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iLplO-0007fF-Cy
 for 33005 <at> debbugs.gnu.org; Sat, 19 Oct 2019 10:31:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571495460;
 bh=GwCYcCuQBRWCny+Tt6Aok+ashNUqwodPfARc+XkA/ag=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jXDMBd3FJmFYiRmFhKS0+b6FIk6i3PNVZ80H8AgAx+JBsLzZVz5WFNgLoGQswVN1f
 k5lJ3TLh07nGbeyumwZoOD7m1uC4dd2qWs+mcc3/YnrRwR/nssngBDTcesD06CTMeS
 c+yMwUBiO84qIPkDi4qbXFF4pcLHVvjOzwVat9M4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lb1nV-1hbWhx0OLp-00khod; Sat, 19
 Oct 2019 16:31:00 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87r23a5d0d.fsf@HIDDEN>
 <f30b0303-92d0-5194-fcdb-c7c9dbe47c16@HIDDEN>
Date: Sat, 19 Oct 2019 16:31:07 +0200
In-Reply-To: <f30b0303-92d0-5194-fcdb-c7c9dbe47c16@HIDDEN> (Phil
 Sainty's message of "Sat, 19 Oct 2019 15:05:26 +1300")
Message-ID: <87o8ycst78.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HFRUKpSB5hgl+ICcSlxPN0pnbrn5f5wvckWBomwwVhlXbQbY9oq
 jBMeXfC7UP/qNbL0ix/oTY2wOXQvttp9mV7Fo3qq5c1S3gKmC8Oow3pESPVRMjOPfOKN61x
 no279XEametvaWs5WrvNDhpygPBzMoBhJUytWOlFRL4QvZna4sHLJfy9pc6vrd+9hxF89sL
 cttHq04X2B4/LzjOH/v/Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:RH8eOwAAEPQ=:qxQn8c1MSZ7JqZuaOmAYe0
 oqrkNbHSQM0VrdpxoGHIzUfqelqAnJ+fn+CNggdHYLfN9Dy6RpPFpeOTrpQszw1YKy3wfLumU
 TklZMdpORmxUh4zubmojDUxeFInLSToL6EW67k4fBpOwBhKFvGj3mZFQ/wbk3XXfTRCWfFg/e
 TSpzh495qfpweIE9o+CnbLEn1Ou3D6vlc5m6ZBAQcOBUdItqZscnUiY23MuZfCrCuX27FVrXs
 YmQLqny62Jf0KOIYN7sq33QUwOpmII9j6qpp4Y03bj9vpKYeETX+YXtXwqXrgof+vIwDDGvJo
 LH86cW/6KYUoCdlsGuJs3pjlZcj2vWogRm2If2YNNRuf1ynkBsWKJvjFBd7hTV8RhHzEtGsCa
 Gvz63jpgLVcFbflsO0Tu8yHEmaolOLVG5q4nGp11cddjuDwPtNVVHpm45xzcDkb7ijhu9PYlu
 uLYawLFc2NCKUGhJ34d6NUg/Fht8qWeC6ICeUC+azMsnMsHDmmdngNO/CNdceqsWiaPHopPUz
 JvzB2wgIYKP6tw/MH8HBaUYryj+drR+jl/hPYoJrtDmhsRRJBTlvbx+d9xTlCmj/ama/WijWG
 HADheS6G9RP/R0skVwK5KIoFM0CKoaGrMS1dB5Ja0hVJkYCQIbEQPwvuzd8UF56fYzXEcWlNt
 lsED2EK8ECDuGM2e0Feh+W5JwoUXO4kebgHP8T3V/1v3BKMwNGE5tqjudIAFHdmwDZGqb4JYR
 DBaFUnM1DoZe2LH/aF89+YwniTiopaEmKPPoXbT7HP2Fe8l1oewMJkx7MfZhUoRndVt/fRy+W
 2L+PGEVbgvzmz6h850KUO1bozZ0VFwTMkviGBvMVlTLKtpRzEGlzaG1IcL/+nPS7LkZ77d0iH
 9HVmEUV/zm7MK4hZluKRemXQzBBJYTazJxK0yXy/CEcknPJPlwTob4poV3PiHOjz7o5Uv91mS
 4Kf+gNdkqpGnBtCaqlAIAjy2T/yUjrb4W3GPUjqOo4YNpiJf4MXKFd6Gzsl74nZ8vx/PEm4kI
 nayl4jp3/NBGW7NDUunAlOkZY+mhOXauM3kxZ6FdANo5CR4WXw7+cYKoP3l4TgHvhtCFPuMLu
 NpBVvz0LSgL67HPz50xYNo+fUECkhV2mXQjGGaRoNe9L9ZhVaGtotD/llxweW7bsMetvDDvME
 xjLdXTW9ppSXHghf2tD3QAkEMteWx4jtBPZm39bbvZ9N3akR9BlQMv+TSLDHkUBu87XwnTtMA
 yAd5yCnIfPP+Xo5CDXU8g9glB6jIKmGYyUZmdcIAgjEMdJOdBmmfkBPiC0oo=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: Eric Abrahamsen <eric@HIDDEN>, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Phil Sainty <psainty@HIDDEN> writes:

> I have committed[1] a fix for that in my WIP branch here:
> https://git.savannah.nongnu.org/cgit/so-long.git/tree/?h=wip
>
> Could you test that and let me know if it fixes the issue for you?

Thanks - all that I read sounds like your branch should fix our problem.
But how can I clone your repo?

bash-5.0:micha:today$ git clone https://git.savannah.nongnu.org/cgit/so-long
Cloning into 'so-long'...
fatal: repository 'https://git.savannah.nongnu.org/cgit/so-long/' not
found

BTW, you can also just send me a checkout privately.

Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 19 Oct 2019 14:30:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 19 10:30:35 2019
Received: from localhost ([127.0.0.1]:53464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLpkY-0007dg-Ob
	for submit <at> debbugs.gnu.org; Sat, 19 Oct 2019 10:30:34 -0400
Received: from mout.web.de ([212.227.17.11]:54929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iLpkV-0007dQ-Qz
 for 33005 <at> debbugs.gnu.org; Sat, 19 Oct 2019 10:30:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571495425;
 bh=bKpDmUWq8GSOYA2JxbbZt/pUb1nVrqJGrCgBV6yZ2fA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=TPcfBy/HMGjvCP+LPyW4s5HYGywUbL0NZ3sSmeqv8Sify5sR0RkG4VDjy/TTFeZro
 fhPrS5hZxjTdFtdwzWtWLGZ2FOqAi94sEy7q6s6F6T8WVrVxEvw5npkLAlOOFbRHsK
 cTJ3WuUMLakhxKvHR9Q4OcwvMtZDAKi/e4hhl1yI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LgpVS-1hiw80467C-00oDET; Sat, 19
 Oct 2019 16:25:03 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87mudy5cxj.fsf@HIDDEN> <87lfth6fbv.fsf@HIDDEN>
 <87a79xg8no.fsf@HIDDEN> <87d0et6eme.fsf@HIDDEN>
Date: Sat, 19 Oct 2019 16:25:09 +0200
In-Reply-To: <87d0et6eme.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 18 Oct 2019 12:24:41 -0700")
Message-ID: <87sgnosth6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:78uh7+0pCb089FZMORmdBVVFRCUY7peZvwRbWLRtswJMKHGvAhv
 cRsXEdG2wxBzwzLYVlkET2DKTov7hbTTHML9QigA6YWeansJZh4z+sXpuXpRWevsvf1xcbu
 brxBM+HUPw5g1Q5L+721wR9RJbIIaBU6IgXJB+esqlYOJEYaext0iwH6oC1C3Ywx+LvWM1E
 7O3s4I7U3H6p2sVxMjY4w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:94/qi5/81es=:IIZHIAg/yLcpB3D4f2sl2C
 r5bmJ+MuvSeLmZ/V80hyu9l3u/ihcGkaNVw57Fqj9Tkk9IeN/pEpSzcQclajc544A3aG8cc4O
 eVs1B0lhuZUXEQkQ05b2G8xzq61uqJwNSZplxK8jYbCCIsqodljrF8ZahBjJtRw7a0TpPssY5
 hyjqvaICPSsYeRVtYCkZDcgn15fwufGT4qTSYGDc6NZnEoGFnc1DW02KibyhuOatJbNBBjiFJ
 mTWLwj9uPSLh2sThqUjqsWUrXtHPI1X05rieQ+bcTEwkt3d9wFhF5CIP2bAR/YmwQhD7GJdMw
 AQybnA2akBXuBh9Q8iNhe9KTWquUK6+v/hteepfzhPSLtM1s4UUk31fSub+LC02BKBWxG5RKs
 oJ9ybPmKC7Ki+ELDVMampTMMUNCtfxL678U/y88+8sfuyZypilnSfN2gIs5IxpvLOHBLuhu7v
 sWyCCv+GpoMMvYxQ5YQC7iR+Dg0WBfdgi/di+DvI0Hxxdj+ehFPQJX9hNy+OrQGDurfDDuIl8
 tHT/UeG9j/LhpPRnI1Ls7tE0d/UhSSDPQYZRnOGnZC4mDB2sJk04vjA8+QWfZlhquxvBHgrn6
 lPYn1l1IIUxPNxbAuTopgAgw+Js9JRrjcFUvuAROluTPEdczWdlZpN4VYMjDRSH7X/EKHBGiZ
 zECDX+DO7PRupBN6tzwejj7RABD486b2I0oIKhvTa2cDj9K/9BMMJhGLSfy+dJdIui63gm1Vw
 eSx8BRSwnnyU5RwtaI5I6+5gL335oH7D3MItIP+WGEB3AcidWDyaHdJ3Pzj75h+ihzGn30Mqz
 Z/xJFvzf9brxcxZPH6yuvGWJelHQ4QOoJXmE6BE1m0s/+Bc4JHjlIpREOc0YP75D4/STc1IXP
 QCsKZlYk4txgnxx/DdBlLKyf1FC216IwWQ+hNrxKt9J0QOCXCuTeH+d7PvbmGzC3PvwUstxj5
 q4gW4vMcAcaH3GTU7Jp7wEGAMhTqGar3i00kIB/zhPTpG26eTHeN9GVldOXKLhvu2M7JGGm+Y
 aHI4pLXKIWssx4PsPl08v2GQ+D3BwDnqPHwmIdEyUvMvzv21nECwQyoovkfkrF/ciE5W/4eh0
 To2sI8la98A7Ay6AWuw9xzp2nhY347fkyTANnVfe41MXIpwQn+ku4d58on1r3hd+pzYGoDnRW
 B+kGMv3KrZKPITTWfjbRMi1OoQvrebBzwCkG/SxV3qioDTp9uA9rgWTzMDnvi6NDygl0a3CTH
 LWCuXejKmCBmPgel7sgM4N2mBNB3DfK1OhTcfJYw6cFFctxVuIrr1f4PE3R0=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> > I didn't think long about it but instead I had a look how other packages
> > handle the case.
>
> Good enough for me! Thanks.

Do you really want this to be nil when the file buffer is evaluated?

(defconst gnus-mock-data-dir
  (when load-file-name
    (file-name-as-directory (expand-file-name
			     "data"
			     (file-name-directory load-file-name))))
  "Source directory for Gnus mock data.")

Then again I need additional work when loading the source to debug.  You
could at least accept `default-directory' when it contains a "data"
named directory, or query for a directory with a useful default instead
of barfing when gnus-mock-start is called.  With other words: what I get
now is just another kind of barfing, no real improvement.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 19 Oct 2019 02:05:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 22:05:34 2019
Received: from localhost ([127.0.0.1]:51762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLe7a-0003Q1-2w
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 22:05:34 -0400
Received: from smtp-1.orcon.net.nz ([60.234.4.34]:50633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1iLe7W-0003Po-4V
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 22:05:32 -0400
Received: from [116.251.203.173] (port=63282 helo=[192.168.20.103])
 by smtp-1.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1iLe7S-0005sh-VI; Sat, 19 Oct 2019 15:05:27 +1300
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN> <87d0fgnik0.fsf@HIDDEN>
 <87v9srzm9g.fsf@HIDDEN> <87ftjvz045.fsf@HIDDEN>
 <87tv8ajd6d.fsf@HIDDEN> <87lftlsr90.fsf@HIDDEN>
 <87h849xds3.fsf@HIDDEN> <87eezcpuac.fsf@HIDDEN>
 <87lftjkcj7.fsf@HIDDEN> <87sgnr74ig.fsf@HIDDEN>
 <87sgnq5s3l.fsf@HIDDEN> <87r23a5d0d.fsf@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <f30b0303-92d0-5194-fcdb-c7c9dbe47c16@HIDDEN>
Date: Sat, 19 Oct 2019 15:05:26 +1300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <87r23a5d0d.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: Eric Abrahamsen <eric@HIDDEN>, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Michael,

On 19/10/19 3:44 AM, Michael Heerdegen wrote:
> Phil, what's your opinion about this?  gnus-mock.el wants to
> edit a file it has opened with find-file-noselect, which is a
> common thing to do.  But it fails for me because I have enabled
> global-so-long-mode in my init file and it makes the buffer
> read-only.  This is quite surprising because the buffer is only
> used internally by gnus-mock.  Could so-long be a bit smarter
> here?

This sounds very much like:
https://savannah.nongnu.org/bugs/?56835

I have committed[1] a fix for that in my WIP branch here:
https://git.savannah.nongnu.org/cgit/so-long.git/tree/?h=wip

Could you test that and let me know if it fixes the issue for you?

If so, I'll go ahead and merge the changes into Emacs.  (I hadn't
merged it to Emacs yet simply because its a notable change to how
so-long has operated in the past; but I'm mostly sure it's going
to be fine.)

The documentation regarding this is as follows:

;; * Buffers which are not displayed in a window
;; ---------------------------------------------
;; When a file with long lines is visited and the buffer is not
;; displayed right away, it may be that it is not intended to be
;; displayed at all, and that it has instead been visited for
;; behind-the-scenes processing by some library.  Invisible
;; buffers do not typically not cause performance issues, and it
;; might be surprising to the other library if such a buffer were
;; manipulated by `so-long'; so in these situations the
;; `so-long-invisible-buffer-function' value is called instead.
;; By default this arranges for `so-long' to be invoked on the
;; buffer if and when it is displayed, but not otherwise.  This
;; is actually the normal way for `so-long' to be called -- even
;; when a visited file is displayed "right away", it is normal
;; for the buffer to be invisible when `global-so-long-mode'
;; processes it, and the gap between "arranging to call" and
;; "calling" `so-long' is simply extremely brief.


-Phil

[1]:
https://git.savannah.nongnu.org/cgit/so-long.git/commit/so-long.el?h=wip&id=e9d6a4ef4ccde46e65f2bea9e4756ddc8cfab8e5






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 19:24:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 15:24:51 2019
Received: from localhost ([127.0.0.1]:51587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLXrm-0007Pf-NL
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:24:50 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:39782
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iLXrk-0007PR-RV
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:24:49 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id DF1F3FA07E;
 Fri, 18 Oct 2019 19:24:42 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87r2gxygox.fsf@HIDDEN>
 <87efcxwzr2.fsf@HIDDEN> <874ldtlcks.fsf@HIDDEN>
 <87ftxdl7w1.fsf@HIDDEN> <878t33cjf2.fsf@HIDDEN>
 <87o8za4gbl.fsf@HIDDEN> <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87mudy5cxj.fsf@HIDDEN> <87lfth6fbv.fsf@HIDDEN>
 <87a79xg8no.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 12:24:41 -0700
In-Reply-To: <87a79xg8no.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 18
 Oct 2019 21:23:23 +0200")
Message-ID: <87d0et6eme.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/18/19 21:23 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> > btw, could you please consider to install something like
>>
>> Wait, just to be sure I understand what's happening here: does the
>> default option value get evaluated at compile time, or load time,
>
> At load time.
>
>> and is there a difference?
>
> I think that only difference to before is that you get a useful behavior
> (works as expected) when you open the file and load the buffer (tested).
>
> I didn't think long about it but instead I had a look how other packages
> handle the case.

Good enough for me! Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 19:23:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 15:23:37 2019
Received: from localhost ([127.0.0.1]:51582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLXqb-0007NP-BZ
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:23:37 -0400
Received: from mout.web.de ([212.227.15.3]:56199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iLXqY-0007N6-9u
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:23:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571426597;
 bh=+uV7KtxIM7KOLJugE99nbTOWzVof0uKcQ92CZBrD09k=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=qO0m7NvREjOphmLf5Vzr0px+XEDvreg+xUQsaybjRkkQuKETmrliV93eURkbfiplV
 EXUD05WuwnaXQuLoX4g618AIYML+SwE0FPCbrQudfGlIX/2saFl34Ml23525CQ/yM1
 i1pDSNVJtAJM0QUxIcEV1LSog5/uV/dE6iSccAhw=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MTxth-1iUin628kj-00Qh3d; Fri, 18
 Oct 2019 21:23:17 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87mudy5cxj.fsf@HIDDEN> <87lfth6fbv.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 21:23:23 +0200
In-Reply-To: <87lfth6fbv.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 18 Oct 2019 12:09:24 -0700")
Message-ID: <87a79xg8no.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:/0z64sCqFyBlOgZ703dlQiGsw5cyw5YhmVCAbm/tlGepx6uKz2U
 cgT2I0LaHlVkrLUZ31K0CiVBVqb2y5U0f7QFQWUbqHTgRzlnosg2gvjS29qvYH2iTbTv55n
 ZgOZCSXpjW8gSn+lHPtunEJURSlxDivQevKHEyU2p5HWluEk0EUBqMsYvEddML5jjie0zeZ
 qrNVe+LERrsJN5MuLcHbw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QA1Vkq+f/2k=:d4L23CfE7APGWpGdc9HLv0
 tgVQKghXP3emFmT6bkda5WrS9uYrrBmxjekIQULQxFjT/nqq0pk18xHzJ/Ms263uHclBz6cd7
 7jUOQQ4LjR42TUjIAXIryqJc68mBHgH+SDBHXt2lBHa8t0JTg/O6ga+1Hd3PqXfEGnwjrdKUb
 T2sU2AeAsVPPkWJWqzgM+Z+n+lqTgmLSA/Ai5ZxQAbpaIKPnKO4G7929qCJF62nnUGjh2ND29
 ePNy6VygvE8Vrh2JhZ3UVhMDXZi4bLfWo9KbiccxjY5RU+4mgiMPsq0cK1RjM1SMfWhOjToPX
 LnJOQqkZ8FDh8sAUtK7KhNO7Zpf+N8YGVxlcVUX4oCp9P37v6f5mYoZJcGlQ6rB8N1jwflH9t
 4rkLN6RiRsroIfQtVbbN4ZOvDa4N9EeZOPhG/vCHGCbETxU/duEiak4s6bFYIJF8800LWNm0f
 9UMQfLEkkX2e8hZRY9Iwwi7mHnxR5ON10eYWtuXT2ivBHdLETAMMt7olSICMHfWmgm43vpG5r
 26MXP7xZURdNeMv0BXspYEvboqkFVDHMJdgL1Tm9ixiv2xZ9R1an7UiAy37KvzFl+BO3KrtdU
 n+1YjQz+iN86xaD22t8YINsDLzHAwYcB/3uJJIK880DrNE0qdpubXwiNC7O+vqxqcnxEN4lPX
 FIZ0HSTuCAX0wxb42uwerlwf3c62os3DqmOUh/JQ6uDtStt1vmgULSHGXYc8a/yX+/HLngALw
 ztAYhGH84nNdOsaJKLCBVef8ZviE9P7nOmybQ3qE49dUDelgPr2LPQ0zGgMPODa04HV22XQAq
 aAFoMvZdQFyMn6tR8xAJ0JsdU7Gs/VM4YcVjG69q+LotZUhTK/jV4WVAuWu4tfVvrJtk8lbDu
 Pv+wYTw4kuYoEt9hsXRtENL9qHHFmT3/alyh20iTEHNHEDG5Jua/USpuR6Hn8+hGBGG4pv6gy
 yqAQXvuZItbLKR7q/qzPBlruo1Ih11zYCOI1gxq8NDG7GwLzJXRZ03tpfY4mA6EfNgaVszeKd
 kzii9tktiXH805IVYciRlGifSF1QaKq9HHt+yvZEgGk0nkacxd50hkCnWgeN1zZikw9f+3Rbw
 jElFroWM2X6Ch/TmbcuKEiMQ6JMVVFRTe+w/y3df9IJQgFD3MUDoWYWxAk5xaeNHNpve3NhRc
 y0csARFPA053CsiBmipAQNFJzmBHG4Qh8YVdJS8/QAO2RcMc4rtkqkcMOVGeIjjAHn6O5eCvV
 Rh+91CzcH0Ylr4Vq6y1VUYV0FrqgI7vMNP+PQmp3s+RrRs3DlPlTt+Q8aXJc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> > btw, could you please consider to install something like
>
> Wait, just to be sure I understand what's happening here: does the
> default option value get evaluated at compile time, or load time,

At load time.

> and is there a difference?

I think that only difference to before is that you get a useful behavior
(works as expected) when you open the file and load the buffer (tested).

I didn't think long about it but instead I had a look how other packages
handle the case.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 19:09:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 15:09:33 2019
Received: from localhost ([127.0.0.1]:51574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLXcy-00070P-L6
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:09:32 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:39146
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iLXcw-00070C-RY
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:09:31 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 60253FA07E;
 Fri, 18 Oct 2019 19:09:25 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87mudy5cxj.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 12:09:24 -0700
In-Reply-To: <87mudy5cxj.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 18
 Oct 2019 16:46:32 +0200")
Message-ID: <87lfth6fbv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/18/19 16:46 PM, Michael Heerdegen wrote:
> Eric,
>
> btw, could you please consider to install something like

Wait, just to be sure I understand what's happening here: does the
default option value get evaluated at compile time, or load time, and is
there a difference?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 19:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 15:07:23 2019
Received: from localhost ([127.0.0.1]:51570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLXas-0006x2-GM
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:07:23 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:39056
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iLXar-0006wo-EV
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:07:21 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 05B51FA07E;
 Fri, 18 Oct 2019 19:07:15 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
 <87mudy5cxj.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 12:07:14 -0700
In-Reply-To: <87mudy5cxj.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 18
 Oct 2019 16:46:32 +0200")
Message-ID: <87pnit6ffh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/18/19 16:46 PM, Michael Heerdegen wrote:
> Eric,
>
> btw, could you please consider to install something like

Sure, absolutely. I've never had very much confidence in how gnus-mock
handles the "find the load file and nearby directories" process, so it's
good to have some real-world feedback.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 19:06:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 15:06:28 2019
Received: from localhost ([127.0.0.1]:51566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLXa0-0006vN-3U
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:06:28 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:39004
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iLXZw-0006v6-Ih
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 15:06:26 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 2C487FA07E;
 Fri, 18 Oct 2019 19:06:18 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 12:06:17 -0700
In-Reply-To: <87sgnq5s3l.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 18
 Oct 2019 11:18:54 +0200")
Message-ID: <87tv856fh2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/18/19 11:18 AM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> 1. Put a breakpoint or edebug or otherwise slow the function down, and
>> after the data directory has been copied to /tmp, make sure that it
>> belongs to your user and you have the right permissions?
>
> That's the case.
>
>> 2. Try this version of gnus-mock-start and see if it works:
>
> I did something different.  Seems that so-long is to blame:

Well it seems pretty odd that a package meant for handling single-line
files would prevent us from editing a file at all. I don't even see why
so-long would even be kicking in, here -- the newsrc.eld template isn't
one long line!

I guess I can do the inhibit-read-only thing, but if I've got to
anticipate something like this happening, it's hard to guess what else I
might need to defend against...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 14:46:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 10:46:44 2019
Received: from localhost ([127.0.0.1]:51389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLTWe-0000Bn-DJ
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 10:46:44 -0400
Received: from mout.web.de ([212.227.17.11]:54699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iLTWb-0000BX-C9
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 10:46:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571409984;
 bh=87a137i2b7eAcqYE23wm2hD9oQawVy/9bcG5pN/eBnQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=REmRIWncnIyubA/h+u0p/fPnXJ5MWeIJer3HjFPZCRx05unSOUC52VKqnDbYykzUN
 DdtWX5eK2MhgfriYzbReWywndKc4t12/Hf9bk7tRl1H+6Y0gZp/Hh8UkxLxzy7GUG8
 BbmdZEoX0PX/YNi4wD5AOiO5lILryNJ4JZdC6giE=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MCZh8-1iDGKI2P3K-009Q18; Fri, 18
 Oct 2019 16:46:24 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 16:46:32 +0200
In-Reply-To: <87sgnq5s3l.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 18
 Oct 2019 11:18:54 +0200")
Message-ID: <87mudy5cxj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:j7JUmZaJcl+amaExYFbtVMg8N/xgcdtLayWtVIYq/ilSNqC3/yk
 Z0dHymFcEH7ZgraS590NcoaI/NB4w7MxLr41JcE2iccAXQYm7IeSuVLVKqJr8IAkcOIJrYR
 +40gSYzCSCQU1kRR0fFW6j6vAUjxsVgm5FqnceYczd7wBGvPQFyCeb7ue1IDKmpw4J8Zx1S
 wX/Jq54XV1Ut285vr79Dg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5NLPoDJyfEo=:Doztng+Elw8NAE4xemByEc
 q7+vwDAkTBidbnIDjohBJmYokh+P5qXPrlWFMmnhinrUEj9dpUHD902xQbefNumBh6odZR89d
 NB9P1D3cHBI+EkCP9tv4ISTNAx78XmzbRQbLRB7SqIxUvALKG4kKCiNvGWNUUKHC+pOpXDkQc
 YBbAO8LLevDAwjTwxR9YkbzHml+IoK5G79cf6MDnXuNYnX87BkMsswC+orjFd3vCHmnNKQb/C
 3/Qcz0qko7STbb6se7NBYBIjX7IJIPk77c1aGVpP8JI9bBSfULMWNTaCJhycIyLSFhNDUfxQ0
 nTyG2oLBObYElC1nxv9pwobfPFOxUq3OgZyL2ZpyisjFZO/xQQ5td/oZfBB2UCoTbDEYTNULk
 +FK/4AXJVQ7YFBmCsoyWScKn1PHAbaVYpQGutQjU6wqQBgSmeLs+YDMd9c7MNlOMr2epDnnTU
 Mx7gQ61XWbhq+JbbcNxqOPLkpG07DoLBq/yrzYi51sB4uGinqbwA6OmtGorvwmbJyOx4iDtg5
 N5SOW2ypJbzcmSBVW5+hwpQFrfoSpSn/PVMBftoWErrJUUABfzmQuRuVskY0ef9CgpBnLs9YB
 QRp2eI7xmnMFXQFiN/WtuBQqIQw/0PoYsM1mkH0uLGV2EJyKG107vCG2rH6S6HgDuKd2EYPnE
 oWW5GRKUmXTwDapZP5Riz10fjCHGPGpkWoP9/h3RXt/3u9txGz/pNtIuTPjKmaCjPlEx5GGj4
 QZy4ABZ5s/B69Q+CzD5gwrytBqo2a3AVF7tGaJyhis0fWVLNehdaoaMAxIfDQZb5JqpU6iOpN
 5pu3vuzmEAzgegT83WuWTkFOZzvuMK/93wdGuN5R41NG0UL6CGOcV/JL/pMK7Dp2dfQ9JRGLk
 DZyC+NpVgtlZXt+a6TrqzlEJi1DoiU/nSQIjTZiNAL8y+wj5btPi1X4wWheLKXAUnz0CRPpk8
 zdWcB3vXOVmZzTs9yOpwxpcVAFe1kti3c7MX/63ZXWj6NZL/305iAUTmaoJCA2We+ZbP2Xz6b
 qbC0Zp0sXCrHtEvY7z+7+MiOoa1tR39H6W8FMs/E49nB337IKboej+pFHbbkx5Z1OTrWzxPQK
 mjI/EF3S4/jZG5e7WLY7SDP32k5KXxFGfDLlpVqiPdA68lnBbg2y/Pql87MzhV7U/Z5MtFOZo
 FktxjWUOOBe1njWOFDaZ+nLQIYTktnq/7buj3o1YdUS2ScUKQO95qXsLWF0HevU2jS4aLFT/x
 c4n8i0z2QMkFn5JHVzQkJAU7u3+jmfOncUSGrKVetm5rzb8lzCgSu9/baw94=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Eric,

btw, could you please consider to install something like


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=gnus-mock.patch
Content-Transfer-Encoding: quoted-printable

*** /tmp/ediffydkpuQ	2019-10-18 16:36:16.171359249 +0200
=2D-- /home/micha/.emacs.d/elpa/gnus-mock-0.4.2/gnus-mock.el	2019-10-18 16=
:34:36.303361867 +0200
***************
*** 128,134 ****
  (defconst gnus-mock-data-dir
    (file-name-as-directory (expand-file-name
  			   "data"
! 			   (file-name-directory load-file-name)))
    "Source directory for Gnus mock data.")

  ;;;###autoload
=2D-- 128,136 ----
  (defconst gnus-mock-data-dir
    (file-name-as-directory (expand-file-name
  			   "data"
! 			   (if load-file-name
!                                (file-name-directory load-file-name)
!                              default-directory)))
    "Source directory for Gnus mock data.")

  ;;;###autoload

--=-=-=
Content-Type: text/plain


so that one can load the source file of gnus-mock to simplify debugging?


Thanks,

Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 14:45:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 10:45:15 2019
Received: from localhost ([127.0.0.1]:51385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLTVA-000090-FB
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 10:45:15 -0400
Received: from mout.web.de ([212.227.15.3]:46037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iLTV5-00008G-3f
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 10:45:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571409883;
 bh=36yvVuZPF57ji/NVCyujbAo0i50u+ht0/ynLn+JKANI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=g2FVQ89zBS4LJQDeo6KOu7feCMd9SYlZKeoLrRBr6CIkdd2CdBQ4qEMZevbG266iK
 wRG3uWqKuw5qv2ghjMxFtyMzmy50Ce5MUDAsT7mnrNw8iLA8FiGNaMeKTUzVU2PyqG
 uLQELgVtXEcC6oWTjppvLoBdrsuMOiPOXOqM8a5A=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lu57G-1hwXzp0RhG-011OBV; Fri, 18
 Oct 2019 16:44:43 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN> <87sgnq5s3l.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 16:44:50 +0200
In-Reply-To: <87sgnq5s3l.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 18
 Oct 2019 11:18:54 +0200")
Message-ID: <87r23a5d0d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:o0r0gKrMD6SmunlR9wDc+VXLfhUSDPRnaAevBASaKlX/EwFAW9W
 wHjn8hAg//CBHGrCgaQ1u7yCZrU8LFUowpddR+FJAsyU4cUe4XVW0PiQf8avDf03eIbzHB7
 X03hRNWtbzrJ3ayMJf8U3NF/EoypORtP3HzjiLuFfJFLAUAlc0ZEpbNTI+eALDYnGxeVWx+
 gg20wTwCL+vrY3SWx6zJQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:fvd+brIQy/Q=:tSN33AeJSKFnEd0C1zE40s
 MgZsNonDb6ELo37VJ4mYEU98hkhJkL8WC7OXRUGDrFdorT6nYMaTlpCN6L11WOHc9dFhlGdBT
 nPAmEDVHd3+Jao0GTQqm2wop8We62IlJnejTXQQkNc8UJXypWl8ghJWgpAnH+qIs9brCMi/W/
 b7ChEiMimOy0ahBsdY0rQv24pXJwWjCci0QcofdfJ+WAvmKwseOyZoi7plEm7DlW8dt6uGb3y
 5kFnFran0bl1nAzobF5H9rpwzKoLLlifquFHvmx/aQXKx416CCZmViEWR2Ae5Hzlztfv2sIH0
 fWpWd+/PKyBtEEQEENRMnba22L/UR0s0Hdr4VDFAkKm9TBdJHsVFz3ETSAQTruZgSIJ+wyc0Y
 rNzhqqhuzwpyWCg87U3Q44iquC2VEyhNDe9nOQdLmWvltU1pxOLgEx0fSOBJlIYHkceDKbFTl
 nsXE6o2A/RES5/yvGrcA5bi1hFEZoMFPYh18dYRo1IzQzox8kDvJ4XxUyL6dNNPOeqSQwfHKr
 cId9Y6PJODGVRsnr08FmrvwK/XhFSeDidf3uF+GFmKpjqMeWx8+y3H+/UvMT9n4d94CzinasM
 io+iu1V1W839mxLP4rZRP+CUezZ4q08BX8xk5Z1XDBDSweRipHxq6Sg+baiRKfL5AOpEG4NEp
 1PvfhMSXbCdPU6awDLjzCPqpOg0akTYtmyPcg9fo0UQx249QRNcyTljhe66pFGZM8oCgkQnj3
 Dgm85drVTL4oKM7oS812dhJHv28LRsYzsPJGJBU3A/KCT3lRKnRnuJgwWQSJ04McpyiSBuoPo
 wrS28bBVQqhMUb4uVX4qYCV8LEBGqrEFSrLiyG+zforZkdkWzt2xe4Tw3nqwr+boEJEhwycoD
 2XqGyDwwUI8hp1REfXYrmWrz54r10/Vlz3QKMPUA6g5omI8AX9Fjl9NECx9k3f/AjdSvDlArV
 VI3SX67EghJzpbT0Zoi1Iw27F1qOUqoR36gcW39VTPVZZmQ62ZmwTCnsNMGoeyBZL85DiLPYQ
 cJzvRTarAyC3dprvEoAuEEctWtkYXsQxoeEopQx10Gz+39EWzJO+83Rfv3W17baobQu6mn8Ej
 e7HYAfJKw7vWDRZOhHU4hU3f9+Bzt2w2GpVvfFLjxkJ7CH197CSKjgL6vmmCnFauOKcSEfQlY
 eFKM7YgO15cLjqf+iwIFTNO23cNRzr8dDwa5+yPAW1cYglMwS+TXimQ/PcfCwp4RsfIe2J554
 AsP/07uEK4qGQhMlW/mENHCqH8DV6D5zsafv8a1jbZeUXjepjKjPIRzEhCuE=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: Eric Abrahamsen <eric@HIDDEN>, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> | Debugger entered--entering a function:
> | * hack-local-variables(no-mode)
> |   run-mode-hooks(so-long-mode-hook)
> |   #f(compiled-function () (interactive nil) #<bytecode 0x156db2ff061d>)()
> | apply(#f(compiled-function () (interactive nil) #<bytecode
> 0x156db2ff061d>) nil)
> |   so-long-mode()
> |   so-long()
> | so-long--set-auto-mode((closure (t) (&optional keep-mode-if-same)

Phil, what's your opinion about this?  gnus-mock.el wants to edit a file
it has opened with find-file-noselect, which is a common thing to do.
But it fails for me because I have enabled global-so-long-mode in my
init file and it makes the buffer read-only.  This is quite surprising
because the buffer is only used internally by gnus-mock.  Could so-long
be a bit smarter here?

TIA,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 09:50:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 05:50:57 2019
Received: from localhost ([127.0.0.1]:49407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLOuP-0004N1-D1
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 05:50:57 -0400
Received: from mout.web.de ([212.227.15.3]:36411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iLOuN-0004Mm-B7
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 05:50:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571392236;
 bh=eKdtEkZ6VNxp8H1SwsxsIgNkQ6F2EZqLhlLFVXp04+M=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=T2M938W31B/Y4p/3KdrMVyRNG9W7PZYhCPl1Yi2NGjdfboQfV2lwBxd7HJ2QN+ssK
 83vmolo1RIdkTJKn3gi6V952fXpwExDVv7AT5vmT7N4eSXHjuum19mvZheMryUDKX5
 gu+G7NCddNGDUltob9XIEA9YlUMOWY3uaSfHBEXQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0M2ZtN-1i4YwL0xFt-00sR74; Fri, 18
 Oct 2019 11:50:36 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <877e55xcj6.fsf@HIDDEN>
 <E1iLIcU-0002ej-SZ@HIDDEN>
Date: Fri, 18 Oct 2019 11:50:43 +0200
In-Reply-To: <E1iLIcU-0002ej-SZ@HIDDEN> (Richard Stallman's message
 of "Thu, 17 Oct 2019 23:08:02 -0400")
Message-ID: <87pniue618.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Ys3VrRl77ku1WTiA/fa6f7twfKnyTZ07YN1+j0oeYwOOJtB3cSO
 FBz5+HG2zqTlNWRF5OAOrhaLfLCVrxzEPRaO/3dYUZU8BW4ELy337txKi1v2XCgPb5OwnbL
 OwLARNOCFRI7Qkca+6VHvxXjvyAeeY6Lt5JTdC5pTaVv9lijfQdj+SnQuQQUo1m9QQTCneV
 ckemrCQe7Q4YJq8f8wdVA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:sqj2a1BR/Fc=:he2VBaCBilhbwphhr+Y9FP
 77LDyCvK/yDiB2yoO+K90MOJNKcLLJVG7wM4hb0+F/RkkPSS1ohCUscjcr2lPaoF4w01Scw0p
 gkyf2dKlaVMleWi2Y31/DaMYt22ppunKL5VF05HbxvP3lo1WRJBp8CyIet5gxk0Th/rfXJ3+N
 FsOw5qtekeay9+Ab+4EbDBbwDKqx+fm3bp7pXmW6/runSsHwtjx+dE3Z+YVMTDRaA5Y0X/MsP
 vFrIigfh6QzRRApB3KyzUs2h2DLZq3jVS02LCMxXhvAkhANf+8hCrIQgazTHihAeMbiPBXiMT
 PRnodCdcBAKz9RR8SF/ls+1DAF1wEtTm7Y9LjCOaYkNTfk/zZbzQ8zzDx1Gy519gXMi/NZkIg
 lti0tfaaofANAiAEC4us+1K5+N91kW8iU2FBxwjEAVZirreFQ3wxrAJj3iAZBAQ8OojDdAXOc
 2lb1pNsQ0a3i0Y2MGjz5WfrWogZvV1cJDqM04TRiNGPM9zh3LTsgBr6VQjJlXDv2Exdu4oOnu
 4zHrzWEJ/dX2IMhygJdpOnBgOyVFojY8p0KVUitEH99CM69oVgdlkZZYFwxxa4xA/sGqoF9sY
 5Y2Go+EVgO6iopHC87k6LRBwAX8kMxuQfDUn07nvc6ZruVyKUemKT2wqelBNb3rQWkivKZ90p
 tc52sbbwU5ENobhk8v4aAs7Nmt0KOUX3hN/H3dNT/9B1Pn2XWu7Bu/cP+u3vz/j5icJ16uXwv
 ONG04E5eSKohAvQ4hm2rj2Pn4oDax77qlGaoYfZeAuf+bXjj9Z381hQS8ZaFcyVkYLYlXU4m9
 BZIofrD5ehkR4u5qzKOK+W8jSWUm4KdoFrZFuJBwQ4RvNCKOApMeQ/YKGRqT+79woIvGfLSkr
 da7AfpYN0X7etxAlytniEEVXRwLgsplQds8iilUN49omss0OjW6rDnFL5FNddljPfuKfVH2Zz
 CQwlU2+5wB8lS2vJnQVHX9y32GcmkTFpHK2otdi7AxnlTNs/Cnlw/twMGgcom536k10SEXIlG
 08c1JbHUG6yxgrJYYVqB/PqLmLixm5Cp9JpZLuwINi0+WoaRxaCM924ChIcawhtXT11U6i/cV
 Rf7DkA51JyzRMjc2fxeLLFr3jQe0aeyRh5xy5MOda4SvU3vUAVm4J0KtgMY2NaiKmLWlyLAwE
 8wsVleShIcgsamBiRH7cxypTjBAySnrnkfzJ0Q0zQj85UEkYUrfD77tKkZYrWUX7/P58eVix4
 AtUeWa6yg6KgPmBxi7hfpCHzK/34QBqKxUL+L8Zr+GPzOEUU1r+OJMxeJNAU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: eric@HIDDEN, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Richard Stallman <rms@HIDDEN> writes:

> It amuses me to see the verb "reproduce" used intransitively in this
> context, because what that means is that you are unable to produce
> offspring.  I don't think that's what you meant ;-).

I don't recall, but I guess it wasn't what I wanted to say.  I begin to
wonder why this kind of thing happens only to me.

But this probably doesn't belong in this bug's thread - should I open a
new one?

Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 09:19:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 05:19:08 2019
Received: from localhost ([127.0.0.1]:49375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLOPb-0003Ts-FI
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 05:19:08 -0400
Received: from mout.web.de ([212.227.15.14]:37577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iLOPY-0003TK-QY
 for 33005 <at> debbugs.gnu.org; Fri, 18 Oct 2019 05:19:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571390328;
 bh=M0x5tm74iHA2aGSYFKaTWL6qkJvVQSjA1Bsz6F6wyY4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=NII4jX60JzkiXHPMMrpDW3WdBtJGdKgwpDpsst1dihsPwCw37ZrE/0QzXk4/cJ7Mc
 R4RLqJrQgthEMR4fAz83GPsQmAlwS0LOWDKYpvqY2fh5/zz83n4Og5gyFgMsVxJOW8
 XtB7oCziyvpPDwjBGuks5iDZm8HuH0U0v8BQ2uvc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Md4ZG-1idbkL1dVi-00ICXT; Fri, 18
 Oct 2019 11:18:48 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
 <87sgnr74ig.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 11:18:54 +0200
In-Reply-To: <87sgnr74ig.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 17 Oct 2019 08:53:11 -0700")
Message-ID: <87sgnq5s3l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:Plz4jiByPaOtd1UIEhNprin4fURzJHQFX9V6CxaRc2/yo42x0zK
 js3XjEVlcq/5T4sOFDig5aFufwcOJ5DPdU6ozKr77jHLIRDiUJkW4HnfscpLszbeSsWyCDW
 KfASYQlR3iI1ZJ4P6yFjdoQUVZg6/Re1RZzWBDZox7tJlXjRaOr2XMCO2pil88VXUm0ti2/
 iISwsHfPlmlbY+M3TFvsQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:dZYm5kEPWlw=:As3k0vwekFPhdLmB8cN+hC
 XH+FK7wP9iMFFOdynUf7hhmFLnfkZqANnGXAXaYHWcBPP9TqtNdD+VC1M94XlRmGt8Yw+t8VQ
 DRNZcBSxp1y96m0TQOKERo64ecrbDFn76IFdPI8C0TmC9DrufrnIwYpoAa6iS/R80r635jz2x
 YEjx6IlBcWirLqN8zCWOmE3bIl8GnAtzjSmsHm0vshN2kx3FkP1S9FeHIUoG7b1+DXwzMBd8r
 fPBwviM3TR4FpkeIt2hnKfXh4r16PSI8s2zGJvZdBG9uEBWGl45k6bN8S+MkES85aPIM4L5oG
 MTrXlouMwPKOxLgAuS8tbDTQg20Hp7zLLgBaltXKkIXS4SpvTWn5btMByIxVcUDRutwzfjrmL
 jaCwd054N1V/Tk/K3KvuFLqjxZkd41+B1/vijHCfLidiblj/hjNOut45xD3ecUmaQrKJxcdZX
 EBOuwPmraB7lWk8V0Kuv/8A4oMLCq3pNGKT33/OzbIrOXTzzoTssQ2ih5rlfBGoSZfYQVp6IQ
 x8qatQ+whkMeSNlQUdtxiwJtgCmZCZJDgo03iPHTdHLUzpu+skJcG//91Wd2nqxKTk4tNWd6B
 3xDU+jzPDjB9Ao11h/gZdS16iHfRIN6JXJ/ZCixlA3mHQpNRXWW18NUIz3aKB8ygtso2246AW
 /xmXzv3lq/TOxYBUQEGQij3yNITia5cCbhpqXLyODBoNfk8/xtKvMp5+t3KV4ZIay3it0Q1qT
 RbsISStcF/JoHMNKdfR+RGAZbIdQdD++HGcqDr8w+uEPBi3A1hX/CEGmcfRvp5F5c/k+TX7CX
 dyeioEqcm+tT3w0g4N3SktFv6jseZDHGUzAKRKFVtIAIuBGEL7kVbIYiCrWc1ja2eHxrnmCQ/
 S6g4jtJt/+ldZkpyrTR8KyChosCeNyog5Yk4HdMO1OeEMOh23SiNRN//nRKy9dFWoKtADysl6
 ySUufj1zkWu5PY3oxspeLhdW/sjLdOKu1JxRgqbjKVH1/ZO9rNxPJQIlw2h2BCDEz9HFuO8PW
 mFJVLFhu/lJTpYCrVDiM8OQb+NUYpPoqfV2D6yqTxdGpRcnLvkZ8KvgnqbQsKJveOm7pndyBB
 08OfyZWTEW7W60kAGcZhW3ZiX8Aj2KgG5qLvbekldTmOCveYrRyoR2AOXjJLagLYybpd1kcvw
 RtqVl3sIx432izRw98GVXQ32h6mzx+SJ+PlGAw6IQi7Td8c7X6faYERVTfWW1tipPhYDt+QOY
 aTL3bu9gl/McbnbJJwmxPthUMkm593lkWh1HsyCFBacjKA8jLK16DJGL1rNo=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> 1. Put a breakpoint or edebug or otherwise slow the function down, and
> after the data directory has been copied to /tmp, make sure that it
> belongs to your user and you have the right permissions?

That's the case.

> 2. Try this version of gnus-mock-start and see if it works:

I did something different.  Seems that so-long is to blame:

| Debugger entered--entering a function:
| * hack-local-variables(no-mode)
|   run-mode-hooks(so-long-mode-hook)
|   #f(compiled-function () (interactive nil) #<bytecode 0x156db2ff061d>)()
|   apply(#f(compiled-function () (interactive nil) #<bytecode 0x156db2ff06=
1d>) nil)
|   so-long-mode()
|   so-long()
|   so-long--set-auto-mode((closure (t) (&optional keep-mode-if-same) "Sele=
ct major mode appropriate for current buffer.\n..." (let ((try-locals (not =
(inhibit-local-variables-p))) end done mode modes) (save-excursion (goto-ch=
ar (point-min)) (skip-chars-forward " \11\n") (and enable-local-variables t=
ry-locals (setq end (set-auto-mode-1)) (if (save-excursion (search-forward =
":" end t)) (while (let ... ...) (skip-chars-forward " \11") (let ... ... .=
.. ...)) (setq modes (cons ... modes))))) (if modes (catch 'nop (let ((--do=
list-tail-- ...)) (while --dolist-tail-- (let ... ... ...))))) (and (not do=
ne) enable-local-variables local-enable-local-variables try-locals (setq mo=
de (hack-local-variables t)) (not (memq mode modes)) (if (not (functionp mo=
de)) (message "Ignoring unknown mode `%s'" mode) (setq done t) (set-auto-mo=
de-0 mode keep-mode-if-same))) (and (not done) (setq mode (save-excursion (=
goto-char (point-min)) (if (looking-at auto-mode-interpreter-regexp) (match=
-string 2)))) (setq done (assoc-default (file-name-nondirectory mode) (mapc=
ar #'... interpreter-mode-alist) #'string-match-p)) (set-auto-mode-0 done k=
eep-mode-if-same)) (if done nil (if (setq done (save-excursion (goto-char .=
..) (save-restriction ... ...))) (set-auto-mode-0 done keep-mode-if-same)))=
 (if done nil (if buffer-file-name (let ((name buffer-file-name) (remote-id=
 ...) (case-insensitive-p ...)) (setq name (file-name-sans-versions name)) =
(if (and ... ...) (progn ...)) (while name (setq mode ...) (if ... ... ...)=
 (if mode ...))))) (if done nil (if (setq done (save-excursion (goto-char .=
..) (save-restriction ... ...))) (set-auto-mode-0 done keep-mode-if-same)))=
 (if done nil (set-buffer-major-mode (current-buffer))))) t)
|   apply(so-long--set-auto-mode (closure (t) (&optional keep-mode-if-same)=
 "Select major mode appropriate for current buffer.\n..." (let ((try-locals=
 (not (inhibit-local-variables-p))) end done mode modes) (save-excursion (g=
oto-char (point-min)) (skip-chars-forward " \11\n") (and enable-local-varia=
bles try-locals (setq end (set-auto-mode-1)) (if (save-excursion (search-fo=
rward ":" end t)) (while (let ... ...) (skip-chars-forward " \11") (let ...=
 ... ... ...)) (setq modes (cons ... modes))))) (if modes (catch 'nop (let =
((--dolist-tail-- ...)) (while --dolist-tail-- (let ... ... ...))))) (and (=
not done) enable-local-variables local-enable-local-variables try-locals (s=
etq mode (hack-local-variables t)) (not (memq mode modes)) (if (not (functi=
onp mode)) (message "Ignoring unknown mode `%s'" mode) (setq done t) (set-a=
uto-mode-0 mode keep-mode-if-same))) (and (not done) (setq mode (save-excur=
sion (goto-char (point-min)) (if (looking-at auto-mode-interpreter-regexp) =
(match-string 2)))) (setq done (assoc-default (file-name-nondirectory mode)=
 (mapcar #'... interpreter-mode-alist) #'string-match-p)) (set-auto-mode-0 =
done keep-mode-if-same)) (if done nil (if (setq done (save-excursion (goto-=
char ...) (save-restriction ... ...))) (set-auto-mode-0 done keep-mode-if-s=
ame))) (if done nil (if buffer-file-name (let ((name buffer-file-name) (rem=
ote-id ...) (case-insensitive-p ...)) (setq name (file-name-sans-versions n=
ame)) (if (and ... ...) (progn ...)) (while name (setq mode ...) (if ... ..=
. ...) (if mode ...))))) (if done nil (if (setq done (save-excursion (goto-=
char ...) (save-restriction ... ...))) (set-auto-mode-0 done keep-mode-if-s=
ame))) (if done nil (set-buffer-major-mode (current-buffer))))) t)
|   #f(advice-wrapper :around (closure (t) (&optional keep-mode-if-same) "S=
elect major mode appropriate for current buffer.\n\nTo find the right major=
 mode, this function checks for a -*- mode tag\nchecks for a `mode:' entry =
in the Local Variables section of the file,\nchecks if it uses an interpret=
er listed in `interpreter-mode-alist',\nmatches the buffer beginning agains=
t `magic-mode-alist',\ncompares the filename against the entries in `auto-m=
ode-alist',\nthen matches the buffer beginning against `magic-fallback-mode=
-alist'.\n\nIf `enable-local-variables' is nil, or if the file name matches=
\n`inhibit-local-variables-regexps', this function does not check\nfor any =
mode: tag anywhere in the file.  If `local-enable-local-variables'\nis nil,=
 then the only mode: tag that can be relevant is a -*- one.\n\nIf the optio=
nal argument KEEP-MODE-IF-SAME is non-nil, then we\nset the major mode only=
 if that would change it.  In other words\nwe don't actually set it to the =
same mode the buffer already has." (let ((try-locals (not (inhibit-local-va=
riables-p))) end done mode modes) (save-excursion (goto-char (point-min)) (=
skip-chars-forward " \11\n") (and enable-local-variables try-locals (setq e=
nd (set-auto-mode-1)) (if (save-excursion (search-forward ":" end t)) (whil=
e (let ((case-fold-search t)) (or (and (looking-at "mode:") (goto-char (mat=
ch-end 0))) (re-search-forward "[ \11;]mode:" end t))) (skip-chars-forward =
" \11") (let ((beg (point))) (if (search-forward ";" end t) (forward-char -=
1) (goto-char end)) (skip-chars-backward " \11") (setq modes (cons (intern =
(concat (downcase (buffer-substring beg (point))) "-mode")) modes)))) (setq=
 modes (cons (intern (concat (downcase (buffer-substring (point) end)) "-mo=
de")) modes))))) (if modes (catch 'nop (let ((--dolist-tail-- (nreverse mod=
es))) (while --dolist-tail-- (let ((mode (car --dolist-tail--))) (if (not (=
functionp mode)) (message "Ignoring unknown mode `%s'" mode) (setq done t) =
(or (set-auto-mode-0 mode keep-mode-if-same) (throw 'nop nil))) (setq --dol=
ist-tail-- (cdr --dolist-tail--))))))) (and (not done) enable-local-variabl=
es local-enable-local-variables try-locals (setq mode (hack-local-variables=
 t)) (not (memq mode modes)) (if (not (functionp mode)) (message "Ignoring =
unknown mode `%s'" mode) (setq done t) (set-auto-mode-0 mode keep-mode-if-s=
ame))) (and (not done) (setq mode (save-excursion (goto-char (point-min)) (=
if (looking-at auto-mode-interpreter-regexp) (match-string 2)))) (setq done=
 (assoc-default (file-name-nondirectory mode) (mapcar #'(lambda (e) (cons (=
format "\\`%s\\'" (car e)) (cdr e))) interpreter-mode-alist) #'string-match=
-p)) (set-auto-mode-0 done keep-mode-if-same)) (if done nil (if (setq done =
(save-excursion (goto-char (point-min)) (save-restriction (narrow-to-region=
 (point-min) (min (point-max) (+ (point-min) magic-mode-regexp-match-limit)=
)) (assoc-default nil magic-mode-alist #'(lambda (re _dummy) (cond ((functi=
onp re) (funcall re)) ((stringp re) (let ((case-fold-search nil)) (looking-=
at re))) (t (error "Problem in magic-mode-alist with element %s" re))))))))=
 (set-auto-mode-0 done keep-mode-if-same))) (if done nil (if buffer-file-na=
me (let ((name buffer-file-name) (remote-id (file-remote-p buffer-file-name=
)) (case-insensitive-p (file-name-case-insensitive-p buffer-file-name))) (s=
etq name (file-name-sans-versions name)) (if (and (stringp remote-id) (stri=
ng-match (regexp-quote remote-id) name)) (progn (setq name (substring name =
(match-end 0))))) (while name (setq mode (if case-insensitive-p (let ((case=
-fold-search t)) (assoc-default name auto-mode-alist 'string-match)) (or (l=
et ((case-fold-search nil)) (assoc-default name auto-mode-alist 'string-mat=
ch)) (and auto-mode-case-fold (let ((case-fold-search t)) (assoc-default na=
me auto-mode-alist 'string-match)))))) (if (and mode (consp mode) (car (cdr=
 mode))) (setq mode (car mode) name (substring name 0 (match-beginning 0)))=
 (setq name nil)) (if mode (progn (set-auto-mode-0 mode keep-mode-if-same) =
(setq done t))))))) (if done nil (if (setq done (save-excursion (goto-char =
(point-min)) (save-restriction (narrow-to-region (point-min) (min (point-ma=
x) (+ (point-min) magic-mode-regexp-match-limit))) (assoc-default nil magic=
-fallback-mode-alist #'(lambda (re _dummy) (cond ((functionp re) (funcall r=
e)) ((stringp re) (let ((case-fold-search nil)) (looking-at re))) (t (error=
 "Problem with magic-fallback-mode-alist element: %s" re)))))))) (set-auto-=
mode-0 done keep-mode-if-same))) (if done nil (set-buffer-major-mode (curre=
nt-buffer))))) so-long--set-auto-mode)(t)
|   apply(#f(advice-wrapper :around (closure (t) (&optional keep-mode-if-sa=
me) "Select major mode appropriate for current buffer.\n..." (let ((try-loc=
als (not (inhibit-local-variables-p))) end done mode modes) (save-excursion=
 (goto-char (point-min)) (skip-chars-forward " \11\n") (and enable-local-va=
riables try-locals (setq end (set-auto-mode-1)) (if (save-excursion ...) (w=
hile ... ... ...) (setq modes ...)))) (if modes (catch 'nop (let (...) (whi=
le --dolist-tail-- ...)))) (and (not done) enable-local-variables local-ena=
ble-local-variables try-locals (setq mode (hack-local-variables t)) (not (m=
emq mode modes)) (if (not (functionp mode)) (message "Ignoring unknown mode=
 `%s'" mode) (setq done t) (set-auto-mode-0 mode keep-mode-if-same))) (and =
(not done) (setq mode (save-excursion (goto-char ...) (if ... ...))) (setq =
done (assoc-default (file-name-nondirectory mode) (mapcar ... interpreter-m=
ode-alist) #'string-match-p)) (set-auto-mode-0 done keep-mode-if-same)) (if=
 done nil (if (setq done (save-excursion ... ...)) (set-auto-mode-0 done ke=
ep-mode-if-same))) (if done nil (if buffer-file-name (let (... ... ...) (se=
tq name ...) (if ... ...) (while name ... ... ...)))) (if done nil (if (set=
q done (save-excursion ... ...)) (set-auto-mode-0 done keep-mode-if-same)))=
 (if done nil (set-buffer-major-mode (current-buffer))))) so-long--set-auto=
-mode) t)
|   set-auto-mode(t)
|   (let ((old major-mode)) (set-auto-mode t) (or (eq old major-mode) (hack=
-local-variables)))
|   (or (not change-major-mode-with-file-name) (get major-mode 'mode-class)=
 (and old-try-locals (not (inhibit-local-variables-p)) (hack-local-variable=
s t)) (let ((old major-mode)) (set-auto-mode t) (or (eq old major-mode) (ha=
ck-local-variables))))
|   (condition-case nil (or (not change-major-mode-with-file-name) (get maj=
or-mode 'mode-class) (and old-try-locals (not (inhibit-local-variables-p)) =
(hack-local-variables t)) (let ((old major-mode)) (set-auto-mode t) (or (eq=
 old major-mode) (hack-local-variables)))) (error nil))
|   (let (truename old-try-locals) (if filename (setq filename (if (string-=
equal filename "") nil (expand-file-name filename)))) (if filename (progn (=
setq truename (file-truename filename)) (if find-file-visit-truename (setq =
filename truename)))) (if filename (let ((new-name (file-name-nondirectory =
filename))) (if (string=3D new-name "") (error "Empty file name")))) (let (=
(buffer (and filename (find-buffer-visiting filename)))) (and buffer (not (=
eq buffer (current-buffer))) (not no-query) (not (y-or-n-p (format "A buffe=
r is visiting %s; proceed? " filename))) (user-error "Aborted"))) (or (equa=
l filename buffer-file-name) (progn (and filename (lock-buffer filename)) (=
unlock-buffer))) (setq old-try-locals (not (inhibit-local-variables-p)) buf=
fer-file-name filename) (if filename (let ((new-name (file-name-nondirector=
y buffer-file-name))) (setq default-directory (file-name-directory buffer-f=
ile-name)) (or (string=3D new-name (buffer-name)) (rename-buffer new-name t=
)))) (setq buffer-backed-up nil) (or along-with-file (clear-visited-file-mo=
dtime)) (if truename (progn (setq buffer-file-truename (abbreviate-file-nam=
e truename)) (if find-file-visit-truename (setq buffer-file-name truename))=
)) (setq buffer-file-number (if filename (nthcdr 10 (file-attributes buffer=
-file-name)) nil)) (kill-local-variable 'write-file-functions) (kill-local-=
variable 'local-write-file-hooks) (kill-local-variable 'revert-buffer-funct=
ion) (kill-local-variable 'backup-inhibited) (if vc-mode (setq buffer-read-=
only nil)) (kill-local-variable 'vc-mode) (and buffer-file-name backup-enab=
le-predicate (not (funcall backup-enable-predicate buffer-file-name)) (prog=
n (make-local-variable 'backup-inhibited) (setq backup-inhibited t))) (let =
((oauto buffer-auto-save-file-name)) (cond ((null filename) (setq buffer-au=
to-save-file-name nil)) ((not buffer-auto-save-file-name) (and buffer-file-=
name auto-save-default (auto-save-mode t))) (t (setq buffer-auto-save-file-=
name (make-auto-save-file-name)))) (and oauto buffer-auto-save-file-name (f=
ile-exists-p oauto) (rename-file oauto buffer-auto-save-file-name t))) (and=
 buffer-file-name (not along-with-file) (set-buffer-modified-p t)) (conditi=
on-case nil (or (not change-major-mode-with-file-name) (get major-mode 'mod=
e-class) (and old-try-locals (not (inhibit-local-variables-p)) (hack-local-=
variables t)) (let ((old major-mode)) (set-auto-mode t) (or (eq old major-m=
ode) (hack-local-variables)))) (error nil)) (run-hooks 'after-set-visited-f=
ile-name-hook))
|   (closure (t) (filename &optional no-query along-with-file) "Change name=
 of file visited in current buff..." (interactive "FSet visited file name: =
") (if (buffer-base-buffer) (error "An indirect buffer cannot visit a file"=
)) (let (truename old-try-locals) (if filename (setq filename (if (string-e=
qual filename "") nil (expand-file-name filename)))) (if filename (progn (s=
etq truename (file-truename filename)) (if find-file-visit-truename (setq f=
ilename truename)))) (if filename (let ((new-name ...)) (if (string=3D new-=
name "") (error "Empty file name")))) (let ((buffer (and filename ...))) (a=
nd buffer (not (eq buffer ...)) (not no-query) (not (y-or-n-p ...)) (user-e=
rror "Aborted"))) (or (equal filename buffer-file-name) (progn (and filenam=
e (lock-buffer filename)) (unlock-buffer))) (setq old-try-locals (not (inhi=
bit-local-variables-p)) buffer-file-name filename) (if filename (let ((new-=
name ...)) (setq default-directory (file-name-directory buffer-file-name)) =
(or (string=3D new-name ...) (rename-buffer new-name t)))) (setq buffer-bac=
ked-up nil) (or along-with-file (clear-visited-file-modtime)) (if truename =
(progn (setq buffer-file-truename (abbreviate-file-name truename)) (if find=
-file-visit-truename (setq buffer-file-name truename)))) (setq buffer-file-=
number (if filename (nthcdr 10 (file-attributes buffer-file-name)) nil)) (k=
ill-local-variable 'write-file-functions) (kill-local-variable 'local-write=
-file-hooks) (kill-local-variable 'revert-buffer-function) (kill-local-vari=
able 'backup-inhibited) (if vc-mode (setq buffer-read-only nil)) (kill-loca=
l-variable 'vc-mode) (and buffer-file-name backup-enable-predicate (not (fu=
ncall backup-enable-predicate buffer-file-name)) (progn (make-local-variabl=
e 'backup-inhibited) (setq backup-inhibited t))) (let ((oauto buffer-auto-s=
ave-file-name)) (cond ((null filename) (setq buffer-auto-save-file-name nil=
)) ((not buffer-auto-save-file-name) (and buffer-file-name auto-save-defaul=
t ...)) (t (setq buffer-auto-save-file-name ...))) (and oauto buffer-auto-s=
ave-file-name (file-exists-p oauto) (rename-file oauto buffer-auto-save-fil=
e-name t))) (and buffer-file-name (not along-with-file) (set-buffer-modifie=
d-p t)) (condition-case nil (or (not change-major-mode-with-file-name) (get=
 major-mode 'mode-class) (and old-try-locals (not ...) (hack-local-variable=
s t)) (let (...) (set-auto-mode t) (or ... ...))) (error nil)) (run-hooks '=
after-set-visited-file-name-hook)))("/tmp/emacs-gnus-mock-WDzPUE/init.el" t)
|   apply((closure (t) (filename &optional no-query along-with-file) "Chang=
e name of file visited in current buffer to F..." (interactive "FSet visite=
d file name: ") (if (buffer-base-buffer) (error "An indirect buffer cannot =
visit a file")) (let (truename old-try-locals) (if filename (setq filename =
(if (string-equal filename "") nil (expand-file-name filename)))) (if filen=
ame (progn (setq truename (file-truename filename)) (if find-file-visit-tru=
ename (setq filename truename)))) (if filename (let ((new-name (file-name-n=
ondirectory filename))) (if (string=3D new-name "") (error "Empty file name=
")))) (let ((buffer (and filename (find-buffer-visiting filename)))) (and b=
uffer (not (eq buffer (current-buffer))) (not no-query) (not (y-or-n-p (for=
mat "A buffer is visiting %s; proceed? " filename))) (user-error "Aborted")=
)) (or (equal filename buffer-file-name) (progn (and filename (lock-buffer =
filename)) (unlock-buffer))) (setq old-try-locals (not (inhibit-local-varia=
bles-p)) buffer-file-name filename) (if filename (let ((new-name (file-name=
-nondirectory buffer-file-name))) (setq default-directory (file-name-direct=
ory buffer-file-name)) (or (string=3D new-name (buffer-name)) (rename-buffe=
r new-name t)))) (setq buffer-backed-up nil) (or along-with-file (clear-vis=
ited-file-modtime)) (if truename (progn (setq buffer-file-truename (abbrevi=
ate-file-name truename)) (if find-file-visit-truename (setq buffer-file-nam=
e truename)))) (setq buffer-file-number (if filename (nthcdr 10 (file-attri=
butes buffer-file-name)) nil)) (kill-local-variable 'write-file-functions) =
(kill-local-variable 'local-write-file-hooks) (kill-local-variable 'revert-=
buffer-function) (kill-local-variable 'backup-inhibited) (if vc-mode (setq =
buffer-read-only nil)) (kill-local-variable 'vc-mode) (and buffer-file-name=
 backup-enable-predicate (not (funcall backup-enable-predicate buffer-file-=
name)) (progn (make-local-variable 'backup-inhibited) (setq backup-inhibite=
d t))) (let ((oauto buffer-auto-save-file-name)) (cond ((null filename) (se=
tq buffer-auto-save-file-name nil)) ((not buffer-auto-save-file-name) (and =
buffer-file-name auto-save-default (auto-save-mode t))) (t (setq buffer-aut=
o-save-file-name (make-auto-save-file-name)))) (and oauto buffer-auto-save-=
file-name (file-exists-p oauto) (rename-file oauto buffer-auto-save-file-na=
me t))) (and buffer-file-name (not along-with-file) (set-buffer-modified-p =
t)) (condition-case nil (or (not change-major-mode-with-file-name) (get maj=
or-mode 'mode-class) (and old-try-locals (not (inhibit-local-variables-p)) =
(hack-local-variables t)) (let ((old major-mode)) (set-auto-mode t) (or (eq=
 old major-mode) (hack-local-variables)))) (error nil)) (run-hooks 'after-s=
et-visited-file-name-hook))) ("/tmp/emacs-gnus-mock-WDzPUE/init.el" t))
|   set-visited-file-name("/tmp/emacs-gnus-mock-WDzPUE/init.el" t)
|   (progn (if (directory-name-p filename) (setq filename (concat filename =
(file-name-nondirectory (or buffer-file-name (buffer-name)))))) (and confir=
m (file-exists-p filename) (not (and (eq (framep-on-display) 'ns) (listp la=
st-nonmenu-event) use-dialog-box)) (or (y-or-n-p (format-message "File `%s'=
 exists; overwrite? " filename)) (user-error "Canceled"))) (set-visited-fil=
e-name filename (not confirm)))
|   (or (null filename) (string-equal filename "") (progn (if (directory-na=
me-p filename) (setq filename (concat filename (file-name-nondirectory (or =
buffer-file-name (buffer-name)))))) (and confirm (file-exists-p filename) (=
not (and (eq (framep-on-display) 'ns) (listp last-nonmenu-event) use-dialog=
-box)) (or (y-or-n-p (format-message "File `%s' exists; overwrite? " filena=
me)) (user-error "Canceled"))) (set-visited-file-name filename (not confirm=
))))
|   (closure (t) (filename &optional confirm) "Write current buffer into fi=
le FILENAME.\nThis make..." (interactive (list (if buffer-file-name (read-f=
ile-name "Write file: " nil nil nil nil) (read-file-name "Write file: " def=
ault-directory (expand-file-name (file-name-nondirectory ...) default-direc=
tory) nil nil)) (not current-prefix-arg))) (or (null filename) (string-equa=
l filename "") (progn (if (directory-name-p filename) (setq filename (conca=
t filename (file-name-nondirectory ...)))) (and confirm (file-exists-p file=
name) (not (and (eq ... ...) (listp last-nonmenu-event) use-dialog-box)) (o=
r (y-or-n-p (format-message "File `%s' exists; overwrite? " filename)) (use=
r-error "Canceled"))) (set-visited-file-name filename (not confirm)))) (set=
-buffer-modified-p t) (and buffer-file-name (file-writable-p buffer-file-na=
me) (setq buffer-read-only nil)) (save-buffer) (vc-refresh-state))("/tmp/em=
acs-gnus-mock-WDzPUE/init.el")
|   apply((closure (t) (filename &optional confirm) "Write current buffer i=
nto file FILENAME.\nThis make..." (interactive (list (if buffer-file-name (=
read-file-name "Write file: " nil nil nil nil) (read-file-name "Write file:=
 " default-directory (expand-file-name (file-name-nondirectory ...) default=
-directory) nil nil)) (not current-prefix-arg))) (or (null filename) (strin=
g-equal filename "") (progn (if (directory-name-p filename) (setq filename =
(concat filename (file-name-nondirectory ...)))) (and confirm (file-exists-=
p filename) (not (and (eq ... ...) (listp last-nonmenu-event) use-dialog-bo=
x)) (or (y-or-n-p (format-message "File `%s' exists; overwrite? " filename)=
) (user-error "Canceled"))) (set-visited-file-name filename (not confirm)))=
) (set-buffer-modified-p t) (and buffer-file-name (file-writable-p buffer-f=
ile-name) (setq buffer-read-only nil)) (save-buffer) (vc-refresh-state)) "/=
tmp/emacs-gnus-mock-WDzPUE/init.el")
|   write-file("/tmp/emacs-gnus-mock-WDzPUE/init.el")
|   gnus-mock-start()
|   funcall-interactively(gnus-mock-start)
|   call-interactively(gnus-mock-start record nil)
|   command-execute(gnus-mock-start record)

When I delete the (buffer-read-only . t) association from
`so-long-variable-overrides' the problem is fixed.  The only so-long
thing in my init file is (global-so-long-mode 1).  Since some people
will do this and the default behavior breaks gnus-mock I guess you will
want to handle this somehow.


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 18 Oct 2019 03:08:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 23:08:10 2019
Received: from localhost ([127.0.0.1]:49101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLIcc-0002SO-Hq
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:08:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1iLIcb-0002S8-E7
 for 33005 <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:08:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53433)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1iLIcV-0003ZC-Mu; Thu, 17 Oct 2019 23:08:03 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1iLIcU-0002ej-SZ; Thu, 17 Oct 2019 23:08:03 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-Reply-To: <877e55xcj6.fsf@HIDDEN> (message from Michael Heerdegen on Wed,
 16 Oct 2019 11:30:53 +0200)
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <877e55xcj6.fsf@HIDDEN>
Message-Id: <E1iLIcU-0002ej-SZ@HIDDEN>
Date: Thu, 17 Oct 2019 23:08:02 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: eric@HIDDEN, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Hmm, currently I can't reproduce either.

It amuses me to see the verb "reproduce" used intransitively in this
context, because what that means is that you are unable to produce
offspring.  I don't think that's what you meant ;-).

With a bug, the thing to say is "I can't reproduce it."

Of course, people understand anyway.

-- 
Dr Richard Stallman
Founder, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 17 Oct 2019 15:55:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 11:55:04 2019
Received: from localhost ([127.0.0.1]:48780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL87E-0000O7-M8
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 11:55:04 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:50698
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iL87B-0000NS-ST
 for 33005 <at> debbugs.gnu.org; Thu, 17 Oct 2019 11:55:03 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 43655FA028;
 Thu, 17 Oct 2019 15:54:56 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <877e55xcj6.fsf@HIDDEN>
 <87a7a0pu5u.fsf@HIDDEN> <87eezbkc0m.fsf@HIDDEN>
 <87v9snr7ph.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 08:54:54 -0700
In-Reply-To: <87v9snr7ph.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 17
 Oct 2019 12:23:54 +0200")
Message-ID: <87o8yf74fl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/17/19 12:23 PM, Michael Heerdegen wrote:
> Hi again,
>
> I played around a bit more, and now I can't reproduce any more.  It
> could have been related to my advice of
> `gnus-alter-articles-to-read-function'.

Ah, right -- that was the advice I was remembering. Well, ping if it
comes back...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 17 Oct 2019 15:53:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 11:53:23 2019
Received: from localhost ([127.0.0.1]:48771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL85a-0000Jx-Jh
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 11:53:22 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:50622
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iL85Y-0000JT-2b
 for 33005 <at> debbugs.gnu.org; Thu, 17 Oct 2019 11:53:20 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 3AD58FA028;
 Thu, 17 Oct 2019 15:53:13 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN> <87lftjkcj7.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 08:53:11 -0700
In-Reply-To: <87lftjkcj7.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 17
 Oct 2019 10:21:32 +0200")
Message-ID: <87sgnr74ig.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> People are expected to use `gnus-mock-start' to start it, which does
>> "emacs -Q" internally.
>
> Ah, I remember.
>
>> The only requirement is that the emacs be run
>> from a build directory, and not an installation.
>
> I tried it from my normal Emacs session and got this:
>
> Debugger entered--Lisp error: (buffer-read-only #<buffer .newsrc.eld>)
>   replace-match("/tmp/emacs-gnus-mock-738lXO" t)
>   gnus-mock-start()
>   funcall-interactively(gnus-mock-start)
>   call-interactively(gnus-mock-start record nil)
>   command-execute(gnus-mock-start record)
>
> Is that because it is an installed Emacs, or something else?  Should I
> investigate?

Man, who would have guessed this would be so difficult... I have no idea
why a data file that ships with the package would become read-only.
I suppose I could wrap that in `inhibit-read-only', but if it's read
only for a reason that will only fail later down the line. Can you check
two things, and then I'll give up for now?

1. Put a breakpoint or edebug or otherwise slow the function down, and
after the data directory has been copied to /tmp, make sure that it
belongs to your user and you have the right permissions?

2. Try this version of gnus-mock-start and see if it works:

(defun gnus-mock-start ()
  (interactive)
  (let ((mock-tmp-dir (make-temp-file "emacs-gnus-mock-" t)))
    (condition-case-unless-debug err
	(let ((init-file (expand-file-name "init.el" mock-tmp-dir)))
	  (with-temp-buffer
	    (let ((standard-output (current-buffer))
		  (print-circle nil))
	      (prin1
	       `(setq gnus-home-directory ,mock-tmp-dir
		      init-file-user "mockturtle"
		      sendmail-program
		      ,(expand-file-name gnus-mock-sendmail-program
					 mock-tmp-dir)
		      message-directory ,mock-tmp-dir
		      gnus-startup-file
		      ,(expand-file-name ".newsrc" mock-tmp-dir)
		      gnus-init-file
		      ,(expand-file-name ".gnus.el" mock-tmp-dir)
		      nndraft-directory
		      ,(expand-file-name "drafts/" mock-tmp-dir)
		      gnus-agent-directory
		      ,(expand-file-name "agent/" mock-tmp-dir)
		      gnus-directory
		      ,(expand-file-name "News/" mock-tmp-dir)))
	      (princ "\n\n")
	      ;; Constant that can be checked if we need to know it's a mock
	      ;; session.
	      (prin1 '(defconst gnus-mock-p t))
	      (princ "\n")
	      ;; Constant for use in `gnus-mock-reload', which is defined in
	      ;; the .gnus.el startup file.
 	      (prin1 `(defconst gnus-mock-data-dir ,gnus-mock-data-dir))
	      (when gnus-mock-cleanup-p
		(princ "\n")
		(prin1 `(add-hook 'kill-emacs-hook
				  (lambda () (delete-directory
					      ,mock-tmp-dir t)))))
	      (when gnus-mock-use-images
		(princ "\n")
		(prin1 `(add-to-list 'load-path
				     ,(format "%s/data" mock-tmp-dir))))
	      (write-file init-file)))
	  ;; Put our data and config in place.
	  (copy-directory
	   gnus-mock-data-dir
	   (file-name-as-directory mock-tmp-dir) nil nil t)
	  ;; Git doesn't let us commit empty directories, so create our
	  ;; necessary empty maildir bits, and draft directories.
	  (mapc (lambda (path) (make-directory path t))
		(mapcar (lambda (dir)
			  (format "%s/test/%s" mock-tmp-dir dir))
			'("Welcome/new" "Welcome/tmp" "Welcome/.nnmaildir/marks"
			  "incoming/tmp" "incoming/new" "incoming/cur"
			  "incoming/.nnmaildir/marks" "incoming/.nnmaildir/nov"
			  "mails/tmp" "mails/new" "mails/.nnmaildir/marks")))
	  (make-directory (format "%s/drafts/drafts" mock-tmp-dir) t)
	  (make-directory (format "%s/drafts/queue" mock-tmp-dir))
	  ;; Possibly insert additional config.
	  (when gnus-mock-init-file
	    (with-temp-buffer
	      (insert-file-contents gnus-mock-init-file)
	      (append-to-file
	       (point-min) (point-max) init-file)))
	  (when gnus-mock-gnus-file
	    (with-temp-buffer
	      (insert-file-contents gnus-mock-gnus-file)
	      (append-to-file
	       (point-min) (point-max)
	       (expand-file-name ".gnus.el" mock-tmp-dir))))
	  ;; Possibly add an nnimap server.
	  (when gnus-mock-dovecot-imap-program
	    (with-temp-buffer
	      (insert "\n\n")
	      (prin1
	       `(add-to-list
		 'gnus-secondary-select-methods
		 (quote (nnimap
			 "Mocky"
			 (nnimap-stream shell)
			 (nnimap-shell-program
			  ,(concat
			    gnus-mock-dovecot-imap-program
			    (format " -o mail_location=maildir:%s/imapmail/mail"
				    mock-tmp-dir))))))
	       (current-buffer))
	      (append-to-file
	       (point-min) (point-max)
	       (expand-file-name ".gnus.el" mock-tmp-dir))))
	  ;; There are absolute paths in the .newsrc.eld file, so doctor
	  ;; that file.
	  (let ((inhibit-read-only t))
	   (with-current-buffer (find-file-noselect
				 (expand-file-name ".newsrc.eld" mock-tmp-dir))
	     (while (re-search-forward "REPLACE_ME" (point-max) t)
	       (replace-match mock-tmp-dir t))
	     (when gnus-mock-dovecot-imap-program
	       (goto-char (point-max))
	       (insert "\n\n")
	       (prin1
		'(setq
		  gnus-newsrc-alist
		  (append
		   gnus-newsrc-alist
		   '(("nnimap+Mocky:INBOX" 3 nil ((unexist) (seen (1 . 32)))
		      "nnimap:Mocky" ((modseq . "33") (uidvalidity . "1541087103")
				      (active 1 . 32)
				      (permanent-flags %Answered %Flagged %Deleted
						       %Seen %Draft %*)))
		     ("nnimap+Mocky:emacs-devel" 3 nil ((unexist 0))
		      "nnimap:Mocky" ((modseq . "21") (uidvalidity . "1541087104")
				      (active 0 . 20)
				      (permanent-flags %Answered %Flagged %Deleted
						       %Seen %Draft %*)))
		     ("nnimap+Mocky:\320\237\321\200\320\270\320\262\320\265\321\202\320\274\320\270\321\200"
		      3 nil ((unexist) (seen 1))
		      "nnimap:Mocky" ((modseq . "2") (uidvalidity . "1541087105")
				      (active 1 . 1)
				      (permanent-flags %Answered %Flagged %Deleted
						       %Seen %Draft %*))))))
		(current-buffer)))
	     (basic-save-buffer)))
	  (let ((default-directory
		  (expand-file-name
		   "lisp/gnus"
		   (file-name-as-directory
		    (expand-file-name "../.."
				      gnus-mock-emacs-program)))))
	    (make-process :name "gnus-mock" :buffer nil
			  :command (list gnus-mock-emacs-program
					 "-Q" "--load" init-file)
			  :stderr "*gnus mock errors*")))
      (error (when (and gnus-mock-cleanup-p
			(file-exists-p mock-tmp-dir))
	       (delete-directory mock-tmp-dir t))
	     (signal (car err) (cdr err))))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 17 Oct 2019 10:24:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 06:24:06 2019
Received: from localhost ([127.0.0.1]:47169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL2ww-00062q-F9
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 06:24:06 -0400
Received: from mout.web.de ([212.227.17.12]:45197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iL2ws-00062C-SJ
 for 33005 <at> debbugs.gnu.org; Thu, 17 Oct 2019 06:24:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571307828;
 bh=DOs6OHTOM1dEFubXcAQ1C+6S6K23iVCkjX161qjgwdM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=MMr4MF3sWVLtfwTEMv468FR7JGsiZrTe71aEhCSL8m6Z1aEQLjM51quHw8JhT6ctF
 Mgl9E44Lowl4LbCu2m0PqRdKL8+creVRMG9PAZZeVg9B3BubrDU0qVp29FF0lhUnmq
 UniEiypgmaQvYWvIlXi8vtGmKPZoabdqpQdl0Alg=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0M1o3y-1i1sVC0G6M-00tj4Y; Thu, 17
 Oct 2019 12:23:48 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <877e55xcj6.fsf@HIDDEN>
 <87a7a0pu5u.fsf@HIDDEN> <87eezbkc0m.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 12:23:54 +0200
In-Reply-To: <87eezbkc0m.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 17
 Oct 2019 10:32:41 +0200")
Message-ID: <87v9snr7ph.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:pWvHq8nbeu0SfaPv+ArjKRIfMwERGA5/oM7KC72+bGEPJQ8uTR5
 elcSGW4t3UcPW4vLukbWIG9aWaclR6g4Bcdn4bCyDY8k9jdmEKQuKUDHHrlpZuqUY2oS2Wu
 wHETYsf9+UnSu0BYBus8cLl841ok8jA/UI1EOENvcSUmG79kfZNzaNxjlCQIb61mDLf+gFL
 9jwTlCujb87k/yA8XhBqA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:G/7J36gFH/4=:lL5yqVIOFry+rkfDW3BfRC
 iMciBBWivMkEOFQSMnOirEBHSLpvfE74XjYKOlnHURUv9Rzo5fz1jx0XXHZPwut/olfa8TSXp
 US8h0j/QBBH6LxN2J34v4La5kfw8MSy1oiMQ17Wz8aAfb4GC4Vzc9UGlpSlR+IRSSCzgWkrC3
 hqYltFpwn2Fby+Ii4jqsMU4SqWIyNho0yrgFLySHJ+MuIi3zCr320BXouIAB4pWf5IR79/twF
 4i/g8cuc9TlSxO3W4ZQd6QSu4nOuVRFxwtScVqvCyuwnOZFy2U9WBD6uzsl2+9FM6z89AYRQP
 shB29+zCFMpG1JchWdglJyO9gsSmeJbyoHqjUbnuq0b5HKsHlNCEGlNtvlrPLLjs5YMxr8dIx
 FGZsrYQBqxcBH9wcUtl30FG5YA0X9A6zWbxSrVrfXDBTigPAOMJSdBpiLWK6n3bpcZGzPSkEG
 ybFcm2FTEqkPVHigMelQHlENMpqRTFa+egtv7guVTEXGwoeYp8Gkl77Bb+9PUt592mzWvrPhK
 CtTFwSwaEy8OzGVtT9Zy0triYodLbsnlLITt07RpqHsiVhkmsWJllkmh4u9pEuq3BAMVh+hYg
 Zt74zc9/ul0yhyoRFKdYSA8XpFfnGTAYE7EkWTgZVKnPm4svKta2Zhj7TJ+Ni8nngkaOn+pcp
 79+rTXFSdQQ2Ji7j3nrGc5FHRozHpibHnyipb2O8GJyLumRvCwTM/dYtitZbB1bcZsSOtk7z5
 daD4Va+q3BlU1a1xqmZNVBTx4f23wH1tVfRCqwSscvUGLGlLXcLlnsZ7530f+fMgzEiwV7ijd
 ybfq2y5uPNWu2aR8H/2TWigAdbMrCx4o8TERH/O8TqHdqr/B/1oCJdG5qaHO4rE/8b2rWvuFO
 rDsHDscC/oXa8dj9/XNEVWMv0QJi6X2iEF2+jdEADj/7x3hmSmuYTvtuc3Hfjg8ivZ9gY0w0O
 D9cedVl+f66XVgWvQP6YynxYuQ4y4ecHJSOsMIMGGcz6xsWuICOGm6nQDtQJv/0CzYlqk209a
 2WSj18uWL1MabXbkGTC7yhAAN9cZBjmEn6sn6i0kZ5KtjXgmkAAUI54yDea3/Avayqz0GWcph
 SRl+3Cc9rQns6Gb1LGdn/6NV7fP5xZ8/fxy0cGkNhJuNWz78dhp4V1y94EnZEbvnwfxxUdCu2
 x42VU5h8ZC3WMoeRs91mFE835rZxZw+TarvUUOB785dxFb0FtWREuT2yVhJqI1dvj4/Mjb8kt
 xl6VjMEP77lHRXLzXoJaFM0+k12798r+o6I6tpgjRLy3O4xM1ZgsIAbKg8OY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi again,

I played around a bit more, and now I can't reproduce any more.  It
could have been related to my advice of
`gnus-alter-articles-to-read-function'.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 17 Oct 2019 08:32:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 04:32:56 2019
Received: from localhost ([127.0.0.1]:47116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL1DM-0003BU-Au
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:32:56 -0400
Received: from mout.web.de ([217.72.192.78]:52413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iL1DI-0003BH-Vf
 for 33005 <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:32:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571301155;
 bh=IBdG3gLJBEiR2TnCAAonr5r2uI3DUYydAwcRBHVzP0U=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=lPDu15MKveSvTRiMnQBMFZutZjaUlCEfAZfD+5iyuVndS9AjGANDWoUP0AYiIGHMh
 +RTWh5bdSi/5LtoVi+k6Dk4VVxci+hZzXM/IOri4BWeVuFayyhXaRW8TMdD2UbWJyt
 Lii2cKA2aLhABTRFczRNpZTcDxCTcXTcdi7O53EU=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MUnUe-1iXAq71o32-00YB9a; Thu, 17
 Oct 2019 10:32:35 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <877e55xcj6.fsf@HIDDEN>
 <87a7a0pu5u.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 10:32:41 +0200
In-Reply-To: <87a7a0pu5u.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 16 Oct 2019 08:49:33 -0700")
Message-ID: <87eezbkc0m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:NdR6B7kMPbiHIYFYGGi6jFWmebyGrgvNz8NoiMfOYz+RB4UXArY
 Jz7zdp4dbwe4II/Cz/wyklBrZ70CJU/Cmkj4gdo7gKSKoU97/1vHRYAw7jGfWWqLS25MVWS
 QbdO1BiqzBY1kFegBfnhfIfEqCaUsGKx+UpJ2dKA34dhjacn0HKKXprBHIDvhlRWecDp5c/
 pXDqwyJb0vRq401zxa1Tg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WKQ2Elo4l8w=:dvdWUhqiRg1o3dO0wqvT99
 nwe4Nc2SZktw2lTB4dVZ2d8cdy3EEE10d1NATDnKZIHuCVHr+Lc8wCWL/qBK6dWdT8SlNIiYS
 LhIOTUQOr/e9SFFdu1lMibjBGELhkchu5By2475lrtnvUkLR8/WNjOMMUWiDYK29FffnU4o72
 Trg1KzCKfestadqCetjt9b5Pdk4Mj1c0UsPEFC4eZdNKl5tGUPWSm8t7m2nCs5ZhV2gAPyfsh
 +uGv03GDr6lB7LAdnvmPd38iotJk/jkV18ivaYRwUJYghvmaGUDeJM4bGKSSMg82f5b7j0mLA
 nmhqilxyYtByvPsdVV8UqO6HEbaz7+FObqWfERWAcxWfsHUAE5/ir9Na2eWfeWOvZQRuMs/q/
 0JiUUo04NHMHWA3mATYDvrrFF0B0jn1NrQdOgyIN+wvDBzUe57sIGh617AdqfcKWYsCzMmqiY
 VpyP4nHShpbkf3Gtz9Pv0MJvIcLNQhEt1tSD9dY70RKTjMzewybYiYsxUMYp9zuaYx4zuEzFN
 0F3G4IFRUHKi686H4dE/CWLF9oEd2aRI3H2Xw4dSIYpITid6FbvnCxMel06ZMfmqrOUhrdcfh
 oLc56vkUGwKQQ/1tJCTvNjlih3M+crlyJoCV9+FQKTgnGtNFvzLLPUSJrDSGthcfZ1eI5eTAa
 JEM8Dv39oB6Ux9C8eICaM0wOL25I8/0YJq33GzWHpCwHvCZmVLd0Z45h+BY+ZOZvEsmODGHkP
 3/OU/ZZka/MgUqiaJ8ZBHN6fRxSyDYDdRG7EDEZ8OmaFIEwte/9K1+03vznYowSlSM203BIOa
 +y8VGVfxp0620aqF1d9PsLf+w/trsbIEG7oCn3ZKm/LgrP91kJhFWs559M0A3AwXDCYPkS2ks
 wK8aGX/e4XjKaYWJuNccG26O91IfJ8pUBSRhzShfa42ZGcoy2qJZ6K3FiRPKKsCg7oEgiEBBG
 f9RTiUzcADFLKvDOVRjnOgLpy15H4rHsMP3oyWMo5KY0yGzenpJfLnjNVkNeUfrRXS/vKEfiM
 yikXXJSK050SQyext7i9VGhEfcMbA9k3hWjyITiVwchkq9nFENHKviL6MM7MDGIxHltZTtylq
 VTEor4y0BiF9Okn7Eqzzny+0Qn2bOaMfSDNq0i228bg/cRWuS7XXs3UY8WUFs5PxKmCFP5RDD
 CB6ZopugBfHpsVyheNOfRFBNQDdvPcbSADFcJFd8/+GHfekHLYofxNA8C0BPLEXR1jCd64PKY
 b+Sf/kRVRNq8acJITukCo+o0/Q5nWx3PDIwG12iylwp2WLo2w+mCTx1eSrgE=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Whoa, definitely not, and that's not how it's supposed to work. I wonder
> what could cause that... Do you have
> `gnus-summary-display-while-building' set to anything?

No.

> Oh, I remember you've got some advice on message limiting? I forget
> what, exactly. Maybe try disabling that and see if it has anything to do
> with it?

I currently have no such advices enabled afaict.

How can I debug this - where is the old article line supposed to be
removed?  I see that line duplication happens in
`gnus-summary-update-article', but it's quite complex.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 17 Oct 2019 08:21:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 04:21:47 2019
Received: from localhost ([127.0.0.1]:47091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL12Y-0002sG-Mz
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:21:46 -0400
Received: from mout.web.de ([212.227.15.4]:40411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iL12V-0002s2-DY
 for 33005 <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:21:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571300485;
 bh=c8YUfTirpuVgpipbt5v5R6CRWE+ygzuAZZmk818JPHg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ae522QYe0Wsm3n7E3fDP8ekYSKSXvbG05PxKk/Ifpq3k0vOPDv2qrCucURfLOj+oC
 5yB0ihMmmoVZwZCTQj1Su0Pnplj1FQlQxllk1oDE/HMxwHNPCpmoiN+2aQ6g1oPMUl
 qi0qVblGnKn/G+VZPTiyyB5TqeaEhB5+TPoc7Iac=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MTxth-1iU7s41r6X-00QhAE; Thu, 17
 Oct 2019 10:21:25 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
 <87eezcpuac.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 10:21:32 +0200
In-Reply-To: <87eezcpuac.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 16 Oct 2019 08:46:51 -0700")
Message-ID: <87lftjkcj7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:gNexf7DtQKnTpqwZl/2Ms9ENzC7OqsuOiVLsXtAM1eCDktkTVVs
 OOWd6hUtCuryQgv3MIpGjVbKBvy83cKX7c6RzaEgqQS8jdKH3wx/FSZX+7op33/RJ8N0smn
 Z22QNv85jPtvP72R5ZiVUpmy9+8iOEHyWjHHaYsEHwrz5znAReV4FRCRU/mMG/CVabYZ6ht
 t6WbtQQHlrYJ3C/xCE9eg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:lGw7aGl7ZVM=:1tG55UJkn1J4ZG6xsq9YYm
 g9CYddSnEHtZVSRSJaob60o9nvh8nAVxSUl4eb7C+CXDFVr71QRYKSAU5KCcTFLkH61uBfF7n
 dYVdQR0ohEAkYu0GPnGG2s0xLri1gRESD1JoEo97D2e3C8DzlfIxCRpS0dVdyPzbxn1S8FsLm
 P8LUN/3MVR3YomN1VpxxFNzej2yrWJE63jePmdbLlXTAfgGQwFBwQB5R5s7g3Q7gN0HeAM/95
 aeWe8Td+Vp5NLi8KYkRmJbLhOTWtyzLheDUzKgeX02H0tx1NHOl+CtT5XlTPdM1WC6UbdeCan
 4olboYH8dIrsU4fkS9eY6XzqtOGuyp9ettnT+t/MoPyCO7yAtMDh6/UQlZK+x+J6wKWusn0hY
 RR6RLvgn0hSoADBTpyv9glNEel39jxvERdLEtNJNg/3T88s8Z1HNL/6zlzkKMdDNPBeKQloDt
 f3UmrS/tiyOiYqrm8J85p5UaR3JxbURWFleFyEzWWEheTU3DGFRt6Ez8Q4E2CEGj8keqU4W1g
 plHR2ugpUAV9NOpQWytwNTkqOjTkc/6NZgTdX2HWNbRTo3vyHPO4mwNGbMd79B8s8QQOQ6i82
 vqwTLBaGYNT3pE+PALOUrUJuJy70c5dwjHQwoDSQmoIqNDGtmSQVSzSlmo9HBEs7que88OGDo
 FSGJcbfUZm2T0y9D/dDHNjYKazwNHjzoYWYIKVRopNQ3KYuyC3zkCnw6oo+10nOvP+M1iDn2H
 3BZFpG+3lC7XN7YfIXXLz45F4NgXHe9WvSL6+fkocLcTRryQGR9u08JCRxEZIlJ3fuk53gXXw
 N2hDN9vTc6+8oHTZ+aVM4JCw2sWU1jKGPIHYSZ2VAYZrtLT+fK0bHNhiQcPsPNAlx0nIRCHIr
 SzSLlmx+ARcTkJv8tdFyBZQUd4u1d+ddeIif6ZDm6Knl2fPIKwPvZ5pf9KhJKiQgXLquF2y3G
 Qr2N4GQGbCandgbFzTeyVaZK/NF7ASkWVT7QGVNMsiWQarTXapQ3icLKQ70OKeyiQj0DfoL4c
 n3yt0LrDeoey/T0DyoYgR3BLiQKQ/6L/HONt+Vuxjb5b73mSXdDWYicro4TkhxEdpopg7lUTi
 DNIzspadQQ+Efiyeo5vR/oEpKWPuBvEmcq0qog8eZRbkeHgaapKdc8LcPMBjWvHkGuug/P3+t
 gaLPTtYofMfa7QMBMT/8LEVpPS3WVCpf6R5oDInQ/xTUDjI9Q+pBlsN8p18iGDZuO0UvXLvG+
 TkQXwP5du8SpkOQSD9hVnMzzmYogGuKwsNr12LesAHaC9ogbYPOnbQMZPtmY=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> People are expected to use `gnus-mock-start' to start it, which does
> "emacs -Q" internally.

Ah, I remember.

> The only requirement is that the emacs be run
> from a build directory, and not an installation.

I tried it from my normal Emacs session and got this:

Debugger entered--Lisp error: (buffer-read-only #<buffer .newsrc.eld>)
  replace-match("/tmp/emacs-gnus-mock-738lXO" t)
  gnus-mock-start()
  funcall-interactively(gnus-mock-start)
  call-interactively(gnus-mock-start record nil)
  command-execute(gnus-mock-start record)

Is that because it is an installed Emacs, or something else?  Should I
investigate?


Thanks,

Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 16 Oct 2019 15:49:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 16 11:49:42 2019
Received: from localhost ([127.0.0.1]:46405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKlYU-0003k7-58
	for submit <at> debbugs.gnu.org; Wed, 16 Oct 2019 11:49:42 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:47186
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iKlYS-0003jv-M5
 for 33005 <at> debbugs.gnu.org; Wed, 16 Oct 2019 11:49:40 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id E8097FA028;
 Wed, 16 Oct 2019 15:49:34 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <877e55xcj6.fsf@HIDDEN>
Date: Wed, 16 Oct 2019 08:49:33 -0700
In-Reply-To: <877e55xcj6.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 16
 Oct 2019 11:30:53 +0200")
Message-ID: <87a7a0pu5u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> > Oh, and you also noted that part
>> >
>> >> Sorry for the bad news - but my registry marks are disappearing again
>> >> :-(  Just after restarting Gnus they are gone.
>> >
>> > in one of my previous messages, right?
>
>> Anything other way to narrow this down?
>
> Hmm, currently I can't reproduce either.  I'll start using registry
> marks again in real life and see if it works reliable now.
>
> One little thing that bothers me however: when I hit M M i, or when I
> remove a mark with M M I, the article line gets doubled: one line has
> the mark, and the other doesn't.  Do you see that too?

Whoa, definitely not, and that's not how it's supposed to work. I wonder
what could cause that... Do you have
`gnus-summary-display-while-building' set to anything?

Oh, I remember you've got some advice on message limiting? I forget
what, exactly. Maybe try disabling that and see if it has anything to do
with it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 16 Oct 2019 15:47:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 16 11:47:00 2019
Received: from localhost ([127.0.0.1]:46401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKlVs-0003fw-KR
	for submit <at> debbugs.gnu.org; Wed, 16 Oct 2019 11:47:00 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:47070
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iKlVr-0003fk-F6
 for 33005 <at> debbugs.gnu.org; Wed, 16 Oct 2019 11:47:00 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id EDF2BFA028;
 Wed, 16 Oct 2019 15:46:52 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN> <87h849xds3.fsf@HIDDEN>
Date: Wed, 16 Oct 2019 08:46:51 -0700
In-Reply-To: <87h849xds3.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 16
 Oct 2019 11:03:56 +0200")
Message-ID: <87eezcpuac.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> > Would it make sense to change the default of gnus-mock-emacs-program to
>> > something like (expand-file-name "src/emacs" source-directory) or
>> > similar?
>>
>> Yes, that would probably work. But it still make assumptions about how
>> the user is working on emacs. Probably I should just default the option
>> to nil and ask users to always set it explicitly.
>
> Wouldn't that be the worst default since people are expected to use
> emacs -Q to start gnus-mock?

People are expected to use `gnus-mock-start' to start it, which does
"emacs -Q" internally. The only requirement is that the emacs be run
from a build directory, and not an installation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 16 Oct 2019 09:31:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 16 05:31:06 2019
Received: from localhost ([127.0.0.1]:45251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKfe6-0000iL-D5
	for submit <at> debbugs.gnu.org; Wed, 16 Oct 2019 05:31:06 -0400
Received: from mout.web.de ([212.227.17.11]:36087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iKfe4-0000hr-5S
 for 33005 <at> debbugs.gnu.org; Wed, 16 Oct 2019 05:31:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571218246;
 bh=UFnIPdC4hWMkyKG40l4yZJzj8+98ItRI5Jc73wNi39Y=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=HKuc9GwGbDhZYie0ut8T8p2soTVDM0azFwAyGv1wDJbGTGE7v0pRrG/fX9Xn0n8Rn
 rp/1aYSC4qD58oV6O1fVmoqDEEwED6WXdtWDv95zjfsSYf9MgodESpOj880d4TPjkO
 pr+JQuL+WKh6l8l7mFr/vEQ/ymov/D71k6vOhy/A=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0M3Bdr-1i1UYr0iGt-00stqK; Wed, 16
 Oct 2019 11:30:46 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN>
Date: Wed, 16 Oct 2019 11:30:53 +0200
In-Reply-To: <87lftlsr90.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 15 Oct 2019 13:11:55 -0700")
Message-ID: <877e55xcj6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:WoYvYLsM7Hge/2to9fSaJbQ7oXeZqpdDPLVXUZA6WofzmqCNKBO
 JOQMdjOZPOpoeBq0ol8pQA+uPsa+M9l9Bg6yDNFmNQ0jAHfR51gKRO+NzPa6krB68X1Yaio
 R7v89EPapPNChd5Hc6zw60Oamx2+aQUhfFTm+ouHB0esPGtoVhwms3JUtQTePCGhxiFCyy6
 RtioxzC7jQfUEAYtRnwzw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:wycQ1gfza+A=:6cqBdE0nI/gV2I8qlKTUbp
 cUfPXs50PFXCixAbqbm+TaHh8Sd5w8cxjT3bnZz44aGrIwwAtBzZMmyamg5vwNpjnLAzeaU2+
 /t5zsOZP/gkTYbKDQEh2isKZ3GW6K3Bx1IUS+N7opG9OuUslfbzrZ8SZKjZEkdxgDgQqVqco0
 EamC4WpMlS3kctHA/EYnB941/cfEyEwu04OLsTwr2IPFbVJ9u5gSgU1Pbd0V62bFudqQVzcoY
 gsEc6/ziowzrwL8ojwVbKIIyEH4xZxxOKEF16Mrm19wkYFDCxXrkcEqoEf54jYfGUg58nD5yu
 KhQppvAevxcKdP9Sr4qhcbkAL5CQq8BB7MAIMo5g05bfu7dnuuAjllvv6tu8lrUpqcGB5rjmC
 vhfgzwTv3t4jnNs5guMwSVQ4n21Ag5ZQG1NPTy2GCRhmdU+z9XMCKQ21zqsa99Xcrkok/NBuW
 +zOdUgIIlj+Fse6JB1lD0UZWg6puonDqKxdI+Lds9f2gXrgRbT0Ssqi23/FSe0klW6OmeOrBh
 wmOSpkSRoEHXxYC738xyhIayQzAnz7gR81xgoVaZYxWs6HHdxFO24UxJVRUEQNY2gXnhKpPjq
 5D6bcoomGTJl0AYT6qwbvureWmkwPloayhCFDf92neXEhUS04SiKw3e71xpEjlB0xlq5KEKh2
 YWziKp1y8CjuvyrptB5pc7kN4nEnn9bHLZpwdnCdconSKGtGbZ0NDK4oWSknNuxdTysvqOIlx
 ggzRyHoDs9L51VcHIKdscsNzDnFEGoGki1svkCxPcX1OdXhcGHmk7H7S6nm0+YaMy7CwYORGo
 Na9pYVQAjvBoVeS1dMNrJ/cizVn2Y4ZxwZ3X4eHmFwMiV8v2A3pp+lSIFs2pL4ieOPzwbVCKX
 +opc14aNSNXzF3TcUWDwM+3lfYxYA/WoImswy9vDPBBJsKJMW8Tg8Be7yECORwR1ahw13z4ua
 sJ6mljLrGaCxs0rxjpFd2Ny5vs5Bl7NKaDjZoXpmwvzEz60BWp85swhg0ECY4rPEXq1iGNilS
 HaBpydmHio7XXnjTgD5wU1MklJ3DLVORqq9WVHh/OSBde8ljfVPq+FGO2YgNaLKUYSRUZhU8R
 t4lkqyKqo4cczYlzdoVvifWqbFyEPqujHOsUmAuf4lwg+F/14uL5+otyNYu67Y0M5K7hThzjn
 aDHsnxkEqz6yaSoRdHtOq+4qbiI9S4WfR2eJRviDRQ4gkBozyWDDKH0J3zTrdJzzIvXsEm9Hz
 a5ZmBr1MgOzyVfgBM2pOr6VPEoz2S1x+jgJlEt3q89mzdO0ZpHW1YWtqhekQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> > Oh, and you also noted that part
> >
> >> Sorry for the bad news - but my registry marks are disappearing again
> >> :-(  Just after restarting Gnus they are gone.
> >
> > in one of my previous messages, right?

> Anything other way to narrow this down?

Hmm, currently I can't reproduce either.  I'll start using registry
marks again in real life and see if it works reliable now.

One little thing that bothers me however: when I hit M M i, or when I
remove a mark with M M I, the article line gets doubled: one line has
the mark, and the other doesn't.  Do you see that too?


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 16 Oct 2019 09:04:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 16 05:04:09 2019
Received: from localhost ([127.0.0.1]:45230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKfE1-0008Uy-Cg
	for submit <at> debbugs.gnu.org; Wed, 16 Oct 2019 05:04:09 -0400
Received: from mout.web.de ([212.227.15.14]:38931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iKfDy-0008UR-MA
 for 33005 <at> debbugs.gnu.org; Wed, 16 Oct 2019 05:04:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571216628;
 bh=mt8+iXho2gSfpmCjcVSpQAB5u97yMyFrr1DWKdDkK4k=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Qb3+wrSQuEAPBGkc4FFo0jO7blLRR0NPJPXXCibTxr9GEJUZrK3Cp5/IIa8C2FsXy
 UblkOal1E8v4nTJBp7SzytY3H7tFZ1Fv0BoUwU2P+Kiz0LHTZjSaqWAZ/fvQK6eLLq
 PeWPaLPvxKhRtNewkD0Ol7t9gjlll1CZ1264Aa6o=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lsvn8-1hvjhu12vS-012awD; Wed, 16
 Oct 2019 11:03:48 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
 <87lftlsr90.fsf@HIDDEN>
Date: Wed, 16 Oct 2019 11:03:56 +0200
In-Reply-To: <87lftlsr90.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 15 Oct 2019 13:11:55 -0700")
Message-ID: <87h849xds3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Hzt3hRbWhAoaNUdOWexgYPAkJ8zF9Ywt25UGHpGq8cgd9C3OLVE
 CuBtNCS4SlV92Fiz8AvTmDhkyDDE33fOKPE7crxWjkccH/cTk60uXrLKgJzsCpoFrMDpE/d
 QUPADibSF/sINZ2tJGJsPBqP5zsqcQzqFdW/R9j5mVvD2ad7hdVVMksI5HAgwqZ0bm/Jsmq
 7mpxx5sWWghYm+w36YkNQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ueZEAAFs+lo=:Wn5LQQ2dFctJgvHChAwyJt
 0aTjaIuX7q3OtcWuRQAoHKsZgQWqlwdrd0xQFbNmggEwP+IkcRD0LD17+8nEvRZyBizsZTL5c
 IT6Q8HGuFBJP9bH8tzLzPvjNY972M28uyjEU+Ny1+GqBMEk3ZQpHzb2m9AhlZhBbiXQ/WtEii
 fZpwdTKFTe1q/JIDisBDVYc1VMoKbK0wGBFCrKTM2esP4s5KFWI/56m8wD3RQMYDziHUDuS/a
 wOrqAQ0tV4zmV9Veu48uT5m0QvXu1DQOqI1fi/22uZRt3Rtp4Sfw+goFvUqnUB/34MMvnGRAT
 uBjj1KVnHRexzK18ao56AFJmqPXPzjBayZuZSW79SEmIX6jet6mO0pDC5K/Bw13wO6WXyO8VR
 aoxag44qX7Mx1TaWD7wksTCgWyKz1Jn1ZrNkzfuYFyKUqYuYXcOTW9eKloPP8TncZwYbzwySs
 8b4HLtLj9mqWIu3qSMqDZNm47pLiN+m6lb9hxEFwCvB2Zg77WQjp4DDU6DMukPBXqC966paiS
 NBqLT2pVz080QjzRp7ml9phIC4JuXWiY03dTZSd3x+2tpCML0yXqniidBdQ59QB5H7iI7upnk
 1IkSR0ZXHeXMrWeX5PqBrtCxith3J6HIeKXYSxvjPjDzQ3aLP5KSg08quFVS3Qw8bg2Z7obF0
 wlgnTWj1ARY2qjVfVDv+mBtJecBvUBpW6jU+hSTWH2PE3CG5QL0TfKnpg5n4RBx/Jeqvt5/dC
 XRC1qqRXVsObM+3gxiNgZJgl2zc5+KxTiwYfYWYNmkbepnCxHM5g1wypkBTix2yAHNHbk3gsy
 MHgpsDReYg9WgGereXYyoJ7FDou9NZHPJ0Z1AUEEFMVe68BgeHJMdnmcYY/VbRM2gpReY6Owh
 5XK01A7wBon/V1LM9Fpr24JIXVuLXT8/4921NLF+Hmpk0vvaKzqrU541iZweb/9Wt+Yh5vXCI
 aChSAt9uvpl7FTPcvAvoFYvOh/ATBsOc57R+I2wPeSlDeMk7R7QC6O6BSQVqoE5+itu7H3Eaf
 P1Z2OcF8IMuFn5cD8JzTgDh+9BA3zD81ZgfDkZyUPB0z33IKFWMM5lLlpoFsa6w4h2ouqeiz2
 QXBK1aEvZBRZit4sthu70onP8UA3G1ochp44rnDLwDnK20507DM4rGTS4VUSRjvBPqusbY8L2
 4f6y8AQ1Cx76XGCVFbJik1VdXd5BREDXgKqyo9r69pq/WllzcM4Nrxa6zDQtuoNWv0EjkPtLY
 wQ1epvNBL8+PcthMVBbOWNWqSIWfE/KHEGG2/aWJ/pRUDwPcjDbonJ1OEkxo=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> > Would it make sense to change the default of gnus-mock-emacs-program to
> > something like (expand-file-name "src/emacs" source-directory) or
> > similar?
>
> Yes, that would probably work. But it still make assumptions about how
> the user is working on emacs. Probably I should just default the option
> to nil and ask users to always set it explicitly.

Wouldn't that be the worst default since people are expected to use
emacs -Q to start gnus-mock?


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 15 Oct 2019 20:12:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 15 16:12:07 2019
Received: from localhost ([127.0.0.1]:44925 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKTAt-0007sP-Hv
	for submit <at> debbugs.gnu.org; Tue, 15 Oct 2019 16:12:07 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:55250
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iKTAo-0007rr-PL
 for 33005 <at> debbugs.gnu.org; Tue, 15 Oct 2019 16:12:05 -0400
Received: from localhost (67-40-27-198.tukw.qwest.net [67.40.27.198])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id C9FC1FA0C0;
 Tue, 15 Oct 2019 20:11:56 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN> <87tv8ajd6d.fsf@HIDDEN>
Date: Tue, 15 Oct 2019 13:11:55 -0700
In-Reply-To: <87tv8ajd6d.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 15
 Oct 2019 16:28:26 +0200")
Message-ID: <87lftlsr90.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/15/19 16:28 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> In the interim, you can set `gnus-mock-emacs-program' to point to an
>> emacs executable in a source tree checkout, and it ought to work fine.
>
> Would it make sense to change the default of gnus-mock-emacs-program to
> something like (expand-file-name "src/emacs" source-directory) or
> similar?

Yes, that would probably work. But it still make assumptions about how
the user is working on emacs. Probably I should just default the option
to nil and ask users to always set it explicitly.

>
> Oh, and you also noted that part
>
>> Sorry for the bad news - but my registry marks are disappearing again
>> :-(  Just after restarting Gnus they are gone.
>
> in one of my previous messages, right?

Ha, yes, I got distracted. Unfortunately I haven't been able to
reproduce so far. I start Gnus with this in the init file:

(setq gnus-registry-max-entries 10)
(gnus-registry-initialize)
(defalias 'gnus-user-format-function-M 'gnus-registry-article-marks-to-chars)
(setq gnus-summary-line-format "%uM%U%R%z%I%(%[%4L: %-23,23f%]%) %s\n")

Mark some articles as Important or ToDo, stop and restart Gnus, and
everything is still present. I opened a bunch of other groups, so that
pruning (if that were the issue) would have dumped the entries with the
marks, but they are kept as expected.

Anything other way to narrow this down?

eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 15 Oct 2019 14:28:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 15 10:28:40 2019
Received: from localhost ([127.0.0.1]:44658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKNoV-0005S0-QT
	for submit <at> debbugs.gnu.org; Tue, 15 Oct 2019 10:28:40 -0400
Received: from mout.web.de ([212.227.15.4]:45797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iKNoS-0005Rl-SA
 for 33005 <at> debbugs.gnu.org; Tue, 15 Oct 2019 10:28:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571149699;
 bh=6s9sMfL/NkSKPTi+pW2l6S6FryAucU3EVaqLvkjioVg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=C6rumTPAYkQJhHqcs0BmBAr7nphgRbCE/kTU9j22a1/HBpY4wJjjpINZl6kWH2Kp+
 /VdT+HFj8sl6/YUnJg1ZfUSPeOf25A/Amm/f9bArUyIvF4TEH5ZmLVMNrG8fVTJm2t
 q5e/gTczjFiVbNIDoBlv6bQapyPshNsKEvG6bJ/c=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Ls92l-1hvBlN3SIx-013ygT; Tue, 15
 Oct 2019 16:28:18 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
 <87ftjvz045.fsf@HIDDEN>
Date: Tue, 15 Oct 2019 16:28:26 +0200
In-Reply-To: <87ftjvz045.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 14 Oct 2019 10:51:38 -0700")
Message-ID: <87tv8ajd6d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:oS8ryHP1DwQRIxj6Wbrpl5SpLSpCib8CJAXp40tEN0mQeJTO2v/
 xe95YiKiGSXN1D7Os8eQgpIVjIWvlTma+x1gac295mhIcTwHOKtMsB23gggM+YO2ZsLehUp
 ydLMnDGBVeunFTEQjoFbgqsAjld+sASBewc9uZM1vhg+JDo6V2ky6QTzbvSg8QWHuvVmE7A
 fMBMXxnqFXsDPS+nIXmMQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:R1SGtrrhVnc=:05cf7yHJSi0upM/1dIwRd7
 TsM0m7RMoPFAgzXzRkJMHUcuO6OwPromA70mU51ZBVf09zCRfrlQoyq8XRPH0QRhG0d3pstTM
 J3BofI4KFpQwMm4FmW4w+qSccG6OEZPiQfvIgt+gCaMjs4w+3TbvN8h/aY9etKqyfaig+67wL
 ZNDu5Bhtgm9ySJdWmpumFdQ3hTiJKiZAG0b6Sox9OnT82ho9+DiYHyiEXBBkKLPZefoCvE7WD
 n4FBObx/oorUk/GrvMRm1DOj7Wl0XnUPXEhPHILSqrXLKLRDr4N4TSr6SxVPsIkpRPNj3sRNw
 VMorcXtMD0tV2nxPWMGR/MFBj8OwnKR+UEg3qt8FMstH2V/Ib24PAuD7Y3/LI+lKClKl0hs64
 G/ngev8Et1o2Gh1TSM+HY2ICTswAs8fVl8+QINO03qafxaYxVyTXvN26Witk03t8y4PRm5m38
 dP7Ir42qZ1RZ3Pk16rg41K7bwk7f/ed0UM/9R7nSpLnW4GjBCZaJ8AcyoV7jgOtzbIyzvWakk
 HUieXAxmlsr3yuAWS9WtanrhuzOXWrln3C016MrYLoJ50FJ68Kq49IGgnZJDiXhkz4P7uRbNQ
 copx88Xr1Naw9YjS50ne4KVcNmycPPFTuHcCJ5Ka5xL2hvK1jn8BEGKup+EtarpNZ7UWDABPr
 L//vjahoaOD/LAbtMxQ6Pk5IMTXFQfzbNgVbYtxNuDxESgkO39ymQMU3TrWvwSSzyqCAT3pHv
 eY/aGqRJa0LGMw/gXMXBDXCQopRr4rX0rHFjqEtNThlkqX/SEH/lLLufDARD09QDVSG/gcnYH
 JJdVgmBiDZ2xw7JWZ9dG1jKM+yaoo+CZTwGdCnB9uYZpywQ83grXo6CLxh/AEKLk51PWNJFVB
 OYaJGH68IzTSaChjbs8mfGE1dIeJljF3+NYzzTfHCvUQ2nPCSSMgS73DUWvurRCWvjGSCWA6K
 OMi2ryokeY8l1c8dg1Gyv9uGpc0zFIBNn2H2BKyOdaUP8wikqljXjFrjtGUI1oj/cvDkXKgY7
 wOsvtodWEtXmNYk9UMShtYS1tU3dtfkdpTCFyaeF2rdBePOsy9ESKQgG5Mlzl7jsXlO5NwVw6
 bpQH/nQRJn+KPJ41MMSO1D4pItGzhVXTb19ZaY8byTOursjDZ8vAAT+jrMLj+A/FednPGfYNN
 07nu7lH+ptk+QgCaiENdw3ciYdJO2tXMor4X0hghR81L+9EesIhxqGM3CqEAvXi0rT4m+j7CK
 twie5i4wEGNhUXB54E30sKctfDS46W/XvamRXDkqmIhPMDC40YBlylXX55mU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> In the interim, you can set `gnus-mock-emacs-program' to point to an
> emacs executable in a source tree checkout, and it ought to work fine.

Would it make sense to change the default of gnus-mock-emacs-program to
something like (expand-file-name "src/emacs" source-directory) or
similar?


Oh, and you also noted that part

> Sorry for the bad news - but my registry marks are disappearing again
> :-(  Just after restarting Gnus they are gone.

in one of my previous messages, right?


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 14 Oct 2019 17:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 13:51:51 2019
Received: from localhost ([127.0.0.1]:41652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iK4Va-00041h-N0
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 13:51:50 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:60756
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iK4VY-00041N-3h
 for 33005 <at> debbugs.gnu.org; Mon, 14 Oct 2019 13:51:48 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 8C851FA07E;
 Mon, 14 Oct 2019 17:51:40 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN> <87v9srzm9g.fsf@HIDDEN>
Date: Mon, 14 Oct 2019 10:51:38 -0700
In-Reply-To: <87v9srzm9g.fsf@HIDDEN> (Michael Heerdegen's message of "Mon, 14
 Oct 2019 11:53:15 +0200")
Message-ID: <87ftjvz045.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/14/19 11:53 AM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Hey do let me know what system you're running!
>
> Sorry for the delay.  Ok, Debian testing here.
>
>> If I do:
>>
>> 1. emacs -Q
>> 2. M-x load-file -> ~/.emacs.d/elpa/gnus-mock-0.4.2/gnus-mock.el
>>
>> Then gnus-mock-data-dir is set correctly. I don't know what else might
>> be going wrong!
>
> I tried again.  I get gnus-mock-data-dir ->
> "/home/micha/.emacs.d/elpa/gnus-mock-0.4.2/data/".  When I do M-x
> gnus-mock-start I currently get this error:
>
> Debugger entered--Lisp error: (file-missing "Setting current
> directory" "No such file or directory" "/home/lisp/gnus")
>   make-process(:name "gnus-mock" :buffer nil :command ("emacs" "-Q"
> "--load" "/tmp/emacs-gnus-mock-jvYPdC/init.el") :stderr "*gnus mock
> errors*")

Thanks! Okay, it looks like I made a dumb assumption about how people
would be using this -- I assumed this package would only be used for
*developing* Gnus, and thus `gnus-mock-emacs-program' would always be
pointed at a "src/emacs" executable in a build tree. I don't even have
emacs installed as a package on my machine, and only ever run it from
one of the source directories. But of course that's not the code I wrote
-- by default it will find an installed version of emacs if you have
one, and then this default-directory setting will fail.

In the interim, you can set `gnus-mock-emacs-program' to point to an
emacs executable in a source tree checkout, and it ought to work fine. I
should probably change the code to require that, or else figure out how
to start up successfully from an installed emacs program.

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 14 Oct 2019 09:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 05:53:29 2019
Received: from localhost ([127.0.0.1]:38170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJx2e-0008Nq-Gb
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 05:53:28 -0400
Received: from mout.web.de ([212.227.15.3]:37001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iJx2b-0008Nd-TG
 for 33005 <at> debbugs.gnu.org; Mon, 14 Oct 2019 05:53:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1571046789;
 bh=cjDB6xRNUIgq2YptJCzXni/dh6LEFrTqjcBcNRFqA2c=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=FIHkqP/rfPT8o3oE1dPdnymQ+2JCx6tu96sz5Mcy3j1LZ8g9s0+iF3YMqy5EebmA8
 l+VyvbMGzpfMLu5iXvvZxb1BWAjRk1e9hAmeS25gXsPyW+eeF+7sJnejsS0vQXvfj8
 zdLWmKwOPaEi4l0LGuot+r3dBliNDJpbFmKk/hik=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MFtKQ-1iF3EQ2fm2-00EttL; Mon, 14
 Oct 2019 11:53:08 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
 <87d0fgnik0.fsf@HIDDEN>
Date: Mon, 14 Oct 2019 11:53:15 +0200
In-Reply-To: <87d0fgnik0.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 01 Oct 2019 16:37:51 -0700")
Message-ID: <87v9srzm9g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:0pHxMr9epgdsCcZK6HjYNzAsgtLqUBxqbANttiDgVSiT64bBPlv
 xuxcvM7WD4AX+CIhXrM4n73QedR2rC1GVgKUuCkf2JYDu/Qk02nlG0vPj3wgW+nQEQT3VWu
 49FHyXM9Jk/huIMTN3l1KhLGWj6t6B8g7Nz6DB4HhdpaN6SZ2jcvIHZWr2eEcJdrpL4bEs/
 KLrmdmKAcsd2m2WhrEoOA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nOx5+nhBR0Y=:Sa/g91IMpjBXSSAfJTjwYu
 C2/+fGBLe9PRwmI522ikwy0VIZZQg8rmEx6F4mn8FlEiq8Y0Hoca4x900X11DsODdnEG5e+5L
 shLK49kjvHanLJdJa7dPYTmV5VNlC/iPt1YakOsC6NTmfeWx6oXTIuPn9BrpOZ6FdyTf+JwqL
 d2lOBQ+6ADqi23ei/9gqNW/D+ig1hiDWHmtGwhe0Gh9ppMs4x27POEL34qzOvIbZkTz1aN6a9
 iAxAqFYUf4g64g6THBH+58EEPOG9r6sU11btCz3urjnYYQ+beV0jrt1OCOUP+A6aman0HHqeG
 UnBu5KGOlE2+xGOTmPwmKX/bsiWOT0S++bd3aigJB95tXlo6j4jZWAcyOSqDGElqH5i+sAg1g
 3U40OYE3h4fBTiSpuiD7h82n/jEXZNmLZ/SqthYWyG24iFidNxet8ilXazqiFLEIZKnZz/VSm
 494igyswYRYFp4CgLz56908VcSi3tciaFTwe92Fkmo5X6NjJG3LXbel8RN3qLFhaFeHIXuEdQ
 I3JMVjnUakl6w7ALS1vjw3MmB+4R5ctccJJDNMnkFlR0m9odq3delw2ksMxZrxb8pZYtSzAEu
 ljljxo7TSHkoNhhcJsuiyP6oxntQ4nN2x6UO4ZPNAzPp6S7MGo1DoAEhY//ib0rT1a1FgtgMa
 1e5PdaKLIATdsN+w23ZMEsvTjxyLrN1laQ09jM2NQH11aYaUbD6wkF2MrxBmHE4Cl22JRfq6U
 i1xLbYRI4D0pS0hDFIZtzXmXQalBySr0omerZeE3jxtk84NrdZDgVQxzL9ev3ghqZZKoXLKC/
 0WShy8/iIxoximaGJ9Lq9OzEej6ZGAqAJRD3NoJc5Np34na2QVQLQPcwxaS4sg5658blKYJdY
 mVQ3jYcugosXnLH7K29MAbTdutBooE/4aA+72WlO5s93TpsPwi6h07dL/MqfdlAUN8TYus5GG
 flZ3KScQISoXXIE9cHxqZ44EuqZUZfYfw4A+WK4jUqL8S1/MEOupVoaGbPb0ryfVXsBEtqhgK
 YdeH9PoDXsl+Cg0ECb/2KOF0g+2smst7gUnlP+seqEUz/kfD3CjLW45ycs5ILThXv9WU/bajj
 7eW9tXWJqraGQf1er5hQ9St2RvlMTKA7ujH2urNUjBWUGAm2ZGCGS5vlVJvTgbBnEhILjQUzH
 XqWrZBjf6011ofBjXAli8NHwTkNIPFKRE1/C3zKSR9fdbFlZibSoGfnEMPNuF0JFynSs0czwC
 9qO5ry7Mkx76Uc8iTnWEJQMbk4epYombvZdw179O7dm79gFYhKvEW0FRXU1g=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Hey do let me know what system you're running!

Sorry for the delay.  Ok, Debian testing here.

> If I do:
>
> 1. emacs -Q
> 2. M-x load-file -> ~/.emacs.d/elpa/gnus-mock-0.4.2/gnus-mock.el
>
> Then gnus-mock-data-dir is set correctly. I don't know what else might
> be going wrong!

I tried again.  I get gnus-mock-data-dir ->
"/home/micha/.emacs.d/elpa/gnus-mock-0.4.2/data/".  When I do M-x
gnus-mock-start I currently get this error:

Debugger entered--Lisp error: (file-missing "Setting current directory" "No=
 such file or directory" "/home/lisp/gnus")
  make-process(:name "gnus-mock" :buffer nil :command ("emacs" "-Q" "--load=
" "/tmp/emacs-gnus-mock-jvYPdC/init.el") :stderr "*gnus mock errors*")
  (let ((default-directory (expand-file-name "lisp/gnus" (file-name-as-dire=
ctory (expand-file-name "../.." gnus-mock-emacs-program))))) (make-process =
:name "gnus-mock" :buffer nil :command (list gnus-mock-emacs-program "-Q" "=
--load" init-file) :stderr "*gnus mock errors*"))
  (let ((init-file (expand-file-name "init.el" mock-tmp-dir))) (let ((temp-=
buffer (generate-new-buffer " *temp*"))) (save-current-buffer (set-buffer t=
emp-buffer) (unwind-protect (progn (let ((standard-output ...) (print-circl=
e nil)) (prin1 (list ... ... mock-tmp-dir ... "mockturtle" ... ... ... mock=
-tmp-dir ... ... ... ... ... ... ... ... ... ...)) (princ "\n\n") (prin1 '.=
..) (princ "\n") (prin1 (list ... ... gnus-mock-data-dir)) (if gnus-mock-cl=
eanup-p (progn ... ...)) (if gnus-mock-use-images (progn ... ...)) (write-f=
ile init-file))) (and (buffer-name temp-buffer) (kill-buffer temp-buffer)))=
)) (copy-directory gnus-mock-data-dir (file-name-as-directory mock-tmp-dir)=
 nil nil t) (mapc #'(lambda (path) (make-directory path t)) (mapcar #'(lamb=
da (dir) (format "%s/test/%s" mock-tmp-dir dir)) '("Welcome/new" "Welcome/t=
mp" "Welcome/.nnmaildir/marks" "incoming/tmp" "incoming/new" "incoming/cur"=
 "incoming/.nnmaildir/marks" "incoming/.nnmaildir/nov" "mails/tmp" "mails/n=
ew" "mails/.nnmaildir/marks"))) (make-directory (format "%s/drafts/drafts" =
mock-tmp-dir) t) (make-directory (format "%s/drafts/queue" mock-tmp-dir)) (=
if gnus-mock-init-file (progn (let ((temp-buffer (generate-new-buffer " *te=
mp*"))) (save-current-buffer (set-buffer temp-buffer) (unwind-protect (prog=
n (insert-file-contents gnus-mock-init-file) (append-to-file ... ... init-f=
ile)) (and (buffer-name temp-buffer) (kill-buffer temp-buffer))))))) (if gn=
us-mock-gnus-file (progn (let ((temp-buffer (generate-new-buffer " *temp*")=
)) (save-current-buffer (set-buffer temp-buffer) (unwind-protect (progn (in=
sert-file-contents gnus-mock-gnus-file) (append-to-file ... ... ...)) (and =
(buffer-name temp-buffer) (kill-buffer temp-buffer))))))) (if gnus-mock-dov=
ecot-imap-program (progn (let ((temp-buffer (generate-new-buffer " *temp*")=
)) (save-current-buffer (set-buffer temp-buffer) (unwind-protect (progn (in=
sert "\n\n") (prin1 ... ...) (append-to-file ... ... ...)) (and (buffer-nam=
e temp-buffer) (kill-buffer temp-buffer))))))) (save-current-buffer (set-bu=
ffer (find-file-noselect (expand-file-name ".newsrc.eld" mock-tmp-dir))) (w=
hile (re-search-forward "REPLACE_ME" (point-max) t) (replace-match mock-tmp=
-dir t)) (if gnus-mock-dovecot-imap-program (progn (goto-char (point-max)) =
(insert "\n\n") (prin1 '(setq gnus-newsrc-alist (append gnus-newsrc-alist .=
..)) (current-buffer)))) (basic-save-buffer)) (let ((default-directory (exp=
and-file-name "lisp/gnus" (file-name-as-directory (expand-file-name "../.."=
 gnus-mock-emacs-program))))) (make-process :name "gnus-mock" :buffer nil :=
command (list gnus-mock-emacs-program "-Q" "--load" init-file) :stderr "*gn=
us mock errors*")))
  (condition-case err (let ((init-file (expand-file-name "init.el" mock-tmp=
-dir))) (let ((temp-buffer (generate-new-buffer " *temp*"))) (save-current-=
buffer (set-buffer temp-buffer) (unwind-protect (progn (let (... ...) (prin=
1 ...) (princ "\n\n") (prin1 ...) (princ "\n") (prin1 ...) (if gnus-mock-cl=
eanup-p ...) (if gnus-mock-use-images ...) (write-file init-file))) (and (b=
uffer-name temp-buffer) (kill-buffer temp-buffer))))) (copy-directory gnus-=
mock-data-dir (file-name-as-directory mock-tmp-dir) nil nil t) (mapc #'(lam=
bda (path) (make-directory path t)) (mapcar #'(lambda (dir) (format "%s/tes=
t/%s" mock-tmp-dir dir)) '("Welcome/new" "Welcome/tmp" "Welcome/.nnmaildir/=
marks" "incoming/tmp" "incoming/new" "incoming/cur" "incoming/.nnmaildir/ma=
rks" "incoming/.nnmaildir/nov" "mails/tmp" "mails/new" "mails/.nnmaildir/ma=
rks"))) (make-directory (format "%s/drafts/drafts" mock-tmp-dir) t) (make-d=
irectory (format "%s/drafts/queue" mock-tmp-dir)) (if gnus-mock-init-file (=
progn (let ((temp-buffer (generate-new-buffer " *temp*"))) (save-current-bu=
ffer (set-buffer temp-buffer) (unwind-protect (progn ... ...) (and ... ...)=
))))) (if gnus-mock-gnus-file (progn (let ((temp-buffer (generate-new-buffe=
r " *temp*"))) (save-current-buffer (set-buffer temp-buffer) (unwind-protec=
t (progn ... ...) (and ... ...)))))) (if gnus-mock-dovecot-imap-program (pr=
ogn (let ((temp-buffer (generate-new-buffer " *temp*"))) (save-current-buff=
er (set-buffer temp-buffer) (unwind-protect (progn ... ... ...) (and ... ..=
.)))))) (save-current-buffer (set-buffer (find-file-noselect (expand-file-n=
ame ".newsrc.eld" mock-tmp-dir))) (while (re-search-forward "REPLACE_ME" (p=
oint-max) t) (replace-match mock-tmp-dir t)) (if gnus-mock-dovecot-imap-pro=
gram (progn (goto-char (point-max)) (insert "\n\n") (prin1 '(setq gnus-news=
rc-alist ...) (current-buffer)))) (basic-save-buffer)) (let ((default-direc=
tory (expand-file-name "lisp/gnus" (file-name-as-directory (expand-file-nam=
e "../.." gnus-mock-emacs-program))))) (make-process :name "gnus-mock" :buf=
fer nil :command (list gnus-mock-emacs-program "-Q" "--load" init-file) :st=
derr "*gnus mock errors*"))) ((debug error) (if (and gnus-mock-cleanup-p (f=
ile-exists-p mock-tmp-dir)) (progn (delete-directory mock-tmp-dir t))) (sig=
nal (car err) (cdr err))))
  (let ((mock-tmp-dir (make-temp-file "emacs-gnus-mock-" t))) (condition-ca=
se err (let ((init-file (expand-file-name "init.el" mock-tmp-dir))) (let ((=
temp-buffer (generate-new-buffer " *temp*"))) (save-current-buffer (set-buf=
fer temp-buffer) (unwind-protect (progn (let ... ... ... ... ... ... ... ..=
. ...)) (and (buffer-name temp-buffer) (kill-buffer temp-buffer))))) (copy-=
directory gnus-mock-data-dir (file-name-as-directory mock-tmp-dir) nil nil =
t) (mapc #'(lambda (path) (make-directory path t)) (mapcar #'(lambda (dir) =
(format "%s/test/%s" mock-tmp-dir dir)) '("Welcome/new" "Welcome/tmp" "Welc=
ome/.nnmaildir/marks" "incoming/tmp" "incoming/new" "incoming/cur" "incomin=
g/.nnmaildir/marks" "incoming/.nnmaildir/nov" "mails/tmp" "mails/new" "mail=
s/.nnmaildir/marks"))) (make-directory (format "%s/drafts/drafts" mock-tmp-=
dir) t) (make-directory (format "%s/drafts/queue" mock-tmp-dir)) (if gnus-m=
ock-init-file (progn (let ((temp-buffer ...)) (save-current-buffer (set-buf=
fer temp-buffer) (unwind-protect ... ...))))) (if gnus-mock-gnus-file (prog=
n (let ((temp-buffer ...)) (save-current-buffer (set-buffer temp-buffer) (u=
nwind-protect ... ...))))) (if gnus-mock-dovecot-imap-program (progn (let (=
(temp-buffer ...)) (save-current-buffer (set-buffer temp-buffer) (unwind-pr=
otect ... ...))))) (save-current-buffer (set-buffer (find-file-noselect (ex=
pand-file-name ".newsrc.eld" mock-tmp-dir))) (while (re-search-forward "REP=
LACE_ME" (point-max) t) (replace-match mock-tmp-dir t)) (if gnus-mock-dovec=
ot-imap-program (progn (goto-char (point-max)) (insert "\n\n") (prin1 '... =
(current-buffer)))) (basic-save-buffer)) (let ((default-directory (expand-f=
ile-name "lisp/gnus" (file-name-as-directory ...)))) (make-process :name "g=
nus-mock" :buffer nil :command (list gnus-mock-emacs-program "-Q" "--load" =
init-file) :stderr "*gnus mock errors*"))) ((debug error) (if (and gnus-moc=
k-cleanup-p (file-exists-p mock-tmp-dir)) (progn (delete-directory mock-tmp=
-dir t))) (signal (car err) (cdr err)))))
  gnus-mock-start()
  funcall-interactively(gnus-mock-start)
  call-interactively(gnus-mock-start record nil)
  command-execute(gnus-mock-start record)
  execute-extended-command(nil "gnus-mock-start" "gnus-mock")
  funcall-interactively(execute-extended-command nil "gnus-mock-start" "gnu=
s-mock")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 1 Oct 2019 23:38:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 19:38:00 2019
Received: from localhost ([127.0.0.1]:35210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFRiS-00027H-H5
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 19:38:00 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:53372
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iFRiR-000275-CT
 for 33005 <at> debbugs.gnu.org; Tue, 01 Oct 2019 19:37:59 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 3F839FA088
 for <33005 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 23:37:53 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: 33005 <at> debbugs.gnu.org
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
 <87mueuicys.fsf@HIDDEN>
Date: Tue, 01 Oct 2019 16:37:51 -0700
In-Reply-To: <87mueuicys.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 23 Sep 2019 20:34:51 -0700")
Message-ID: <87d0fgnik0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>>
>>> Ok, can we close this report - seems we are done?
>>
>> Sorry for the bad news - but my registry marks are disappearing again
>> :-(  Just after restarting Gnus they are gone.
>>
>> I wanted to try with gnus-mock but it errors:
>>
>> Debugger entered--Lisp error: (buffer-read-only #<buffer .newsrc.eld|emacs-gnus-mock-ENKWay>)
>>   replace-match("/tmp/emacs-gnus-mock-ENKWay" t)
>>   gnus-mock-start()
>>  [...]
>>
>> I tried to load the source of gnus-mock to get a more meaningful
>> backtrace but that also errors:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>   file-name-directory(nil)
>>   (expand-file-name "data" (file-name-directory load-file-name))
>>   (file-name-as-directory (expand-file-name "data" (file-name-directory load-file-name)))
>>   (defconst gnus-mock-data-dir (file-name-as-directory (expand-file-name "data" (file-name-directory load-file-name))) "Source directory for Gnus mock data.")
>>   eval-region(1 10407)  ; Reading at buffer position 5125
>>
>> Hmm...
>
> Ah, this was a question I had when I was first writing gnus-mock --
> load-file-name was reliably present for all my tests, but they were only
> on Linux. Can you tell me what system you're running? Presumably
> there are better alternatives to load-file-name under different
> circumstances.

Hey do let me know what system you're running! If I do:

1. emacs -Q
2. M-x load-file -> ~/.emacs.d/elpa/gnus-mock-0.4.2/gnus-mock.el

Then gnus-mock-data-dir is set correctly. I don't know what else might
be going wrong!

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2019 03:35:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 23:35:10 2019
Received: from localhost ([127.0.0.1]:37394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCbba-0007ip-67
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 23:35:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:53607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1iCbbX-0007ih-KN
 for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 23:35:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43776)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1iCbbW-0004gR-DR
 for bug-gnu-emacs@HIDDEN; Mon, 23 Sep 2019 23:35:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.4 required=5.0 tests=BAYES_40,KHOP_HELO_FCRDNS,
 RDNS_DYNAMIC autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1iCbbV-0005Y7-BK
 for bug-gnu-emacs@HIDDEN; Mon, 23 Sep 2019 23:35:06 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:41518
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1iCbbT-0005W4-1q
 for bug-gnu-emacs@HIDDEN; Mon, 23 Sep 2019 23:35:05 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1iCbbN-0005f9-QZ
 for bug-gnu-emacs@HIDDEN; Tue, 24 Sep 2019 05:34:57 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
Date: Mon, 23 Sep 2019 20:34:51 -0700
Message-ID: <87mueuicys.fsf@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN> <87o8za4gbl.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:gFyAo8N3hITbB2lJWJQvfuZ9hsw=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Ok, can we close this report - seems we are done?
>
> Sorry for the bad news - but my registry marks are disappearing again
> :-(  Just after restarting Gnus they are gone.
>
> I wanted to try with gnus-mock but it errors:
>
> Debugger entered--Lisp error: (buffer-read-only #<buffer .newsrc.eld|emacs-gnus-mock-ENKWay>)
>   replace-match("/tmp/emacs-gnus-mock-ENKWay" t)
>   gnus-mock-start()
>  [...]
>
> I tried to load the source of gnus-mock to get a more meaningful
> backtrace but that also errors:
>
> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>   file-name-directory(nil)
>   (expand-file-name "data" (file-name-directory load-file-name))
>   (file-name-as-directory (expand-file-name "data" (file-name-directory load-file-name)))
>   (defconst gnus-mock-data-dir (file-name-as-directory (expand-file-name "data" (file-name-directory load-file-name))) "Source directory for Gnus mock data.")
>   eval-region(1 10407)  ; Reading at buffer position 5125
>
> Hmm...

Ah, this was a question I had when I was first writing gnus-mock --
load-file-name was reliably present for all my tests, but they were only
on Linux. Can you tell me what system you're running? Presumably
there are better alternatives to load-file-name under different
circumstances.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 24 Sep 2019 01:46:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 21:46:16 2019
Received: from localhost ([127.0.0.1]:37344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCZuC-0003lF-Jp
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 21:46:16 -0400
Received: from mout.web.de ([217.72.192.78]:60973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iCZu8-0003cl-RL
 for 33005 <at> debbugs.gnu.org; Mon, 23 Sep 2019 21:46:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1569289566;
 bh=osUzD1ouS9CAcq2KDSJfMIsMx1V1gVwtCKS9XYa2BRo=;
 h=X-UI-Sender-Class:From:To:Subject:In-Reply-To:Date:References;
 b=U2ajgJKwB030ugauW6iEvCaD2A9Oa411fXrKTCTxJ3gxzz1G67ZKS+oyMdPsujPNk
 QJTgqTNfCtMHhnluWts0JXts4HpIK2sR2jjQBa19x/dD8Gg9/Q2Gf/L68K4NxpjWhc
 tS7/CRuN61eN+uFFPVlMmPqINVxg2QnDaJ3jun3c=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.216.136.59]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Ltnmz-1i4dJ23yKr-0118DG for
 <33005 <at> debbugs.gnu.org>; Tue, 24 Sep 2019 03:46:06 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: 33005 <at> debbugs.gnu.org
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
In-Reply-To: <878t33cjf2.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 12
 Oct 2018 16:46:09 +0200")
Date: Tue, 24 Sep 2019 03:35:26 +0200
Lines: 27
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Message-ID: <87o8za4gbl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:mioWiPh4s8Y5rV/MH9yoo5XfgFaZ7LhdTgjTMzR3I32uOzOW5I3
 l4JydyS4xCmXhMPP6/MqK650fny2zlmGLQnI6JLZpPBkMv53e1mATx0twjMsEI54eyrsEAp
 fDPDxdr+AuOPK72jqmTydSlKxYY9NPWV326WoawWsmxRNuQDmnZKuyP3POikZGITBa0oi9g
 F8RweGPiVKh7J5ysZq4uA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:uoucHd+z4r4=:9y0DaN+NhsAuBlBYBb8YY1
 xECR1a4xC9xy3jbyDtRGw0HWYNewGOcufC3pnaE5uNhT46h+wXRuKwReaK1jNxKsx/V+4szYx
 dhOfvja/uyAPokDgFZTj4zJMjvxdHX/mgI1RIQScApwMFFrlFGh7+KXEZWeNdcgdIrns/zrzQ
 YtYJ2PqkueFZ5MDfXp/w3pqz8wjZyejClgpr/jBzkCJe9o3KxcGLi5uel0c2ps3jLr3qKWPfN
 S1TBP56maXp15uiRJDWw/+wujpTvneAG+MxGpbkAjkcHfBRaUxXpCYnMfnIv7bWnvs7QrE2In
 G9cG7sWE53oZQvE/iuQh5GjHV+Htx9g48tdjPgzgwz+mWDRXmIdOe8vA1BOF2UbBI3ut7C3+q
 69PP5Ig7Nngv2JzQJHaujKOB5BpjDFCf1hyolL+DDn2uag8LtuYNgWuO+pq8rw9LH2XSMfWIv
 JoxEeD7OSiucV2BNZQCmoeHMPVj942OW7KUPJ2cN0mYdnZAPNuTpTVaJoAJYi0Nl2qBFCXYDP
 kwPSTlQjX4QbVqYz6Yctx0ZqjvnsewJNJTdFBIitVASZdjbI3zzzaAZovWi4ru9LrXrQdecEK
 Hl7Se1W6nrAgpsuIxcxZAcYUUjivKYbHjoxaP2hpZbHcW06QKzq9j5Cs6aXzCQHj5S1jj5oNv
 qnSE1I6wBP1DRcqNx4kVIVteSethLOsGkmV632tRpTgvao4mM/l5sGkg+QX1ebzUrryiEil7c
 iapTIWdL9sjXORlcP1Xymoqu0kJtJIplizXXJxHGbz1iPMpX4K2KkUfxb3Atm9Fz6MwI6FT1/
 ZhpGSyv4sWfEimuzPU5ZYX2+k8XHv8eJFZavBff+c0wlNN9A+9jrsWKM8VAWi7MWl25t4hjMr
 OLToVymKxNPucD5paE2trhfSLW6sp4PcmBF3vAosQquuQiHtPe3tDZQc9DuK517TInodF7J0X
 uqLXXBX4nhDfJjSQ6RE2ufkdos+XA0KrTH9GEklRXt3frrWCV5/tpZposkqH4WR/PfU2LThXl
 nt7O1+mUOPVHPXTlD6/Z8Gp32f4SAsfula6EarhxcMYG5xLZvnddoFPixl+aNmcx47KIW1AR1
 ozmG1+AevVbp3ozFDF9FmhF+rQEYky/oV1Eco/FYJx3bxDWJux0b6gsXyxQAGUwB3AxkmwVWU
 sCCybAzYa0Gt64vduGYokf11cvcq/i7F9ZzR96wN2A2iSQNZu0qqM4YeK+YUIytKbgVL6UCkM
 9GHUG7hLIqnSFFW2Kvr4ZUuOKfNo2hVfPhuQZifDAWMZLtXa9cMvkM6LhWS4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Ok, can we close this report - seems we are done?

Sorry for the bad news - but my registry marks are disappearing again
:-(  Just after restarting Gnus they are gone.

I wanted to try with gnus-mock but it errors:

Debugger entered--Lisp error: (buffer-read-only #<buffer .newsrc.eld|emacs-gnus-mock-ENKWay>)
  replace-match("/tmp/emacs-gnus-mock-ENKWay" t)
  gnus-mock-start()
 [...]

I tried to load the source of gnus-mock to get a more meaningful
backtrace but that also errors:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  file-name-directory(nil)
  (expand-file-name "data" (file-name-directory load-file-name))
  (file-name-as-directory (expand-file-name "data" (file-name-directory load-file-name)))
  (defconst gnus-mock-data-dir (file-name-as-directory (expand-file-name "data" (file-name-directory load-file-name))) "Source directory for Gnus mock data.")
  eval-region(1 10407)  ; Reading at buffer position 5125

Hmm...

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.
bug unarchived. Request was from Michael Heerdegen <michael_heerdegen@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 33005-done <at> debbugs.gnu.org:


Received: (at 33005-done) by debbugs.gnu.org; 12 Oct 2018 16:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 12:58:50 2018
Received: from localhost ([127.0.0.1]:47418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gB0m2-00086X-G9
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 12:58:50 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:44325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gB0m0-00086P-D8
 for 33005-done <at> debbugs.gnu.org; Fri, 12 Oct 2018 12:58:48 -0400
Received: from localhost (97-113-224-119.tukw.qwest.net [97.113.224.119])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id A0ABF3F085;
 Fri, 12 Oct 2018 16:58:47 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539363528;
 bh=Scb/m2jR6VzJvi4eFm8MpuxzZVoWWWuAebVFY3Vu0dQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=L3Iw1PoI5mIYr+DVSdud1mYnk1wZKIGB0DMbbGoCfYNZRKeivEpli4sg9Xrw00uRt
 sTTsOjRKYWpx4EjsUSBa4ibcaNtOD7V5Ws8EfI9EnKeOtXoaFVhmjVfDET54n/eS6w
 KO/513XH+CULPjcrpV9jZyT7bwRvqXlzoAE4SNDA=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <878t33cjf2.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 09:58:45 -0700
In-Reply-To: <878t33cjf2.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 12
 Oct 2018 16:46:09 +0200")
Message-ID: <87h8hrxfsq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005-done
Cc: 33005-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/12/18 16:46 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> I don't see any reason not to remove the `cdr', and will do so unless
>> someone objects cogently, soon.
>
> Ok, can we close this report - seems we are done?

Yup, closing now.




Notification sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eric Abrahamsen <eric@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 12 Oct 2018 16:57:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 12:57:50 2018
Received: from localhost ([127.0.0.1]:47413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gB0l4-00084v-6j
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 12:57:50 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:44275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gB0l2-00084o-L3
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 12:57:49 -0400
Received: from localhost (97-113-224-119.tukw.qwest.net [97.113.224.119])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 9398B3F085;
 Fri, 12 Oct 2018 16:57:47 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539363467;
 bh=E+ZEYN+/Y2HYGnKJA4ozDQ7JuOl8QyUX9Srloja66VA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=DLoKdDMw6kcLIrIixCD0IZImagrwMcxjgScTMENTmLVzKooeOhJgmo0ce07g5c1YG
 dHOW73DUs+9NegySWIC7LqCEnaB18Y3eSs6Gr5xZORzNldrwI0WkCUy90sK/xLgMJf
 GL6AIwP3wWvlz0Zs543tMUk/Ftb4HtRI6Fm+Dk3Y=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN> <87r2gwzl1b.fsf@HIDDEN>
 <87in281hf0.fsf@HIDDEN> <87sh1cxm65.fsf@HIDDEN>
 <87murkyw33.fsf@HIDDEN> <87in27ckix.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 09:57:44 -0700
In-Reply-To: <87in27ckix.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 12
 Oct 2018 16:22:14 +0200")
Message-ID: <87lg73xfuf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/12/18 16:22 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Well, let's see if anyone is interested in a generalized solution!
>
> What do you think I should do with the thing?  Propose it to
> emacs.gnus.general, or just upload to Gnu Elpa?

I'd put it in Elpa and then alert the list -- things tend to just
disappear if you post them without a permanent home.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 12 Oct 2018 14:46:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 10:46:31 2018
Received: from localhost ([127.0.0.1]:47383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAyhx-0004vs-D1
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 10:46:31 -0400
Received: from mout.web.de ([212.227.17.12]:41579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAyhu-0004vX-G3
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 10:46:27 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Llna8-1fbdsw3HUG-00ZRAo; Fri, 12
 Oct 2018 16:46:10 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Llna8-1fbdsw3HUG-00ZRAo; Fri, 12
 Oct 2018 16:46:10 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 16:46:09 +0200
In-Reply-To: <87ftxdl7w1.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 10 Oct 2018 16:05:50 -0700")
Message-ID: <878t33cjf2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:cIc1jvbO8oW5csG5vzOE/3NTl6Mim0GnGPz50MSNJy9lo1NKIFm
 /0WFcUtYeKOd3yvNaQ7Xy4Fldgpbxjw2Q28s2d+yjaQB56jiKcCRSzBLeBTI3rtb2yH4ap2
 RCFpby5WhFpIZIEuO3fOD1i7c/OZMcXdouLM0DLCpxfb6y0k553+csKxiVYbcVi9xIugJe5
 +M8ab+5qej7TNVlBrYglw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:yforMvWqiis=:TY1kS6+6w8h8pjoHqWyMdt
 Y2FHgo1q/2Jz3LzGE6NgQFlB9lF1TvSUcdi5hp/QdipZ/k62IzZEAEnBhKXErnKtyrexKzfBc
 KtkQm3sCB6FZAek6YQkIzUlNsaRpbMOcKzEUCedOv1JBgBGIv8S9ETajwHFUPeIaonQXlNKQo
 E0xpPN7kmhs+uZueM2n6Z/5ITHfn7VvX+0xe2PR5AEs8SJG0iMnpJGhPU4CjsSkqddBUnaDqQ
 Lwc5awCvfw+tDAZs4zSzpkouBZz8Z4VSPrcO9AmbCTU7NgkZILF5qQ1rYOnHWm4uFNOfH7dtE
 +7NeFeETq+OR/AXHgnFpfR+n/r7Cm6XqkVqomPalb8pgtKLLGYabZb0UlZ+4iR/xDiI+ZzlS6
 i82/LS/VVVZq+CX7XCV0pEFlebH2vbL8A/7Mgtqe5Qt5mKMT0AU5AjSC6H5Sl+4v0k1v9yfy5
 KLRIQPHodhUl7aUUZrpW2er5Ye0BE7k7meAfMB3v6mzEmiEQJDk8JNoNOwsijBPcDs3IFii/V
 VI0HSVNoWVQuPeSXsB16TiLH7TuB81XCXNa5d6fvu1BsNNxHdGS79k4xBVdJ4dNeZ5oLd/oav
 lCQyFV5NKSBkc8RjN7ZntSb8IjhHRxTWkJq+ToInHRkqGbsegnQWGWSfl2AmnqnFpvR5Lqwza
 5lEKr2YfnQw/ZQomg2T0PlJcDiFRNe6XzMdTf2arZKSYJRjzU3m5Es+eZpfgb6wf8mcyxjAAV
 DG+XJUeF+/+65dn0ZlrnlXgDhmOR6agQYrwKhRLvJN/6aUVX2jDkE0HwvxOldiOOyHnJ8U3MJ
 PJD2JyajLxEvEp4vRJYTMceHEPt4xMvCYEddPg2pzjP5wnbVyo=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> I don't see any reason not to remove the `cdr', and will do so unless
> someone objects cogently, soon.

Ok, can we close this report - seems we are done?


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 12 Oct 2018 14:22:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 10:22:36 2018
Received: from localhost ([127.0.0.1]:47367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAyKp-0004IH-8E
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 10:22:35 -0400
Received: from mout.web.de ([212.227.17.11]:39449)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAyKn-0004I1-1x
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 10:22:33 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Lm4hJ-1fbuh728Yr-00ZhEf; Fri, 12
 Oct 2018 16:22:16 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Lm4hJ-1fbuh728Yr-00ZhEf; Fri, 12
 Oct 2018 16:22:16 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN> <87r2gwzl1b.fsf@HIDDEN>
 <87in281hf0.fsf@HIDDEN> <87sh1cxm65.fsf@HIDDEN>
 <87murkyw33.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 16:22:14 +0200
In-Reply-To: <87murkyw33.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 11 Oct 2018 15:09:20 -0700")
Message-ID: <87in27ckix.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:CTlvmGNM32NF/pKfZcMjbpKBJ1345Rtd9nfHgU5wxrdV+Hg8Q9z
 OPZzVtECdwUkPKZNJtYEuUMnE8yHnKwpQQYmb/wcnwdIaaMLVVr1pt37b6wbnhS7BCeemgp
 D2Vr+TiX40ISwX3+wrCVzmTMDWOpyEsaSzPGERwCdITsQ1tx6sTGe+zEZRd/CPJ/CSvPLWx
 2iksW+n6vONx4ZTSa3c3Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:t3ViZHOk2Kg=:i0P26a1F0W9v8SrxwTWwpu
 qv1KWqljgQIs9xioW3IJW1oZkg3nThdjunyO2b4Z+1VfTyDnoGYAlOLZWssYt3tz177ApblLh
 v4Z/dIujFxWyDDlSNUrNZdFiIUdnnY6cthN9Ox36GwThJabluMZW2hJvmHreLOipgc4qGw0SY
 FkcfRbRRERT/Z2TIjZhRg4fEtjIw4iat3XRRssSDmQGeWM0xU7hFZ2IGXhJK759XsypYc+zKr
 SOFy0gz5HKIsirsT9o7gtyIubIvgMaQnoat2MoltBA/QS/SJYo07IaEKYzcaZt4GmHPoqWanF
 GqJf98AxDwxahIK1KnU+xN08NUc/CEZVTT82NaCu7koXK4nzunhlN67UmXQxN6FqbG+GWC+xK
 6xObnWT3aRmHVyYgv5I/jZa9vqpUIMATozZC7dxpkvWbyM6AJ+aaZrR7VJjMs70Pan57h4mEb
 /cuwse8uRWxQVBiYurNVwze/IXX5cNBPpzX9ThFpu0EToqeuzSqmIIKPPrYSFN+kkgcvRUbOa
 WhJDxhMJpv1nV02IwzPr/ElID3DChJzfTvA/du6igomaSF1iD4CO1PvXIxeIDT0Tj1nmZadWx
 06M5t6eDBC4YS0yG+H2q13XqEdYgOvWq60iIARtMSVMbCDTw3IJH2/8iGLBo2Wg2lRtlJlIIX
 IEaVr8fdYqc+zVCnEKitp3sPrjbkLL7tCHtg21cvMLxQAqznokvwIpN3i92snutrBGXj+lQZS
 y6N7yNOodCTByH+Ryk+oAkfIy8BX4T+tgUO3BgKigCUVhoxJZ4WMZOrjeFv0GyBZ9qhunBrrG
 DmjIU92hz07zHgT2PrQ7lxpOgzzp6KAK6QnmqVs1XDqmr9HZmI=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Well, let's see if anyone is interested in a generalized solution!

What do you think I should do with the thing?  Propose it to
emacs.gnus.general, or just upload to Gnu Elpa?


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 12 Oct 2018 12:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 08:51:52 2018
Received: from localhost ([127.0.0.1]:46006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAwv2-0008BW-HN
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:51:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAwv0-0008BH-9I
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:51:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAwur-0004Hl-30
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:51:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35024)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAwuq-0004H2-U9; Fri, 12 Oct 2018 08:51:40 -0400
Received: from [176.228.60.248] (port=2007 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAwup-0001RP-ML; Fri, 12 Oct 2018 08:51:40 -0400
Date: Fri, 12 Oct 2018 15:51:37 +0300
Message-Id: <83bm7zwco6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <87bm7zxw6i.fsf@HIDDEN> (message from Michael Heerdegen on Fri,
 12 Oct 2018 13:04:53 +0200)
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <83woqowc1f.fsf@HIDDEN> <8736tcz1p3.fsf@HIDDEN>
 <83va67x04s.fsf@HIDDEN> <87bm7zxw6i.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33005
Cc: eric@HIDDEN, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: eric@HIDDEN,  33005 <at> debbugs.gnu.org
> Date: Fri, 12 Oct 2018 13:04:53 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > > Why do you think people know what you expect?
> >
> > Because I said it many times here.  The fact is, most people do ask.
> 
> But CONTRIBUTE tells something different.

CONTRIBUTE's main audience is people who have no write access to the
Emacs repository, so what it says just tells them on what branch to
base the patches.  The decision to which branch to push is then made
by someone who actually pushes the changes.

I'm okay with adding the request to ask about committing to the
release branch, but at the time I was under the impression that some
people didn't agree with such a policy, so I'm not sure the project as
a whole would like it carved in stone from here to eternity.

> I have the feeling that some people ask because they are lost, not
> because they know that it is expected that they ask.

That's not the reality.  People explicitly ask _me_ whether it's okay
to push to the release branch; the exceptions are almost non-existent.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 12 Oct 2018 11:05:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 07:05:14 2018
Received: from localhost ([127.0.0.1]:45959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAvFq-0003bx-4Y
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 07:05:14 -0400
Received: from mout.web.de ([212.227.17.12]:53219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAvFn-0003be-G2
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 07:05:12 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LxfKp-1faM290tL9-017DVK; Fri, 12
 Oct 2018 13:04:54 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LxfKp-1faM290tL9-017DVK; Fri, 12
 Oct 2018 13:04:54 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <83woqowc1f.fsf@HIDDEN> <8736tcz1p3.fsf@HIDDEN>
 <83va67x04s.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 13:04:53 +0200
In-Reply-To: <83va67x04s.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 12 Oct
 2018 07:24:51 +0300")
Message-ID: <87bm7zxw6i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:oKzT+EkiLZT3hJFP+M/WgJZsgRxS76PHAmsx+oCywChX4aEvYsE
 YmbdK5uDMpcTTBej5eRPnIk6AtQ/krLU8C3M0uRzell4qYeXCHVMT2/ipf/I+n/sQ2ESfST
 KOGnQ/aTxmHCBUMtRIUMFd+HeQqOwiXmSkVvsvgr8Z3nPe1J5z1nwafAnqgpHfDXAXeILrk
 2K6TddmFMDyMjH9ZrZ+tA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:sMLrCBdFyWk=:G0oacr5eqT8U03ZwJsTXfk
 1YOMrGrCpgiMqR0x77ab8Y9W91+Mvg2e1hbtQyM82MnGusLokT1J43s6AB3W7fVilQZ/l4WOa
 cF2o2X3G0VJ0RPUCo20X0YDbGuWwC5shhlLZMPSRqq6tA8uQgjALWPVgo8N0mzZ4Aw9mCokwy
 gFdJfRAhrEabeDAXrsq6zn+Tv2gHobZa6lp3QXd1sPZ8of+U2Su4gmJNvQriaqd9tl7T0cGFr
 PRdcX4amFLwuY7r5r8823W0ZL3pREkLMq72/If3I4jQFDpDc/D1VUmnGbfmDcJ3mMT+gxDjzw
 33G2oyRGBnc00XwNE2/GqFK2IhwNrDtKt8xgCm80mbQ9ywfL+3CWA//ldzSCdC6aeIGN9UGOz
 ZaCJFx/E13QBFM4o/pw5VS7R/H5ySTuUzaD65iNnCF5XCdozeHA6ZrU6qQ8Wz7CFk/7xd8VYV
 p25T1QCeHwqIJEBexp0cEPTaOsRh7hzpBxhz5m0DhQ/LOimXG17d9MsyV5TuI7G/0U+/XGQEG
 Vy4xCsO56dpHE+OLjUWNkr/vQbpnxbZJwuvmb8XvT1XKMe0EVSnn0wAcw3/CajuriO7NTX5HI
 3dKIZt4CRM0pUr0F+L/1sx0aTO6J+5PNg9fOP98P9ZOMbwUXKLF3zWj3iwdbXZ182zw06TCqK
 7mfzNxGoJDe7Pxv3zGX328HV0goUsqfr76Wjr7aCLkw1TfWYi7FLS7GFXgPvFbtWKSmRBYNM7
 gy0LBNcCQ80jRFEju1+WoO4mjg2HHrhgz6FE6XQ2iLJUHhqXtnMHeuJb2LGDs9nHtnKs6tvim
 q05PTODlvUCDmXESbLZBaUbj3yxH5Qoc0NsqRJCZHw4vXBPhOA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: eric@HIDDEN, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> > Why do you think people know what you expect?
>
> Because I said it many times here.  The fact is, most people do ask.

But CONTRIBUTE tells something different.  I have the feeling that some
people ask because they are lost, not because they know that it is
expected that they ask.  Others just don't ask.

Anyway, if it works for you...but I think it would be better to have
some rules written down somewhere if we want to be attractive to new
contributors.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 12 Oct 2018 04:25:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 00:25:02 2018
Received: from localhost ([127.0.0.1]:45779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAp0X-0006nl-Mg
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 00:25:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAp0V-0006nR-OG
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 00:25:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAp0N-000090-FT
 for 33005 <at> debbugs.gnu.org; Fri, 12 Oct 2018 00:24:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45592)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAp0N-00008w-By; Fri, 12 Oct 2018 00:24:51 -0400
Received: from [176.228.60.248] (port=2240 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAp0M-0004OG-6O; Fri, 12 Oct 2018 00:24:51 -0400
Date: Fri, 12 Oct 2018 07:24:51 +0300
Message-Id: <83va67x04s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <8736tcz1p3.fsf@HIDDEN> (message from Michael Heerdegen on Thu,
 11 Oct 2018 22:08:08 +0200)
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <83woqowc1f.fsf@HIDDEN> <8736tcz1p3.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33005
Cc: eric@HIDDEN, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: Eric Abrahamsen <eric@HIDDEN>,  33005 <at> debbugs.gnu.org
> Date: Thu, 11 Oct 2018 22:08:08 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I see you already did, and on the emacs-26 branch.  Please in the
> > future ask about commits to the release branch.
> 
> Some days ago I asked a question about the habits and expectations
> regarding bug fixes, in particular for bugs that were not introduced by
> the current release.  Nobody disagreed that committing to the release is
> just ok.  So it is not?

In general, it is.  But a bug fix should be safe enough to be eligible
for the release branch, and the "enough" part changes depending on the
state of the branch.  Currently, since Emacs 26.1 was already
released, only very safe fixes are eligible, and I'd like to be part
of the decision loop regarding the safety of each proposed fix.

> Why do you think people know what you expect?

Because I said it many times here.  The fact is, most people do ask.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Oct 2018 22:27:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 18:27:14 2018
Received: from localhost ([127.0.0.1]:45698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAjQI-0002l2-Hw
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:27:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAjQG-0002kp-G1
 for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:27:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAjQA-0007wS-DB
 for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:27:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46261)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1gAjQA-0007wD-8d
 for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:27:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41243)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAjQ9-0001ld-Di
 for bug-gnu-emacs@HIDDEN; Thu, 11 Oct 2018 18:27:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAjQ4-0007t5-Ny
 for bug-gnu-emacs@HIDDEN; Thu, 11 Oct 2018 18:27:05 -0400
Received: from [195.159.176.226] (port=42586 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1gAjQ3-0007fJ-N5
 for bug-gnu-emacs@HIDDEN; Thu, 11 Oct 2018 18:27:00 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1gAjNt-0004VY-I0
 for bug-gnu-emacs@HIDDEN; Fri, 12 Oct 2018 00:24:45 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
Date: Thu, 11 Oct 2018 15:26:49 -0700
Lines: 17
Message-ID: <87a7nkyv9y.fsf@HIDDEN>
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN> <87r2gwzl1b.fsf@HIDDEN>
 <87in281hf0.fsf@HIDDEN> <87sh1cxm65.fsf@HIDDEN>
 <87murkyw33.fsf@HIDDEN> <87k1moxgzn.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:UunMNiljrZZkv0iajuSeBBOUGEU=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.8 (-----)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> BTW I just used `set-local-key' in my function -- I don't think it's
>> necessary to make a new local keymap for a single-use buffer.
>
> Don't know that function - do you mean `local-set-key'?  In this case I
> must warn, citing the docstring of `local-set-key':
>
> | The binding goes in the current buffer's local map, which in most
> | cases is shared with all other buffers in the same major mode.

I did mean `local-set-key' and did not realize that's how it works!
Thanks for the tip.

Eric





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 22:21:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 18:21:04 2018
Received: from localhost ([127.0.0.1]:45694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAjKJ-0002cB-R0
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:21:04 -0400
Received: from mout.web.de ([212.227.15.14]:54405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAjKG-0002bL-Ew
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:21:00 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MUWCB-1gIfok2an5-00RExu; Fri, 12
 Oct 2018 00:20:45 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MUWCB-1gIfok2an5-00RExu; Fri, 12
 Oct 2018 00:20:45 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN> <87r2gwzl1b.fsf@HIDDEN>
 <87in281hf0.fsf@HIDDEN> <87sh1cxm65.fsf@HIDDEN>
 <87murkyw33.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 00:20:44 +0200
In-Reply-To: <87murkyw33.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 11 Oct 2018 15:09:20 -0700")
Message-ID: <87k1moxgzn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:jUlQZwhDZUcAnYwC7VfTlFuEMOSLzb7VjT3OE75q3n9hvciY9OB
 HOmjVG0zMkq+9+XOdmHikf2nOXNtd1yhfqwa/oDaLqFLwhynYRVXvravyKSHKWAYYeigUuc
 0jToBf/rB7KrSmwgkWDRCE4QgaCFNRguo5GsaLKfCaK4yokGfw1DpeONFnivzsqfM2x+KGe
 +Vd6PNh9zbGdkoaTIBxfQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:0OpkL1ZnJzw=:DI1EVnxROAmFUIFNA34aBQ
 x2ldRp1aDEq8k91KX9DRtWtCkrVa0GD5ErGMvlSowzpYXLoWgfr/sFVt8ggouUDMVfDQKM+1E
 QLAN59PkiXJd/s0LRS7fBKdk9P6xOzhEN2Lf6Mcx4swC1a3nc5743WrY6MN++ZZKcFLjTSjzl
 Y93sJFXhKSFEvkJ+U4dVYvB+BfYxu0P4A7oNgwFcn19Ll4/OAEtLkfUnq1Ci+YE2U04duKaD1
 DL8yZj0l8aMY5HvcPkEyGSf2MVoi+yzU+UuxV2pnjTPlXeMpdhTkxskz+sk6aG4hYk8RaP7IV
 83F9Tx5C24hA3J3EjOV6unuBpYlBMYZYfV5kyEWJ0lNbSZnofGpwTneWQtHJzW/dUrNd4z7ZI
 MCF0SsFXC7Hv2jLthdHaBj4ARSfEDQdIDRcaQnJ7SINL605DAXdoopVp1f4rpqDwz7K4Mf0Be
 97kqfGDwgG+DNcj3M/YOXQrY+nLgWN1e3COZkPBkE6bwpXbo5RQGDN826tF0EdbftU8KIo5ES
 kUJtLSET9+yD5BPOxIqiuU87v8P6toRjD7gq3dUTUIrtl97Cyf794XO75UM8AdcWh5z13NBcK
 a/Uh8oSUrp+SL8SE9/FzFIltQdN6CvuC3tyr2HyN5rvITGuPsv7i+oJPkTMi9VUBQpfRdZkZl
 vv2TLM4qy5s1tIALye6R47KVujFTPRG63X53GW7gHgieQWOSxlksJ1kAP9A5Znw7d0VMHR6DX
 ZvkXGW9l45gRDOxHGETlnqup2ZbcgIfczkYOe2YrsUPSED3wKdm5FlhSxILiDzzDq5vAbSqsd
 HdvbyThUXFN5GjXBwS+VyBu7AlaMD/ouf40el3/zbudcrxz/jA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> BTW I just used `set-local-key' in my function -- I don't think it's
> necessary to make a new local keymap for a single-use buffer.

Don't know that function - do you mean `local-set-key'?  In this case I
must warn, citing the docstring of `local-set-key':

| The binding goes in the current buffer's local map, which in most
| cases is shared with all other buffers in the same major mode.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 22:09:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 18:09:28 2018
Received: from localhost ([127.0.0.1]:45649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAj95-0002DJ-To
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:09:28 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:34403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gAj91-0002D3-2d
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 18:09:24 -0400
Received: from localhost (97-113-224-119.tukw.qwest.net [97.113.224.119])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 45D3E3F09B;
 Thu, 11 Oct 2018 22:09:22 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539295762;
 bh=6pMz0eVwcOe5Zrp0J1aokLtZwWCO+p2LYd/6SBwcn70=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=UAdZRH99LibvX07ZA2N+NvbgwyXDflywDJMQ+pSe49y2rRv63S7uZmKHOtt7HvQll
 NzTvnKVB2AEVP64tQP+LDRI9KVCFe1kY0eO9PJDXO1QW2019Ar2f4xf3Im+3dTfRZL
 iJrMM9A0xA34wygkr3/6WnKaGgWAa3bDPzxunvz8=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN> <87r2gwzl1b.fsf@HIDDEN>
 <87in281hf0.fsf@HIDDEN> <87sh1cxm65.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 15:09:20 -0700
In-Reply-To: <87sh1cxm65.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 11
 Oct 2018 22:28:50 +0200")
Message-ID: <87murkyw33.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/11/18 22:28 PM, Michael Heerdegen wrote:

[...]

> I wanted something really really simple, in particular, something that
> is not linked to org. It's an approach different from Gnorb, but maybe
> it would fit into Gnus, dunno. I attach what I have so far - feedback
> welcome.

Ha, I see what you mean, most of the code is for displaying and editing
the notes. I did something similar in org-annotate[1] (which is pretty
similar in spirit to what you're doing here, but for org files), but
just realized that I don't use the popup for editing, only display.

Well, let's see if anyone is interested in a generalized solution!

BTW I just used `set-local-key' in my function -- I don't think it's
necessary to make a new local keymap for a single-use buffer.

Eric

[1]: https://github.com/girzel/org-annotate/blob/master/org-annotate.el#L150


>
> Michael.
>
>
>;;; gnus-article-notes.el---Attach notes to messages in Gnus -*- lexical-binding: t -*-
>
>;; Copyright (C) 2018 Free Software Foundation, Inc
>
>;; Author: Michael Heerdegen <michael_heerdegen@HIDDEN>
>;; Maintainer: Michael Heerdegen <michael_heerdegen@HIDDEN>
>;; Created: 2017_12_11
>;; Keywords: news registry
>;; Version: 0.1
>;; Package-Requires: ()
>
>
>;; This file is not part of GNU Emacs.
>
>;; GNU Emacs is free software: you can redistribute it and/or modify
>;; it under the terms of the GNU General Public License as published by
> ;; the Free Software Foundation, either version 3 of the License, or
> ;; (at your option) any later version.
>
> ;; GNU Emacs is distributed in the hope that it will be useful,
> ;; but WITHOUT ANY WARRANTY; without even the implied warranty of
> ;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> ;; GNU General Public License for more details.
>
> ;; You should have received a copy of the GNU General Public License
> ;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
>
>
> ;;; Commentary:
>
> ;; This simple package allows to attach text notes to articles in
> ;; Gnus.  This is actually just a trivial convenience wrapper around
> ;; `gnus-registry-set-id-key' and `gnus-registry-get-id-key'.
> ;;
> ;; For something less simplistic see the Gnorb package in Gnu Elpa.
> ;; It can save notes in org files, track discussions, and much more.
> ;;
> ;;
> ;; Usage
> ;; =====
> ;;
> ;; The main command is `gnus-article-notes-set-note' bound to "@" in
> ;; the summary keymap.
> ;;
> ;; If the current article has not yet an attached note, hit @ to add
> ;; one.  The article is also flagged with an "@" to indicate that a
> ;; note has been attached.
> ;;
> ;; When an article has already an attached note, "@" displays the note
> ;; in the echo area, and hitting "@" again let's you edit the note.
> ;; "@" with a prefix argument 0 deletes the note after confirmation.
> ;; "@" with any other prefix arg also reads in a note text but using a
> ;; pop-up buffer instead of the minibuffer making editing multi-line
> ;; notes more convenient.
> ;;
> ;;
> ;; Setup
> ;; =====
> ;;
> ;; Somewhere in your initialization you need to enable the Gnus
> ;; registry (where this package saves your notes), load this file, and
> ;; make the key binding:
> ;;
> ;;   (gnus-registry-initialize)
> ;;   (require 'gnus-article-notes)
> ;;   (add-hook
> ;;    'gnus-summary-mode-hook
> ;;    (defun my-gnus-summary-mode-hook-bind-key-for-article-notes ()
> ;;      (define-key gnus-summary-mode-map [?@] #'gnus-article-notes-set-note)))
> ;;
> ;; It is a good idea to read about what enabling the registry means if
> ;; you haven't yet used it: (info "(gnus) The Gnus Registry").  It is
> ;; easy stuff.  You may want to limit how much data Gnus stores in the
> ;; registry to avoid delays when saving (it stores a lot by default).
> ;; I do (setq gnus-registry-max-entries 2000).  Note that pruning a
> ;; full registry will never delete notes unless you change
> ;; `gnus-registry-extra-entries-precious' to not contain `mark'.
> ;; Loading this package adds a "Note" named custom mark to
> ;; `gnus-registry-marks' (by default).
> ;;
> ;; To see the "@" marker for messages with attached notes in the
> ;; summary buffer, you also want something like
> ;;
> ;;   (defalias 'gnus-user-format-function-M
> ;;             'gnus-registry-article-marks-to-chars)
> ;;
> ;; which allows you to use "%uM" (or better with a padding like in
> ;; "%2uM") in `gnus-summary-line-format' to show registry marks - see
> ;; (info "(gnus) Store custom flags and keywords") for details.
> ;;
> ;; Finally you may also want to look at the few customizable options
> ;; defined in this file.
>
>
>
> ;;; Code:
>
>
>
> (eval-when-compile (require 'subr-x))
> (require 'gnus)
> (require 'gnus-registry)
>
> (defvar gnus-article-notes-registry-field 'Note)
> (defvar gnus-article-notes-marker-char ?@)
> (defvar gnus-article-notes-auto-tick nil)
>
> (defvar gnus-article-notes-show-in-summary t)
>
> (defun gnus-article-notes-registry-delete-id-key (id key)
>   (let* ((db gnus-registry-db)
>          (entry (gnus-registry-get-or-make-entry id)))
>     (registry-delete db (list id) nil)
>     (setq entry (assq-delete-all key entry))
>     (gnus-registry-insert db id entry)
>     entry))
>
> (with-eval-after-load 'gnus-registry
>   (add-to-list 'gnus-registry-marks
>                `(,gnus-article-notes-registry-field :char ,gnus-article-notes-marker-char :image nil)))
>
> (defvar gnus-article-notes-popup-window-action '())
>
> ;; We could make the major mode customizable...
> (defun gnus-article-notes-read-string-with-buffer (&optional initial-input keymap comment)
>   (cl-callf or comment ";; Hit C-c C-c when done\n\n") ;FIXME: add key to abort
>   (save-window-excursion
>     (with-temp-buffer
>       (let ((win (display-buffer (current-buffer) gnus-article-notes-popup-window-action)))
>         (select-window win)
>         (insert comment)
>         (when initial-input (insert initial-input))
>         (set-window-point win (point-max))
>         (use-local-map (let ((map (make-sparse-keymap)))
>                          (set-keymap-parent map (or keymap text-mode-map))
>                          (define-key map [(control ?c) (control ?c)] #'exit-recursive-edit)
>                          map))
>         (recursive-edit)
>         (string-trim
>          (replace-regexp-in-string
>           (concat "\\`" (regexp-quote comment)) ""
>           (buffer-string)))))))
>
> (defun gnus-article-notes-set-note (id new-content)
>   (if (not new-content)
>       (gnus-article-notes-registry-delete-id-key id gnus-article-notes-registry-field)
>     (gnus-registry-set-id-key id gnus-article-notes-registry-field new-content)))
>
> (defun gnus-article-notes-display-or-set-note (article id &optional content)
>   "Doc..."
>   (interactive
>    (let* ((articles (gnus-summary-work-articles nil))
>           (article (if (cdr articles) (user-error "Cannot operate on multiple articles")
>                      (car articles)))
>           (id (mail-header-id (gnus-summary-article-header article)))
>           (current-content (gnus-registry-get-id-key id gnus-article-notes-registry-field)))
>      (list article
>            id
>            (if (or (eq this-command last-command) (not current-content) current-prefix-arg)
>                (let ((new-content
>                       (if current-prefix-arg
>                           (if (eq 0 (prefix-numeric-value current-prefix-arg))
>                               (if (yes-or-no-p "Really delete note? ")
>                                   nil
>                                 (user-error "Abort"))
>                             (gnus-article-notes-read-string-with-buffer current-content))
>                         (read-string "New note: " current-content))))
>                  (if (equal "" new-content) nil new-content))
>              `(display . ,current-content)))))
>   (pcase content
>     (`(display . ,content) (message "%s" content))
>     (_ (when (and content gnus-article-notes-auto-tick) (gnus-summary-tick-article-forward 1))
>        (gnus-article-notes-set-note id content)
>        (gnus-registry--set/remove-mark 'Note (not content) (list article)))))
>
> (defun gnus-article-notes-get-additional-articles (group-name)
>   (delq nil
>         (mapcar (lambda (id) (cdr (gnus-request-head id group-name)))
>                 (cl-loop for key being the hash-keys of (oref gnus-registry-db data)
>                          using (hash-values v)
>                          when (assoc gnus-article-notes-registry-field v)
>                          collect key))))
>
>
> (defun gnus-articles-notes-alter-articles-to-read-function (f group-name article-list)
>   (let ((others (funcall f group-name article-list)))
>     (if gnus-article-notes-show-in-summary
>         (cl-union (gnus-article-notes-get-additional-articles group-name)
>                   others)
>       others)))
>
> (add-function :around gnus-alter-articles-to-read-function
>               #'gnus-articles-notes-alter-articles-to-read-function)
>
>
>
> (provide 'gnus-article-notes)
> ;;; gnus-article-notes.el ends here




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 20:29:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 16:29:07 2018
Received: from localhost ([127.0.0.1]:45547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAhZz-0001s7-MK
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 16:29:07 -0400
Received: from mout.web.de ([212.227.17.11]:41013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAhZy-0001re-6D
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 16:29:06 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MK24P-1g9KfG2Xhd-001SGf; Thu, 11
 Oct 2018 22:28:51 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MK24P-1g9KfG2Xhd-001SGf; Thu, 11
 Oct 2018 22:28:51 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN> <87r2gwzl1b.fsf@HIDDEN>
 <87in281hf0.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 22:28:50 +0200
In-Reply-To: <87in281hf0.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 11 Oct 2018 11:12:35 -0700")
Message-ID: <87sh1cxm65.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:npoKFWGacYOjzXWEA5xh6dmborrRu5cGdOaAyVBHNqx+YNgY4ke
 zB1wyNJS9SLaf4+ffTjruqJU8WIMAuWSmfLs5Z5sQa1t9ulvmEwMlvPOoI3zajUZ/Uw7b+5
 bStvXgUnfI8MKuTd3X9nfhcWrMGdWMr+aj1R149uN2hU85tIjq96Ld8Yt/Nj5smVUmRFclI
 NGwTa/49w5vWgoU0BOZbQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:sNW910GtR3g=:LaDWEq4CT8NbV5oRbwCAyy
 dzej9RadQivCU0XhEecOgSG89e78i/KZFFh8UuVqEOCHVqhG8eIOeAHmmq8xxo8C+XhSfPNeh
 yFx1LDU3PHHLDifYo9h2hcP3wOT7ziCI89cpEeqiRw9TfATvHFgLue8PKhiT3vu4NxPDnnVJH
 a7DsvLB2ExuLJEG+4i472Ueom7yH8Z3VSR2WYYfFn5t8ZxPrVXrdN0ry31OjbNlFsHEwme5rS
 B0Vq4XQt12UGA4teqhhXDNWr399yuTrAMOLbq7jOoVRC1s+N+HsgE0EHsRSbw2RO9b7XACGYx
 Jif32mLehlCsyAN4N0Q7VQgH2PcIoh3aZUjutEpbhHZdQmjhUPe0iqWw0lT0FyBVCRblJOb1b
 Ju+ZhiIKKr7i+pd4WXspvcDpNqMkR1n6/LRAW5C97+vSytbquwJFamxXOdeLUqMnB0zktsGYh
 /cQDvdlNohZojZP9cNX5yMFeT+ec8VgYapz845cCk9Ot++4zFgjxes1WdeAdLE2OzoYJBe1eg
 K+S5rMg5cdz10OZSnVvquO2epZLctxEJ4XDpW4+ZtZEDEyTAeq/LIM1th2ikZyEaesu9FSyE0
 hYxa8tDEMOo2OBce59WBfJNz9bkMaTqpzXGlRQbbr/AzjCNvQLy1oQ/gcEBq3jk6APxFUTrBv
 MWjUlUCmg5PejbH2KCMxKrNF45luHNpyvmDBMS4npmTDoON8T7+SglYkU+oXu0j1qveAceKfD
 ga2J986VKZJ1KHkxScMR4I4pDwm2mnqv6d2asYdtXMi+FUDfwPM15xvaxy262wWq5GF5ARSi7
 rMwYh7Asfc9MTmI0tHacjMGRS8pRQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Eric Abrahamsen <eric@HIDDEN> writes:

> > Should we even make a NEWS entry along the fix saying that the feature
> > can actually be used now?
>
> I don't think so, bug fixes don't usually get a NEWS entry.

Well, it's at least the first time that you can actually use it.

> But I can say something on the gnus.general list.

Ok.

> Also, I really like the idea of using the registry to attach notes to
> mails -- that's something I've intended for Gnorb for a while. If you'd
> like to contribute that to Gnorb I'd be very happy to accept it, or
> maybe it's something that could even go into the registry proper. Of
> course, if you'd prefer to keep it a separate package that's fine too --
> I'd install it!

I wanted something really really simple, in particular, something that
is not linked to org.  It's an approach different from Gnorb, but maybe
it would fit into Gnus, dunno.  I attach what I have so far - feedback
welcome.


Michael.



--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: inline; filename=gnus-article-notes.el
Content-Transfer-Encoding: quoted-printable

;;; gnus-article-notes.el --- Attach notes to messages in Gnus   -*- lexica=
l-binding: t -*-

;; Copyright (C) 2018 Free Software Foundation, Inc

;; Author: Michael Heerdegen <michael_heerdegen@HIDDEN>
;; Maintainer: Michael Heerdegen <michael_heerdegen@HIDDEN>
;; Created: 2017_12_11
;; Keywords: news registry
;; Version: 0.1
;; Package-Requires: ()


;; This file is not part of GNU Emacs.

;; GNU Emacs is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; GNU Emacs is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.


;;; Commentary:

;; This simple package allows to attach text notes to articles in
;; Gnus.  This is actually just a trivial convenience wrapper around
;; `gnus-registry-set-id-key' and `gnus-registry-get-id-key'.
;;
;; For something less simplistic see the Gnorb package in Gnu Elpa.
;; It can save notes in org files, track discussions, and much more.
;;
;;
;; Usage
;; =3D=3D=3D=3D=3D
;;
;; The main command is `gnus-article-notes-set-note' bound to "@" in
;; the summary keymap.
;;
;; If the current article has not yet an attached note, hit @ to add
;; one.  The article is also flagged with an "@" to indicate that a
;; note has been attached.
;;
;; When an article has already an attached note, "@" displays the note
;; in the echo area, and hitting "@" again let's you edit the note.
;; "@" with a prefix argument 0 deletes the note after confirmation.
;; "@" with any other prefix arg also reads in a note text but using a
;; pop-up buffer instead of the minibuffer making editing multi-line
;; notes more convenient.
;;
;;
;; Setup
;; =3D=3D=3D=3D=3D
;;
;; Somewhere in your initialization you need to enable the Gnus
;; registry (where this package saves your notes), load this file, and
;; make the key binding:
;;
;;   (gnus-registry-initialize)
;;   (require 'gnus-article-notes)
;;   (add-hook
;;    'gnus-summary-mode-hook
;;    (defun my-gnus-summary-mode-hook-bind-key-for-article-notes ()
;;      (define-key gnus-summary-mode-map [?@] #'gnus-article-notes-set-not=
e)))
;;
;; It is a good idea to read about what enabling the registry means if
;; you haven't yet used it: (info "(gnus) The Gnus Registry").  It is
;; easy stuff.  You may want to limit how much data Gnus stores in the
;; registry to avoid delays when saving (it stores a lot by default).
;; I do (setq gnus-registry-max-entries 2000).  Note that pruning a
;; full registry will never delete notes unless you change
;; `gnus-registry-extra-entries-precious' to not contain `mark'.
;; Loading this package adds a "Note" named custom mark to
;; `gnus-registry-marks' (by default).
;;
;; To see the "@" marker for messages with attached notes in the
;; summary buffer, you also want something like
;;
;;   (defalias 'gnus-user-format-function-M
;;             'gnus-registry-article-marks-to-chars)
;;
;; which allows you to use "%uM" (or better with a padding like in
;; "%2uM") in `gnus-summary-line-format' to show registry marks - see
;; (info "(gnus) Store custom flags and keywords") for details.
;;
;; Finally you may also want to look at the few customizable options
;; defined in this file.



;;; Code:



(eval-when-compile (require 'subr-x))
(require 'gnus)
(require 'gnus-registry)

(defvar gnus-article-notes-registry-field 'Note)
(defvar gnus-article-notes-marker-char ?@)
(defvar gnus-article-notes-auto-tick nil)

(defvar gnus-article-notes-show-in-summary t)

(defun gnus-article-notes-registry-delete-id-key (id key)
  (let* ((db gnus-registry-db)
         (entry (gnus-registry-get-or-make-entry id)))
    (registry-delete db (list id) nil)
    (setq entry (assq-delete-all key entry))
    (gnus-registry-insert db id entry)
    entry))

(with-eval-after-load 'gnus-registry
  (add-to-list 'gnus-registry-marks
               `(,gnus-article-notes-registry-field :char ,gnus-article-not=
es-marker-char :image nil)))

(defvar gnus-article-notes-popup-window-action '())

;; We could make the major mode customizable...
(defun gnus-article-notes-read-string-with-buffer (&optional initial-input =
keymap comment)
  (cl-callf or comment ";; Hit C-c C-c when done\n\n") ;FIXME: add key to a=
bort
  (save-window-excursion
    (with-temp-buffer
      (let ((win (display-buffer (current-buffer) gnus-article-notes-popup-=
window-action)))
        (select-window win)
        (insert comment)
        (when initial-input (insert initial-input))
        (set-window-point win (point-max))
        (use-local-map (let ((map (make-sparse-keymap)))
                         (set-keymap-parent map (or keymap text-mode-map))
                         (define-key map [(control ?c) (control ?c)] #'exit=
-recursive-edit)
                         map))
        (recursive-edit)
        (string-trim
         (replace-regexp-in-string
          (concat "\\`" (regexp-quote comment)) ""
          (buffer-string)))))))

(defun gnus-article-notes-set-note (id new-content)
  (if (not new-content)
      (gnus-article-notes-registry-delete-id-key id gnus-article-notes-regi=
stry-field)
    (gnus-registry-set-id-key id gnus-article-notes-registry-field new-cont=
ent)))

(defun gnus-article-notes-display-or-set-note (article id &optional content)
  "Doc..."
  (interactive
   (let* ((articles (gnus-summary-work-articles nil))
          (article (if (cdr articles) (user-error "Cannot operate on multip=
le articles")
                     (car articles)))
          (id (mail-header-id (gnus-summary-article-header article)))
          (current-content (gnus-registry-get-id-key id gnus-article-notes-=
registry-field)))
     (list article
           id
           (if (or (eq this-command last-command) (not current-content) cur=
rent-prefix-arg)
               (let ((new-content
                      (if current-prefix-arg
                          (if (eq 0 (prefix-numeric-value current-prefix-ar=
g))
                              (if (yes-or-no-p "Really delete note? ")
                                  nil
                                (user-error "Abort"))
                            (gnus-article-notes-read-string-with-buffer cur=
rent-content))
                        (read-string "New note: " current-content))))
                 (if (equal "" new-content) nil new-content))
             `(display . ,current-content)))))
  (pcase content
    (`(display . ,content) (message "%s" content))
    (_ (when (and content gnus-article-notes-auto-tick) (gnus-summary-tick-=
article-forward 1))
       (gnus-article-notes-set-note id content)
       (gnus-registry--set/remove-mark 'Note (not content) (list article)))=
))

(defun gnus-article-notes-get-additional-articles (group-name)
  (delq nil
        (mapcar (lambda (id) (cdr (gnus-request-head id group-name)))
                (cl-loop for key being the hash-keys of (oref gnus-registry=
-db data)
                         using (hash-values v)
                         when (assoc gnus-article-notes-registry-field v)
                         collect key))))


(defun gnus-articles-notes-alter-articles-to-read-function (f group-name ar=
ticle-list)
  (let ((others (funcall f group-name article-list)))
    (if gnus-article-notes-show-in-summary
        (cl-union (gnus-article-notes-get-additional-articles group-name)
                  others)
      others)))

(add-function :around gnus-alter-articles-to-read-function
              #'gnus-articles-notes-alter-articles-to-read-function)



(provide 'gnus-article-notes)
;;; gnus-article-notes.el ends here

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 20:08:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 16:08:25 2018
Received: from localhost ([127.0.0.1]:45527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAhFx-0001OY-7i
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 16:08:25 -0400
Received: from mout.web.de ([212.227.15.4]:43683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAhFv-0001OL-6D
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 16:08:23 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0M8L3a-1fo6AN2FVa-00w185; Thu, 11
 Oct 2018 22:08:09 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0M8L3a-1fo6AN2FVa-00w185; Thu, 11
 Oct 2018 22:08:09 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <83woqowc1f.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 22:08:08 +0200
In-Reply-To: <83woqowc1f.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 11 Oct
 2018 21:53:00 +0300")
Message-ID: <8736tcz1p3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:MJkA2u4v8kyYp91u2SbUkXLvxfJjiFwp8VLjI+A45ZMbSyxbZ8T
 YQtWB/tbe2iess0FUhOX6ZBYlO/rlh3j/4wl5Ez6OQhbIhjmjJeIjZ/uAb1dR1bqoxA1cwS
 AtVi7w7ETxBIWOYIZTntx2KnkyeIT44bgdPOhCSZtY5eDih1JIhU2Rff9lj6tWypq6aCubU
 Pf5oFF4ebwMYT3/8rq0HA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:irzfJLwsy1I=:csYRHg6hVi7zeqq+THLoGz
 HBReYDbWke8FF9mDJlbc1cAcrwkwVNfAJFtLYJOvXYe/SLL5NKETqqncS3sYBZr2LkFDfpfGn
 7phvfa180mw3s+HkV96rQSR+kDHDwHGEnAT4TNGDPZVaoX0GSzefa2gCpaGwOLjm8BULsiC2s
 foGLZXAbU05CUOtUK9hGM0R6owuwPLNV+4Al/KSeF3st45MhXkUTl6eTdBI8buuGE9G7h7tgS
 0DGyOj6T/SChC2H3jEGeO1OP1TWc9WDse3uSPdiYJ+ErKwk/7f8DPoSq5iJ/4FVipGKJyvFDf
 ToCPD8J3O37K7yYv1xvz3LaTEtqXGdD2UejJCWsObHveRgVKEe4dHWEPZiuiNiHDprkJLZFtc
 Ek/1ld5n//OX5xscXpi/RIsEinhorTAm7WfDTVPiSkVfKWQWFybCUMy9tMz5c1eknxK2yP+9M
 S2wZOm77nD0ilvBhbVzUpzPzi5N72tbrZfiPKn6O/QPraWxArHZOTdJqxICp1Fkv8a92dGSFf
 i/0zvhxi9EPwp68PSuPekn5EvEQv84DuMBtBSO8pmjYkwWmbtYDcaDiXLfoQBzkbhCDKcDB3k
 3U/RE6DxEMTHZvoFvl6+xoI8KfFyksuIehdZ0i7f25EnL9BeC5Ht1HQU/sjFak53EAZ8L4Oog
 BoqlSNP4bLts62McULrAkF5nWuzkFeT0OJfO2H08G+xnxaUje7N422w5cjIdRMjZWLzwsMGIV
 4p5KQKN2TIPV58geyLR8CyqWRBrrPZzlZRNMzuhx7m1bcMHhYb5kppqhtH89/ewW4mLk87CcK
 Kk18oKNy2K0FBFExYMAVCZvJKsvmj2tQzbOBq+elQ2lKqKM7aY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: Eric Abrahamsen <eric@HIDDEN>, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I see you already did, and on the emacs-26 branch.  Please in the
> future ask about commits to the release branch.

Some days ago I asked a question about the habits and expectations
regarding bug fixes, in particular for bugs that were not introduced by
the current release.  Nobody disagreed that committing to the release is
just ok.  So it is not?  Why do you think people know what you expect?
(This is not a rant, I really just want to know what the rules and
expectations are.)


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 18:57:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 14:57:45 2018
Received: from localhost ([127.0.0.1]:45474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAg9Z-00088u-3o
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 14:57:45 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:59747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gAg9X-00088n-Ee
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 14:57:44 -0400
Received: from localhost (97-113-224-119.tukw.qwest.net [97.113.224.119])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id BF81F3F09B;
 Thu, 11 Oct 2018 18:57:42 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539284263;
 bh=I6PH9PDnvfCo4YWQFs4N81+o6Fn/JxwfOys2gg7sicg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=e5zydX+h226Wfe2IdWBD8vqWdOyR/5uzyXHyUGh+xQhz/rYFngcA+IaMbclbD+IMQ
 Bf9dtNfGghrLOCM8jMCD7fFKwEYs6dWfUddFbRKdiSWx60tPIHFOOfW6+g3qIZ44wn
 0CEpH/B/tJn9kRlDQJjPTUJhyBWD6n75opXLhqgI=
From: Eric Abrahamsen <eric@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <83woqowc1f.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 11:57:40 -0700
In-Reply-To: <83woqowc1f.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 11 Oct
 2018 21:53:00 +0300")
Message-ID: <87a7nk1fbv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: michael_heerdegen@HIDDEN, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Eric Abrahamsen <eric@HIDDEN>
>> Date: Wed, 10 Oct 2018 16:05:50 -0700
>> Cc: 33005 <at> debbugs.gnu.org
>> 
>> I don't see any reason not to remove the `cdr', and will do so unless
>> someone objects cogently, soon.
>
> I see you already did, and on the emacs-26 branch.  Please in the
> future ask about commits to the release branch.
>
> Thanks.

Sorry about that -- it occurred to me I should have asked right after I
pushed. Will ask in the future.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 18:53:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 14:53:16 2018
Received: from localhost ([127.0.0.1]:45468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAg5E-00082i-Ci
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 14:53:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gAg5C-00082W-W4
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 14:53:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gAg52-0006cI-HC
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 14:53:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35859)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gAg50-0006bY-LY; Thu, 11 Oct 2018 14:53:02 -0400
Received: from [176.228.60.248] (port=4838 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gAg50-00012z-35; Thu, 11 Oct 2018 14:53:02 -0400
Date: Thu, 11 Oct 2018 21:53:00 +0300
Message-Id: <83woqowc1f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
In-reply-to: <87ftxdl7w1.fsf@HIDDEN> (message from Eric Abrahamsen
 on Wed, 10 Oct 2018 16:05:50 -0700)
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33005
Cc: michael_heerdegen@HIDDEN, 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Eric Abrahamsen <eric@HIDDEN>
> Date: Wed, 10 Oct 2018 16:05:50 -0700
> Cc: 33005 <at> debbugs.gnu.org
> 
> I don't see any reason not to remove the `cdr', and will do so unless
> someone objects cogently, soon.

I see you already did, and on the emacs-26 branch.  Please in the
future ask about commits to the release branch.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 18:12:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 14:12:38 2018
Received: from localhost ([127.0.0.1]:45451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAfRu-000746-6n
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 14:12:38 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:46475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gAfRt-00073z-DU
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 14:12:37 -0400
Received: from localhost (97-113-224-119.tukw.qwest.net [97.113.224.119])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id BAE183F09B;
 Thu, 11 Oct 2018 18:12:36 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539281557;
 bh=Pi4LT54LRhCehaILJEUqMm62IiF9DMoDtjJv3FxCUtc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=SnQsA+43KH4RlSIiT2UZbA5xVDfP9+X4tV+xLWfFwM1LAU0pNq2NkwbqCG2QWkF0i
 BPy65uXLIAUUXr/94Y4lYqUYJ928hRLIC3rMeZpkJ++/SM3tgqN2ZAlDYbeWz1rTQT
 v4WwAII5kUAxpTohWLe9Fcxdr3/h/n4x53MNMdjQ=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN> <87r2gwzl1b.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 11:12:35 -0700
In-Reply-To: <87r2gwzl1b.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 11
 Oct 2018 15:10:24 +0200")
Message-ID: <87in281hf0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/11/18 15:10 PM, Michael Heerdegen wrote:
> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Anyway, seems it never worked like that.
>
> But what's even more frightening: The default value of
> `gnus-registry-extra-entries-precious', (mark), always behaved like ()
> and thus never worked as intended, so it seems that registry marks
> always where broken with the defaults.  Looks like nobody ever tried to
> use them, or all people gave up without writing a bug report.

I don't think very many people use the registry, or at least, they
aren't using it intentionally to store their own information.

> Should we even make a NEWS entry along the fix saying that the feature
> can actually be used now?

I don't think so, bug fixes don't usually get a NEWS entry. But I can
say something on the gnus.general list.

Also, I really like the idea of using the registry to attach notes to
mails -- that's something I've intended for Gnorb for a while. If you'd
like to contribute that to Gnorb I'd be very happy to accept it, or
maybe it's something that could even go into the registry proper. Of
course, if you'd prefer to keep it a separate package that's fine too --
I'd install it!

Thanks,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 13:10:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 09:10:43 2018
Received: from localhost ([127.0.0.1]:44271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAajj-00087f-My
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:10:43 -0400
Received: from mout.web.de ([212.227.15.3]:52991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAajh-00087R-K6
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 09:10:42 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MhUcU-1gNBdh15DW-00MaXp; Thu, 11
 Oct 2018 15:10:27 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MhUcU-1gNBdh15DW-00MaXp; Thu, 11
 Oct 2018 15:10:27 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
 <87a7nkhcu2.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 15:10:24 +0200
In-Reply-To: <87a7nkhcu2.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 11
 Oct 2018 14:44:53 +0200")
Message-ID: <87r2gwzl1b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:cszewAlFxgktr5BkibotlcmmkV6RY2dupsXk2FX0rRY5fDNW7/m
 X4I7CTmnMOVEVl/Nl3s+at8kMARTGIFKG7KSKgF4lZ4iePWbcBs3H3zaPxxJ5OGryX6gbrY
 gkrV4hyJ5p1z9j08HZ7b+Lol/Drnvayht7RhCMEImB/KiBCUPtFnFwU2hwtOfps92MfciXk
 3DAkCqA2Uja1+YFzF96vQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:hmq0Hu/1z7k=:KEjDbGKXC0RNVvY1xHGlxF
 iHUXMvlhRRYQnirvGjcpUeNgk8XoIDcV5vpht3VTTPoRuhK3vaOKjr7+1FhgK1uPzWxeBp3z0
 SH+ktTUFeSYIAhldluS3T7vohTtdPCQUraeS4T/j/JwRsa/VCdQCvM0n79FEcjVTWGDK+izzJ
 dflBCRUoebMcJeBTy/MsaYi2p6i7sr8FQrjtRGuPktxQXcjzrNmz/LQVmWppqPuyk5XBXNNJs
 lNqZ7AEO5Jxphtz6fXmW7n7Qhw8MVv5jsFBgyRwXb/1mgs+lipWHxny1Yt0Why5K0jNQwbz5F
 UcpGuZyeZ/RaZmYZc7F9oRrPsHicS1LrIMJIuPKxnOYKwWMiuVoXmgtcGY73LAvTcZHs27l73
 /o8q01wh145yOWBh3R82lEDR35lbRe/svFeRyM5f20XGlTFp1bmHoskh6WMjc7G5r76gAmxDG
 7FmbePJ1AAzWkucyXY415tMPz8oUcSotFrBQU6QixxVFIjOWhL7que0RcEm3IHNQRn3zDGDpJ
 yoxW0hgEvYw90tjmnOo07aa+O4GXqhgrvm2LBfLKI9J+FJVZim+SQg/KxqcncVPxoIepMAbWd
 /qj+tumUpyijRIz6CwT5eZDr6WmFcw44esNK4QAz7qDNHGh63fWGKmqsuDOuTbNATxQr5E0w7
 +sgcwt4OeVJGnIBzOH0mruTXSPsZtf/RWV9v+vN/l7KIlj52D2CY0J4O8kqELCQnTsV5WvQhv
 tH8YRqwptAVBbIGHfgPlQPyfzfTTvJzXSYDW+tYY2R3wB3c46oVC7yKXzYP5YJ74mOT7akTZr
 dcGO31jrFIpABeBKcyX2KxmInrQDvXrtvsVurq7umiqTJYV8Hg=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Anyway, seems it never worked like that.

But what's even more frightening: The default value of
`gnus-registry-extra-entries-precious', (mark), always behaved like ()
and thus never worked as intended, so it seems that registry marks
always where broken with the defaults.  Looks like nobody ever tried to
use them, or all people gave up without writing a bug report.

Should we even make a NEWS entry along the fix saying that the feature
can actually be used now?


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 11 Oct 2018 12:45:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 11 08:45:11 2018
Received: from localhost ([127.0.0.1]:44256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAaL0-0007X5-Sy
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2018 08:45:11 -0400
Received: from mout.web.de ([212.227.15.4]:33355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAaKy-0007Wl-6L
 for 33005 <at> debbugs.gnu.org; Thu, 11 Oct 2018 08:45:08 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Mbdf3-1gQjbf3L4H-00J5MO; Thu, 11
 Oct 2018 14:44:54 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Mbdf3-1gQjbf3L4H-00J5MO; Thu, 11
 Oct 2018 14:44:54 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN> <87ftxdl7w1.fsf@HIDDEN>
Date: Thu, 11 Oct 2018 14:44:53 +0200
In-Reply-To: <87ftxdl7w1.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 10 Oct 2018 16:05:50 -0700")
Message-ID: <87a7nkhcu2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:9Ehs3dz5TkCHj7emqSXoLdmzXhs0RNs50EssEqt4tBLUqszejgN
 QEmNSL2odxIu2TAY0qocwv8/g3waIXdn+UnqbwFS/Jz4DOHNu2n6ktcwb4U8Lcqwddq/AoO
 FpCwmGuqf5R/qRgwIIIlmMfq2o3lAsmjwahCu2xP/9IymNW1bQwWSLG072Y5eOpIvXKOQew
 TZSAkEG3hWGMTQNJgkrow==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:lqHl7bn+Kb8=:X37axB9uq4R0eJZsYgZgu4
 9l7PygOqI1n7temmZU8rJN3evKwyaQsTItCEsVa58LYdcLr8VEvMQK2X8bI9CjOeD9qlZjcSZ
 3q7jBxT9jC2De7WtP+GkSNk2NoWOIpqQkIUDO7BqHVbQvMPjIffq94o/Kuj3+Gon96xzg6A/W
 md88pBj2hmcxywMV2tM7edniPu0xJ7P59kTjwl96P9r+4ZujfLHQdyjprTqpy9aWUrZPnNexr
 zudOVrkjq1/efYGtqtrcuj7ZvvA25VLKd6oTjgFK1/m3FT/aaEPZKWHs9ywfxEEGTrI/Dtc+M
 BySb1Qxhe6q/yCp6Y9sTLH0/T2SKu/1t9O+MoDS35wXZVm/hy9WhINYYn1wweyAY8th0hhqJJ
 H4xjZUEE15PgTCUUXS4Qh/4GT7ULecySf00YezkJ9QP7NCYFs/vSVBeo7GJXJ29OfjZBvP1P1
 zC+zwnsiNU7F3XSBuipVZ8c/Zdrbzyf5ZOLHiVx25GqNjVW/YoJC+8YuvEvRSwUutVLkMkZXb
 4UYMrWXbqUdUExHfef2K42HfQI+z0GByq/lZepokdn+KbfF5idIVZauYUXxLUAqUd0UjQQ3c5
 uG4Vw+j7sVZK7wGXj1WncGlXPdc0zzYxv+ew+E5MTagXP48N80dzMfASRAuMLCHgohuRR1uAh
 HWYK/7QfNC2omvLcdb7KRVanghw2UOD/sTxFCalzIJwQvfuFj7f5m7GD4TKaEqg5iXtJWrRU/
 +DssXgMfM5kYsgPhPULqrKzQu2IcJScnTBpsx13loz2gHI5bk1r+mTjtGHoUrV4C77TSmjdLP
 5e+vo2onANS+CIrhiVqcxsrGgDLMq46tTEJccnPg9WNhZ8zrHo=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Nice work! I have no idea why that `cdr' is in there, and as the value
> is used as a boolean it seems totally superfluous. I don't use registry
> marks, which is probably the reason I never noticed (I didn't write this
> code).

Looks like the code has been like that from the beginning: ccd58722df
"Add lisp/gnus/registry.el.", Ted Zlatanov, Tue Apr 5 23:37:02 2011
introduces the file (it has been moved once since then), and the code is
already the same there.

I can only guess that the intention could have been to distinguish (mark) from
(mark SOMETHING): prune the first because the mark field is empty.
Anyway, seems it never worked like that.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 10 Oct 2018 23:05:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 19:05:53 2018
Received: from localhost ([127.0.0.1]:43961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gANY9-0002P2-7c
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 19:05:53 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:50665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gANY7-0002Ou-TV
 for 33005 <at> debbugs.gnu.org; Wed, 10 Oct 2018 19:05:52 -0400
Received: from localhost (50-251-205-17-static.hfc.comcastbusiness.net
 [50.251.205.17])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 0AFFC3F08D;
 Wed, 10 Oct 2018 23:05:50 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539212751;
 bh=sHAfgMHGDI9wPtLffTXmPAPsX2lMmSai2Q9HvrVOPJY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=aJx9RboSGbSZ+cEuGNm8fwMCNG49UeA4ddxtQZaqS/i8Y1M36XXcxx6SiMPYeEQqR
 VzsSQWDUcKWZQcBr7rJMtIFlGZP0p1HxqdugxurGBhRTtU4bKuzhq5LEF0LwjF6RkL
 V6NE+M525TQdO0sjwjH/C6ghXPkPblD/vQ8mfoDc=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
 <874ldtlcks.fsf@HIDDEN>
Date: Wed, 10 Oct 2018 16:05:50 -0700
In-Reply-To: <874ldtlcks.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 10
 Oct 2018 23:24:35 +0200")
Message-ID: <87ftxdl7w1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/10/18 23:24 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> (registry-collect-prune-candidates gnus-registry-db
>> (registry-size gnus-registry-db) nil)
>
> Ok, I managed to debug this.
>
> The entry is indeed pruned.  It looks like
>
> Key:  "<153...>"
>
> Value: ((mark Important) (subject ...) ...)
>
> In the `registry-collect-prune-candidates' method, the variable PRECIOUS
> is bound to the list (gnorb-ids org-tags mark).
>
> AFAIU, since PRECIOUS-P is defined as
>
>   (lambda (entry-key) (cdr (memq (car-safe entry-key) precious)))
>
> and the symbol mark comes last in the PRECIOUS list, the `cdr' of the
> `memq' call is nil.  If I remove the `cdr' call, the entry isn't pruned
> any more.  I also don't get why that `cdr' is there.  Or is my value of
> PRECIOUS illegal?

Nice work! I have no idea why that `cdr' is in there, and as the value
is used as a boolean it seems totally superfluous. I don't use registry
marks, which is probably the reason I never noticed (I didn't write this
code).

I don't see any reason not to remove the `cdr', and will do so unless
someone objects cogently, soon.

Thanks,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 10 Oct 2018 21:24:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 17:24:53 2018
Received: from localhost ([127.0.0.1]:43933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gALyP-0006Tf-C4
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 17:24:53 -0400
Received: from mout.web.de ([217.72.192.78]:60115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gALyN-0006TS-7G
 for 33005 <at> debbugs.gnu.org; Wed, 10 Oct 2018 17:24:51 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0McFLP-1gQVH90zt1-00JX2b; Wed, 10
 Oct 2018 23:24:36 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0McFLP-1gQVH90zt1-00JX2b; Wed, 10
 Oct 2018 23:24:36 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
Date: Wed, 10 Oct 2018 23:24:35 +0200
In-Reply-To: <87efcxwzr2.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 10 Oct 2018 09:08:33 -0700")
Message-ID: <874ldtlcks.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:kldTCJ1MnBQb7HuY3SO9q5F8yCLzUE9v4xmoEcpQkEZjtKX+tel
 ERPADaAQ42pE60QLNdzy4GgryLls5JNbtcl5hSX0o2Drq1QX24bpLugO+0MVh0jbVZgUO/L
 UkNZ5Y6uFYIj0h/q/jD823/DtlSnxOYKy4MLVqQb+VkqzBs3X4T67pBVDhm4bJY0SQUTjrR
 plzmf4pOupAlj/0lAi6Aw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:cxvWJeTVuPk=:9c9JgBjEGH/4/+ReDuUKyd
 l7x0vllP+1xsvchhnx2hcCMJ1Y3tfgSmnff/YkMHV/Rfv9SPATQSBh1yw/Cq9Gi4+88NIF0nv
 N6s2X9RPwPwcBqGeVkP5zTSo5IGLhY+l+6s64xIT8kXFin3y0cN33nVbXZkX/Q4UFFBx9mSi9
 v+mdbnjh6eYmRVS41w4m2q7lJN8CSB6q7u5f2Gja27zT0y3PzctHKfjNJUP+RiBG6ZXfmyjC2
 dMGPpDYWv6/SAVvbZDIE8cu6N1Zm2IQ6NbCfb8+D/gTaZ3VNbQS9sjdek0W38HuiRkeJD3m1R
 nCqGcMFZBF9qZ20Ljx11ZQ6xKxE/YJH63orQ1VlbPMjxvgo5zjQYcTQN9VKB1IzEFFyyWuxwv
 j6E+KA1m1UwRSJlQcVEf3GSi0s4G9C1iX0rULkFqmgir/Xapj8BekHteGYiGRAxX517QbiIgl
 ibI8EB+I9er6KMFTYLiXD+st+ttoC6acGzFuz9J9mPhEoHlqc6oMSg0KA8nMUjL5TvY2SlBDC
 swDE5c5/UnFadcx5Iwv6v1dIWn9xkI4gTjgLCA9HRsNBjUzecbt08TwQbA79xN3QQAE1v8miS
 F8zkMJ4Dz4ZSUbo2KgXG57UjQUQe3UKv38I6cEW+/0vfNm2/FP/PAVIi9ip9ubMpNW5grB978
 H+YgocWbHeV8nupwuM+9ircYogUcgRir/5oQkcJwAeiuGvqYRvvWRpXPzTYMXEnrtacb0/x9W
 AUTNV7qiSzE7bQvpECIONt64qCzwQUnBrkjTGYz0ClNqULhCePc2E2UvaQ0Rt/TAYHTayh5Ht
 tyYrk/Bx9B+zG3oyogzqYmefSo40q0H7Ze9T2IiiG7SmhgD5bE=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> (registry-collect-prune-candidates gnus-registry-db
> (registry-size gnus-registry-db) nil)

Ok, I managed to debug this.

The entry is indeed pruned.  It looks like

Key:  "<153...>"

Value: ((mark Important) (subject ...) ...)

In the `registry-collect-prune-candidates' method, the variable PRECIOUS
is bound to the list (gnorb-ids org-tags mark).

AFAIU, since PRECIOUS-P is defined as

  (lambda (entry-key) (cdr (memq (car-safe entry-key) precious)))

and the symbol mark comes last in the PRECIOUS list, the `cdr' of the
`memq' call is nil.  If I remove the `cdr' call, the entry isn't pruned
any more.  I also don't get why that `cdr' is there.  Or is my value of
PRECIOUS illegal?


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 10 Oct 2018 20:23:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 16:23:36 2018
Received: from localhost ([127.0.0.1]:43897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAL15-0002bh-Tc
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 16:23:36 -0400
Received: from mout.web.de ([212.227.17.12]:59241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAL14-0002bU-88
 for 33005 <at> debbugs.gnu.org; Wed, 10 Oct 2018 16:23:34 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LdVza-1fRxZN2x7K-00indh; Wed, 10
 Oct 2018 22:23:19 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LdVza-1fRxZN2x7K-00indh; Wed, 10
 Oct 2018 22:23:19 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN> <87efcxwzr2.fsf@HIDDEN>
Date: Wed, 10 Oct 2018 22:23:17 +0200
In-Reply-To: <87efcxwzr2.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 10 Oct 2018 09:08:33 -0700")
Message-ID: <87in29y2iy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:fBtUyLehpSulEmDHcWhMi4kz01L0nPJZEdRlMaEeFTZ9Uxvvf+9
 7vZ6o8/3TH5JQXu3RjIIw1pWqOLxaxlXnk0yJRbsPIZ+DbsOMuzhY4k1ZfislWcscUg+YY5
 N13bjE6yhTq987UcmEN2KEvoZ93oTe45IH2B20O3J0OzvzLiAidlPwEfEotg36A/nULWVe+
 3703Shpil6+6CKtS3KRVQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:8yDFts30T9U=:DZ0G3D+yyZrfPsEl+QvSd9
 lOzLf8F0mSo/9MxXm1eXYaP3olnxnISCh/N83yF/XlV7LrLz486W/vwYWRJa6wHhwsILJP0IB
 GcpbLVus3AuoCRi1S7+xUWwFauWK6kiNTByq7QR+pEMQZDrzFZ3dhJWoje50PT4BixSZ8dbCI
 Vm0sojo5ZodwgnVmUVoWS3Pjpt8cjsi53MuuqLkkKBWEVfCPVr4Sst1n74WsJoc1Za/LYR3+b
 l2bfUspwLFQ2eJcGRylumtZQ5HPh0bnQCF9hjRVPX4CgH4luB5alyK9UIgQhpEImCOdNjHNqR
 qjwZuugF4s8HqUr+B0OqI/mqvz4iP/8/7GDxnxO+Da7Pu9ONRZyAahbLt4XaT9NyMV52LaAiM
 kd/UXtWk+tmBj/OmK3dNYRMa6mvQONmPE2rkbyd/HTgxYTuqxd8r7WoiKhxNHt8kpHewC5nk1
 HBPAMeQJgKMHPDvvD1767CAqzRNpHknoqw47ZZmo4tCGTNNd/gr/eLGtUCVWQswopH0tXkBZv
 q3MvmTCHcyZgK+C1YUVaNymNSqyY2LpNI29/HV0+Q7f4XOCfjTd3FrAISF1g6x0J6r8nsN+kz
 TSk1Ou2tgpwgugGMCIEfJWccKYdWGKlyHQY9DX657XMz4CihJtYs8WabFmLLJjDkcn0PuY3fF
 WEYDEMXXOy9POA1KT3qhyJab/VdImzXkTfDa36rrGo1Wh61P2WDHsS9Uyi2TauFOCG/iM+1+n
 fiTrSx+yjzSe4ilu/b1r7b9sAd46qE6OuWloCXUTYQ6c7SiviYILLhOFsTRBLIuFLe+2FrMNs
 uwvPa+Jo+4KYymRk1dHkowWD64N8zwuBRY4jq+1E7JDMdRzsB0=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> But that was my only easy solution, unfortunately. You could examine the
> results of:
>
> (registry-collect-prune-candidates gnus-registry-db
> (registry-size gnus-registry-db) nil)

Ok, I'll try that.

> Shameless plug: I'm about to propose a new package called "gnus-mock",
> which sets up a temporary/trashable/reproducible Gnus installation that
> you can use for testing feature and hunting bugs, without endangering
> your own Gnus data.

Yes, that's sounds exactly like the thing I wanted :-)


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 10 Oct 2018 16:08:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 12:08:38 2018
Received: from localhost ([127.0.0.1]:43737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAH2L-00032U-N9
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 12:08:37 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:51871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gAH2K-00032M-5L
 for 33005 <at> debbugs.gnu.org; Wed, 10 Oct 2018 12:08:36 -0400
Received: from localhost (97-113-224-119.tukw.qwest.net [97.113.224.119])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 9CDF63F089;
 Wed, 10 Oct 2018 16:08:35 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539187715;
 bh=k5sJILI5bclKGIdKJ4UYtAp4Z9rI9FGUwarowbEuZdw=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=sua0KSZYTGxyU+pLP2Lz0V89LdFhYSXyJT/JwIq7JB/m4v+zhEIoxlVySCU3z17fe
 n4T/gznB9mSEzq13Px5FksPHsjwNcLBZHEg6JptIWeCT9ztrPZKpv3hbRztIDu4ulh
 yB3wt7pvA5UvPGmzXIdD3fYUb6wgd2+6TFjpdg0M=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
 <87r2gxygox.fsf@HIDDEN>
Date: Wed, 10 Oct 2018 09:08:33 -0700
In-Reply-To: <87r2gxygox.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 10
 Oct 2018 17:17:18 +0200")
Message-ID: <87efcxwzr2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> There were some bugs with registry pruning and precious entries, but
>> we fixed those quite a while ago. If you're running Emacs master, you
>> should have the Gnus that incorporates those fixes.
>
> Yes, I think so, too.  I have a normal recent Emacs master build.  I
> typically rebuild daily.
>
>> On the other hand, what you say above about the docstring makes me
>> wonder, as in Gnus master it doesn't say it would default to
>> (marks). You're not loading an external Gnus installation, are you?
>
> No, I'm not.  In emacs master branch, "doc/misc/gnus.texi" says
>
>   "default this is just @code{(marks)} so the custom registry marks are"
>
> in line 26197.  Not for you?

Sorry, I was looking at the option docstring, not the manual. I'll fix
that typo.

But that was my only easy solution, unfortunately. You could examine the
results of:

(registry-collect-prune-candidates gnus-registry-db
(registry-size gnus-registry-db) nil)

To verify that it is returning candidates that should not be returned.
Unfortunately that function uses `cl-loop', which makes edebugging not
very helpful.

Shameless plug: I'm about to propose a new package called "gnus-mock",
which sets up a temporary/trashable/reproducible Gnus installation that
you can use for testing feature and hunting bugs, without endangering
your own Gnus data. That would be useful in this case. I might have it
done today.

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 10 Oct 2018 15:17:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 11:17:36 2018
Received: from localhost ([127.0.0.1]:43692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAGEx-0008Cj-QM
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 11:17:35 -0400
Received: from mout.web.de ([212.227.17.12]:45395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAGEw-0008CW-5W
 for 33005 <at> debbugs.gnu.org; Wed, 10 Oct 2018 11:17:34 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Leca2-1fKAcL2m4M-00qUD4; Wed, 10
 Oct 2018 17:17:19 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Leca2-1fKAcL2m4M-00qUD4; Wed, 10
 Oct 2018 17:17:19 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN> <87in29x33z.fsf@HIDDEN>
Date: Wed, 10 Oct 2018 17:17:18 +0200
In-Reply-To: <87in29x33z.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Wed, 10 Oct 2018 07:56:00 -0700")
Message-ID: <87r2gxygox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:bWs3XIdvb1fIB5SdysVcWR/joHdQTK3NFLANN4K4AW0thcBDS36
 y8TqowVtj/IibUZPglau+eopa71OoWeKAU6E+Qh4c8LWovM9UxfptgTAfLn5/0IF/qGTyao
 BPglWk7XE1oLP2SaMqfBipsLlsINaKOPqGHftZI7Lsf9v8tiHBnA0L13w+Tz4d72cFKkibe
 kdXVIpoTBY+TnZJEsDugg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:70SVQwYzQNk=:3Umkmg7bO6ZP0FhNnhLCL6
 Yy9wyCfs++1iPNSoR8R2cM3i4kU+3uUhyv8zLhELa90/1iNqIm7xfZ0KT0y0WOdrEATqgSNWb
 zTOYqkSJDIOhFNLTlKbUq/E3xGc9wpFcVbTgF2VmuhSA0J0zkvsMnEd6LO5c7MpwxRi4kPliS
 wMMS7pLnIWIfnzbHN0wDQ4i1Pxj5atE5uVsi9zmPYo9zSa45J8jdSMRYIbj8K0VEObPAEUsmD
 r9Q6Q/PwVZ6Uzaczjdd9EUQMfTPupl7d/UvAFpGqeF5yxIQLrAWe6QdJDJG3ixorxjQS9MwSX
 PR9ujq3WV9ViYohyo7w6pHArnzpihI7MsHCcVw5/KsZy1kaNuu7GSZ3n3obfBIABbmNQKmlMS
 /XrasQHimr4sfGc4/DSOb2SQrW9J7XgFdux4OZt6kMCZMGT4GgNG3RIXDOeaj6H4ESFGII8TV
 cUVQgOkrAIg6asIJ9O9WITuw55MDPgccMAC9Y7jP00AXuaaZbJPZwlB1Fu9zunp32Khye6sZ+
 myNQuhRVFcy2tfeAEaC60NK7m8Ln0CJCbuGt3Q0NkkpkOPD04dD1TeyCuAaiUXHHMjGtqkj7q
 X7l8DH+5ubDA9kTIVk5XL7Op+KEA1oO9fuHpR3CqtQkvKfx3a17iH+8iqFT3g9/eUhP8SGyzN
 8B6ZKp2DdbX8GjFu3bqeVZA/VUyV/HZFTqxmrWUzIHhDhMfQ6Dqp1Wfr2B4jOcZZqicLDqf0o
 AS+Helu47TFMDSHCjWS9QfB+oVzR593jLsJmSFevTzngag6mr6C6phGpJfKmLfw4+xrvEqJv/
 pH1Uip/VyFF+m2ylyocjaJVkDrnivVXVg3VeQEo3XRYTIgkWgw=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> There were some bugs with registry pruning and precious entries, but
> we fixed those quite a while ago. If you're running Emacs master, you
> should have the Gnus that incorporates those fixes.

Yes, I think so, too.  I have a normal recent Emacs master build.  I
typically rebuild daily.

> On the other hand, what you say above about the docstring makes me
> wonder, as in Gnus master it doesn't say it would default to
> (marks). You're not loading an external Gnus installation, are you?

No, I'm not.  In emacs master branch, "doc/misc/gnus.texi" says

  "default this is just @code{(marks)} so the custom registry marks are"

in line 26197.  Not for you?



Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at 33005 <at> debbugs.gnu.org:


Received: (at 33005) by debbugs.gnu.org; 10 Oct 2018 14:56:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 10:56:06 2018
Received: from localhost ([127.0.0.1]:43685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAFu9-0007h3-Re
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 10:56:06 -0400
Received: from mail.ericabrahamsen.net ([50.56.99.223]:53285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1gAFu8-0007gv-6y
 for 33005 <at> debbugs.gnu.org; Wed, 10 Oct 2018 10:56:04 -0400
Received: from localhost (97-113-224-119.tukw.qwest.net [97.113.224.119])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 19E163F089;
 Wed, 10 Oct 2018 14:56:03 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mail.ericabrahamsen.net; s=mail; t=1539183363;
 bh=401feyZX3i8fvdVrNWK75tuoQY0vNWOyToJLvWLxPKs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=bMyQwhmbfqVAt/HqAhz2pue9mPtsru2Ob2vPDCmpLzJ8DIIc5DEtCXXOx6PvWjZdB
 3y02wSXqXt7/G3YC7RDN49jtT58sACaD+abRTW36EwTGzZRCHrk8ijBjYtSS4W6QQC
 OVgSlqCOxm1y0rHXAHo85Uy1XxuDPrjVXXBjzZUA=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry
References: <871s8yvsrq.fsf@HIDDEN>
Date: Wed, 10 Oct 2018 07:56:00 -0700
In-Reply-To: <871s8yvsrq.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 10
 Oct 2018 15:24:41 +0200")
Message-ID: <87in29x33z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33005
Cc: 33005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Hello,
>
> I want to use the Gnus registry to use registry marks and store data as
> described in (info "(gnus) Store arbitrary data").  Very often, these
> things vanish after restarting Emacs or Gnus.
>
> For example, I use M M i to mark some article "Important".  I have
> configured `gnus-summary-line-format' to show registry marks.  Often,
> after restarting, the mark is gone.  Likewise, data stored with
> `gnus-registry-set-id-key' gets lost, even when the according article
> has a registry mark attached.
>
> [BTW, there is a typo in (info "(gnus) Store arbitrary data").  It says
> `gnus-registry-extra-entries-precious' would default to (marks) but it
> defaults to (mark)]

There were some bugs with registry pruning and precious entries, but
we fixed those quite a while ago. If you're running Emacs master, you
should have the Gnus that incorporates those fixes. On the other hand,
what you say above about the docstring makes me wonder, as in Gnus
master it doesn't say it would default to (marks). You're not loading an
external Gnus installation, are you?

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2018 13:25:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 09:25:05 2018
Received: from localhost ([127.0.0.1]:43016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAEU5-0005PE-7W
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 09:25:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAEU3-0005Oj-NR
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 09:25:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAETx-0007gv-U6
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 09:24:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55501)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1gAETx-0007gn-QF
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 09:24:57 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60306)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAETx-0000N3-0g
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 09:24:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gAETu-0007fm-DO
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 09:24:57 -0400
Received: from mout.web.de ([217.72.192.78]:53927)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1gAETu-0007fL-3i
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 09:24:54 -0400
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LwHp4-1fcPqe1RZW-0182E5; Wed, 10
 Oct 2018 15:24:42 +0200
Received: from drachen.dragon ([94.218.210.177]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LwHp4-1fcPqe1RZW-0182E5; Wed, 10
 Oct 2018 15:24:42 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Data loss with Gnus registry
Date: Wed, 10 Oct 2018 15:24:41 +0200
Message-ID: <871s8yvsrq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:c88uDVm+nca/CQpEGiZVygAb2zqNCw070w5jylNkx8LpX/2lmuQ
 OjMVtsKwN2cF/uEtwI1PW5pV3eAPa1txYVHeMuuRzNeblLV4SRq6aybqVD7XPZX1/jjTTpQ
 OhcydwPf/QwX0GEcczLqxRNGvB5YlWnSnuWFD9Dy3cspKSag9A+ZK+vNk2x2Th916P3unBw
 mKKZRNqVGolmto7FO0f5Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:6ZjMHoUUKH0=:80NFKn8axc64TCejTIT7XJ
 FMo4G4FFsfg9viY5jPDZGCJQp/qAzu1fc/bg3JAIhpuMczNcjlk6Wl6e0cG3o1eljVF7HQf9O
 sjKl8qKa89Q7SduMLcy+zlj0DkNMP+ahfmrp1bYTxIWry7RuXm3aHKyAhXLPNyfHu/QbQ9GQ+
 YxrOFo2SEajcCiawiExEYC/C8kOW9LGwDa/arjl8F3uSOybxc6BigAdXBYSdqiENmfD3LjjsQ
 9FZqjmtbe8b/OqFeDtTpoN/L6RItS0jI9Bhnbpv8oN8sAKk2mB8TkeCiWayfSAg58EmAfVZpd
 NOiQZ6TAKVPS1xFvPu18RXhrXszwB/IEhIrE0ES82KnNScpUCgdospy2VOlV6rrApbzq9V4vV
 63qXTj0F6NFrcYkAytcBbR8zVtIZiP8dzDTnK9PxfIVgg1Hakn6H/QhZw/BVVJRcvsXFktLad
 5c+3fF0okRDNInb5UUbsD21Mok7BWjh/02fSov0Sq1xzZra6383zssTxKEtDdgy0G0UeZVRwb
 iZm6UDjXnivteXMUkbH/yeLI9jIwyShgSkHyglWDI5kFj1T/s1SSmBQ1jggDT1t37j7jUDX6L
 YnsSp4dN/JvyAPoPGIdt6M1Hbrr8h+VqH/GamLrZ28v9tZkD/OUIwE6btstJVnt7V0u+avBat
 bDRIcEIByfb0AEpsNj3gXgAdKaV2BsMT53mMqv3zIGfUZf1NnJnjfZ35K1/wmv4dFabjbe9Lc
 BNXVspkA/CCMNA4XeHWnFH1A7CxKro2CJBCit8lWSeGhTfYl2nqPgHCoOe7gKlRDtWe10NsGK
 YWyTNjYmhPk2ViwviwrODrF5pIHFnAZ+clanoUJPFGpnY2cAJM=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
Cc: eric@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)


Hello,

I want to use the Gnus registry to use registry marks and store data as
described in (info "(gnus) Store arbitrary data").  Very often, these
things vanish after restarting Emacs or Gnus.

For example, I use M M i to mark some article "Important".  I have
configured `gnus-summary-line-format' to show registry marks.  Often,
after restarting, the mark is gone.  Likewise, data stored with
`gnus-registry-set-id-key' gets lost, even when the according article
has a registry mark attached.

[BTW, there is a typo in (info "(gnus) Store arbitrary data").  It says
`gnus-registry-extra-entries-precious' would default to (marks) but it
defaults to (mark)]

My final goal is to implement a little Gnu Elpa package
"gnus-article-notes.el" that can be used to attach little text notes to
arbitrary articles.  The package is already done, if you are interested,
I can send you the code.  I have verified that registry marks get lost
independently of that package.  I guess there is something wrong with
registry pruning.  CC'ing Eric Abrahamsen who has recently worked in
this area.


TIA,

Michael.




In GNU Emacs 27.0.50 (build 14, x86_64-pc-linux-gnu, GTK+ Version 3.24.1)
 of 2018-10-10 built on drachen
Repository revision: db1daee25ae82cdd1e0b7a8f50fa55003f31cf67
Windowing system distributor 'The X.Org Foundation', version 11.0.12001000
System Description: Debian GNU/Linux buster/sid

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
THREADS JSON LCMS2 GMP





Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33005; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Dec 2019 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.